<?php

/************************************************************************/
/* Weather Magnet                                                       */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2003 by John Horne                                     */
/* http://ibdeeming.com                                                 */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

if (!eregi("admin.php", $_SERVER['PHP_SELF'])) { die ("Access Denied"); }

$module_name = "WeatherHarvest";
get_lang($module_name);

global $db, $prefix, $aid;

require_once( "modules/$module_name/admin/wh_admin_ini.php");
require_once( "modules/$module_name/admin/wh_admin_block.php");
require_once( "modules/$module_name/admin/wh_db_manage.php" );

$result = $db->sql_query("select radminsuper from ".$prefix."_authors where aid='$aid'");
list($radminsuper) = $db->sql_fetchrow($result);

if ($radminsuper==1)
{
/************************************************************************************************/
/*                                                                                              */
/* function adminWHMenu()                                                                       */
/*                                                                                              */
/* Display admin menu for WeatherHarvest Functions                                              */
/************************************************************************************************/

function adminWHMenu()
{ 
  global $index;
  $index = 1;  // right side blocks

  include( "header.php" );
  OpenTable();
  echo "<table align=\"center\" width=\"100%\"><tr><th>"._ADMIN_WH_MENU."</th></tr>\n";
  echo "<tr><td><ul>\n";
  echo "<li><a href=\"admin.php?op=adminWHIniData\">"._INI_SITE_DATA."</a></li>\n";
  echo "<li><a href=\"admin.php?op=adminWHReportStation\">"._CUSTOM_REPORT_STATION."</a></li>\n";
  echo "<li><a href=\"admin.php?op=adminWHBlockLayout\">"._CUSTOM_BLOCK_LAYOUT."</a></li>\n";
  echo "<li><a href=\"admin.php?op=adminWHDBManagement\">"._WH_DB_MANAGEMENT."</a></li>\n";
  echo "</ul></td></tr>\n";
  echo "</table>\n";
  CloseTable();
  include( "footer.php" );
}

/******************************************************************************************************/
/*                                                                                                    */
/* weatherharvest control switch                                                                      */
/*                                                                                                    */
/******************************************************************************************************/

switch( $op )
{
  case adminWHDBManagement:
	fnSelectWHDB();
	break;
	
  case adminWHDBSelection:
    if ( $whdb != "" )
	{
	  switch( $whdb )
	  {
	    case "stations":
		default:
	      fnWeatherStations( $action, $which, $country, $region );
		  break;
	  }	  
	}
	break;
	
  case adminWHDBEditStation:
    fnEditSelectedWHStation( $id );
    break;
  
  case adminWHDBUpdateStation:
    $list = array( "id" => $id,
	               "country" => $country,
				   "region" => $region,
				   "repstation" => $repstation,
				   "code" => strtoupper( $code ),
				   "fips" => $fips,
				   "primaryradar" => strtolower( $primaryradar ),
				   "secondaryradar" => strtolower( $secondaryradar ),
				   "userradar" => $userradar );
    fnUpdateSelectedWHStation( $list );
	break;		
	
  case adminWHDBDelStation:
    fnDelSelectedWHStation( $id );
	break;
	
  case adminWHDBDeleteStation:
    fnDeleteWHStation( $id );
	break;
		
  case adminWHDBAddStation:
    fnAddWHStation();
    break;

  case adminWHDBInsertStation:
    $list = array( "country" => $country,
				   "region" => $region,
				   "repstation" => $repstation,
				   "code" => strtoupper( $code ),
				   "fips" => $fips,
				   "primaryradar" => strtolower( $primaryradar ),
				   "secondaryradar" => strtolower( $secondaryradar ),
				   "userradar" => $userradar );
    fnInsertWHStation( $list );
    break;
			
  case adminSaveBlockLayout:
    $list = array( "timedisplay" => $timedisplay,
                   "datedisplay" => $datedisplay,
                   "yeardisplay" => $yeardisplay,
	               "timezone" => $timezone,
	               "timepos" => $timepos,
	               "fontsize" => $fontsize,
				   "showregion" => $showregion,
				   "showcountry" => $showcountry,
				   "blockwidth" => $blockwidth,
				   "measuretype" => $measuretype,
				   "dawntime" => $dawntime,
				   "dusktime" => $dusktime,
                   "radarlink" => $radarlink,
                   "stationlink" => $stationlink,
                   "summarylink" => $summarylink,
                   "wxzonelink" => $wxzonelink );
	adminSaveBlockLayout( $list );			   
    break;
	
  case adminWHBlockLayout:
    adminBlockLayout();
    break;
	
  case adminWHReportStation:
    adminSelCountry();
	break;
	
  case adminSelRegion:
    if ( $country != "" )
	{
      adminSelectRegion( $country );
	}  
    break;
	
  case adminSelCity:
    if ( $state != "" )
	{
      adminSelectCity( $state );
	}  
	break;
	
  case adminUpdCity:
    if ( $code != "" )
	{
      adminSaveDefaultCity( $code );
	}
	break;  

  case adminSaveIni:
    $list = array( "processtype" => $processtype,
                   "rootcachepath" => $rootcachepath,
                   "rootradarpath" => $rootradarpath,
                   "imageset" => $imageset,
                   "miniblock" => $miniblock,
                   "nukeradarpath" => $nukeradarpath,
                   "radarloops" => $radarloops,
                   "showradar" => $showradar,
                   "userdefcity" => $userdefcity,
                   "zippick" => $zippick,
                   "cachetimeout" => $cachetimeout,
				   "showbuoy" => $showbuoy,
                   "extendforecast" => $extendforecast,
				   "efdaysdisplay" => $efdaysdisplay,
				   "marineforecast" => $marineforecast );
    adminSaveWHIniData( $list );
    break;

  case adminWHIniData:
    adminWHIniData();
    break;

  case menuWeatherHarvest:
  default:
    adminWHMenu();
    break;
}
}
else
{
  echo "Access Denied, radminsuper=$radminsuper";
}

?>