<?php
######################################################################
# Weather Magnet
# ============================================
#
# Copyright (c) 2003 by John Horne seventhseal@ibdeeming.com
# http://ibdeeming.com
#
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

if (!eregi("modules.php", $_SERVER['PHP_SELF']))
{
  die ("You can't access this file directly...");
}
require_once("mainfile.php");

$module_name = basename(dirname(__FILE__));
get_lang($module_name);

require_once("modules/$module_name/user.php");
require_once("modules/$module_name/wh_utils.php");
require_once("modules/$module_name/wh_ini.php");
require_once("modules/$module_name/buoy.php");
require_once("modules/$module_name/summaries.php");
require_once("modules/$module_name/wh_marine.php");
require_once("modules/$module_name/wh_land.php");

global $Version_Num, $db, $prefix, $user, $index;

$index = 0;

/******************************************************************************************************************************************/
/*                                                                                                                                        */
/* function fnDisplayRadarCountry()                                                                                                       */
/*                                                                                                                                        */
/* function displays the avaiable countries                                                                                               */
/******************************************************************************************************************************************/

function fnDisplayRadarCountry()
{
  global $module_name, $index;

  $index = 1; // show right side blocks
  
  include( "header.php" );

  OpenTable();
  global $db, $prefix;
  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WH_RADAR_COUNTRY
      ."</th><tr><td align=\"center\">"._PLS_SEL_COUNTRY."</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
      ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._DIS_RADAR_REGION."\">\n"
      ."<select name=\"country\" size=\"20\">\n";

  $sql = "select DISTINCT country from ".$prefix."_weatherstations";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );

  foreach( $list as $row )
  {
    $sql = "select * from ".$prefix."_weathercountries where abbrev='".$row[country]."'";
    $result = $db->sql_query( $sql );
    $val = $db->sql_fetchrow( $result );

    echo "<option value=\"".$row[country]."\">".ucwords( $val[name] )."</option>\n";
  }

  echo "</select><br><input type=\"submit\" value=\""._SELECT_COUNTRY."\"></form>\n";
  echo "</form></td></tr></table></td></tr></table>\n";  
  CloseTable();

  include( "footer.php" );
}

/******************************************************************************************************************************************/
/*                                                                                                                                        */
/* function fnDisplayRadarRegion()                                                                                                        */ 
/*                                                                                                                                        */
/* Function displays the available regions to choose from                                                                                 */
/******************************************************************************************************************************************/

function fnDisplayRadarRegion( $country )
{
  global $module_name, $index, $db, $prefix;

  $index = 1; // show right side blocks
  
  $sql = "select * from ".$prefix."_weathercountries where abbrev='".$country."'";
  $result = $db->sql_query( $sql );
  $val = $db->sql_fetchrow( $result );
  
  include( "header.php" );

  OpenTable();
  
  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WH_RADAR_REGION
      ."</th><tr><td align=\"center\">"._PLS_SEL_ST.ucwords( $val[name])."</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
      ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._DIS_RADAR_LIST."\">\n"
      ."<select name=\"region\" size=\"20\">\n";

  $sql = "select DISTINCT region from ".$prefix."_weatherstations where country='".$country."'";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );

  foreach( $list as $row )
  {
    echo "<option value=\"".$row[region]."\">".ucwords( $row[region])."</option>\n";
  }

  echo "</select><br><input type=\"submit\" value=\""._SELECT_REGION."\"></form>\n";
  echo "</form></td></tr></table></td></tr></table>\n";  
  CloseTable();

  include( "footer.php" );
}

/******************************************************************************************************************************************/
/*                                                                                                                                        */
/* function fnDisplayRadarList()                                                                                                          */
/*                                                                                                                                        */
/* Function to display the list of available radars from the database                                                                     */
/******************************************************************************************************************************************/

function fnDisplayRadarList( $region )
{
  global $module_name, $db, $prefix, $index;

  $index = 1;

  include( "header.php" );
  OpenTable();

  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WH_RADAR_STATION."</th>"
      ."<tr><td align=\"center\">"._PLS_SEL_CITY."$region</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
	  ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._DIS_RADAR."\">\n"
	  ."<select name=\"id\" size=\"20\">\n";
	  
  $sql = "select id, repstation, primaryradar, secondaryradar, userradar from ".$prefix."_weatherstations where region='".$region."' order by repstation";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );
   			 
  foreach( $list as $row )
  {
    if ($row[primaryradar] != "" || $row[secondaryradar] != "" || $row[userradar] != "" )
    {
      echo "<option value=\"".$row[id]."\">".ucwords( $row[repstation])."</option>\n";
    }
  }
  
  echo "</select><br><input type=\"submit\" value=\""._SHOW_RADAR."\">\n";
  echo "</form></td></tr></table></td></tr></table>\n";  
  
  CloseTable();
  include( "footer.php" );
}

switch($op)
{
  case _DIS_WXMARINEZONE:
    fnDisWXMarineZone( $id );
    break;
	
  case _DIS_WX_MARINE:
    if ( $ocean != "" && $which == 1 )
      fnSelectWXMarine( $which, $ocean );
	else
	  fnSelectWXMarine();  
    break;
	
  case _DIS_WX_NEW_CITY:
    if ( $country != "" && $which == 1)
	  fnSelectWXCity( $which, $country );
	else if ( $region != "" && $which == 2)
	  fnSelectWXCity( $which, "", $region );    
	else
	  fnSelectWXCity();  
	break;

  case _DIS_WXZONE:
    fnDisplayWXZone( $id );
    break;

  case _UPD_CITY:
    if ( $code != "" )
	{
	  fnSaveDefaultCity( $code );
	}
    break;
	
  case _SEL_COUNTRY:
    fnSelectCountry();
	break;
		
  case _SEL_CITY:
    if ( $state != "" )
	{
      fnSelectCity( $state );
	}  
    break;

  case _SEL_REGION:
    if ( $country != "" )
	{
      fnSelectRegion( $country );
	}  
    break;
	
  case _DIS_RADAR_COUNTRY:
    fnDisplayRadarCountry();
    break;

  case _DIS_RADAR_REGION:
    if ($country != "") 
    {
      fnDisplayRadarRegion( $country );
    }
    break;

  case _DIS_RADAR_LIST:
    if ( $region != "")
    {
      fnDisplayRadarList( $region );
    }
    break;
		
  case _DIS_RADAR:
  case _SHOW_RADAR:
    if ($id != "") 
    {
      fnShowAllRadar( $id );
    }
    break;

  case _DIS_REQ_RADAR:
    if ( $id != "" && $type != "")
    {
      fnShowAllRadar( $id, $type );
    }
    break;

  case _DIS_BUOY_WEATHER:
    fnDisplayBuoyWorldMap();
    break;

  case _DIS_SELECTED_BUOY_REGION:
    if ( $item != "" )
	{
	  fnDisplayBuoyRegionMap( $item );
	}
	else
	{
	  fnDisplayBuoyWorldMap();
	}
    break;
	
  case _DIS_SELECTED_BUOY_DATA:
    if ( $buoy != "" && $item != "")
	{
	  fnDisplayBuoyData( $buoy, $item );
	}
	else
	{
	  fnDisplayBuoyWorldMap();
	}
    break;
	
  case _DIS_BUOY_FIVEDAY:
    if ( $buoy != "" && $item != "" )
	{
	  fnDisplayBuoyFiveDay( $buoy, $item );
	}
	else
	{
	  fnDisplayBuoyWorldMap();
	}
    break;

  case _DIS_SUMMARY_REGION:
    if ( $id != "" )
	{
	  fnDisplaySummary( $id );
	}
    break;
					
  case _WEATHER_SUMMARIES:
    fnDisplaySummariesList();
    break;
	
  default:
    $wh = new whini( $db, $prefix );
    $fgotoptions = false;
    $index = 1;
	
    include( "header.php" );
    
	OpenTable();
    echo "<table width=\"100%\"><th>"._WEATHER_HARVEST_MAIN_MENU."</th>\n";
    echo "<tr><td>\n";
    echo "<ul>";

    echo "<li><a href=\"modules.php?name=$module_name&amp;op="._WEATHER_SUMMARIES."\">"._DISPLAY_WEATHER_SUMMARIES."</a></li>\n";
	
    if ($wh->getuserdefcity() == true) 
    {
      if (is_user( $user ))
      {
        echo "<li><a href=\"modules.php?name=$module_name&amp;op="._SEL_COUNTRY."\">"._SEL_REPORTING_STATION."</a></li>\n";
      }
    }

    if ($wh->getshowradar() == true ) 
    {
      echo "<li><a href=\"modules.php?name=$module_name&amp;op="._DIS_RADAR_COUNTRY."\">"._DISPLAY_RADAR_IMAGE."</a></li>\n";
    }

    if ( $wh->getextendforecast() == true ) 
    {
      echo "<li><a href=\"modules.php?name=$module_name&amp;op="._DIS_WX_NEW_CITY."\">"._WX_NEW_CITY."</a></li>\n";
    }

    if ($wh->getshowbuoy() == true )
	{
	  echo "<li><a href=\"modules.php?name=$module_name&amp;op="._DIS_BUOY_WEATHER."\">"._DISPLAY_BUOY_WEATHER."</a></li>\n";
	}
	
	if ( $wh->getmarineforecast() == true )
	{
	  echo "<li><a href=\"modules.php?name=$module_name&amp;op="._DIS_WX_MARINE."\">"._WX_MARINE."</a></li>\n";
	}
	
    echo "</ul></td></tr>\n";
    echo "</table>\n";
    CloseTable();
	include( "footer.php");
    break;
}
?>



