#
# Table structure for table `nuke_weatherblock`
#

DROP TABLE IF EXISTS nuke_weatherblock;
CREATE TABLE nuke_weatherblock (
  timedisplay enum('0','1') NOT NULL default '1',
  datedisplay enum('0','1','2') NOT NULL default '0',
  yeardisplay enum('0','1') NOT NULL default '0',
  timezone set('Y','N') NOT NULL default 'N',
  timepos set('T','B') NOT NULL default 'T',
  fontsize set('S','M','L') NOT NULL default 'M',
  showregion set('Y','N') NOT NULL default 'Y',
  showcountry set('Y','N') NOT NULL default 'Y',
  blockwidth enum('0','1') NOT NULL default '0',
  measuretype enum('0','1','2') NOT NULL default '0',
  dawntime smallint(6) NOT NULL default '600',
  dusktime smallint(6) NOT NULL default '1800',
  radarlink enum('Y','N') NOT NULL default 'Y',
  stationlink enum('Y','N') NOT NULL default 'Y',
  summarylink enum('Y','N') NOT NULL default 'Y',
  wxzonelink enum('Y','N') NOT NULL default 'Y'
) TYPE=MyISAM COMMENT='block layout table';

#
# Dumping data for table `nuke_weatherblock`
#

INSERT INTO nuke_weatherblock VALUES ('0', '1', '0', 'Y', 'B', 'M', 'N', 'Y', '1', '1', 700, 1750, 'Y', 'Y', 'Y', 'Y');

#
# Table structure for table `nuke_weatherini`
#

DROP TABLE IF EXISTS nuke_weatherini;
CREATE TABLE nuke_weatherini (
  processtype set('1','2') NOT NULL default '1',
  rootcachepath char(255) NOT NULL default '',
  rootradarpath char(255) NOT NULL default '',
  nukeradarpath char(255) NOT NULL default '',
  userdefcity set('Y','N') NOT NULL default 'Y',
  showradar set('Y','N') NOT NULL default 'Y',
  radarloops set('Y','N') NOT NULL default 'N',
  cachetimeout set('1','2','3','4') NOT NULL default '1',
  imageset set('1','2','3') NOT NULL default '1',
  zippick set('Y','N') NOT NULL default 'N',
  miniblock set('Y','N') NOT NULL default 'Y',
  showbuoy set('Y','N') NOT NULL default 'Y',
  extendforecast set('Y','N') NOT NULL default 'Y',
  efdaysdisplay set('1','2','3','4','5') NOT NULL default '5',
  marineforecast set('Y','N') NOT NULL default 'N',
  FULLTEXT KEY rootcachepath (rootcachepath,rootradarpath,nukeradarpath)
) TYPE=MyISAM COMMENT='default screen settings for WeatherMagnet';

#
# Dumping data for table `nuke_weatherini`
#

INSERT INTO nuke_weatherini VALUES ('1', '/modules/WeatherHarvest/cache/', '/modules/WeatherHarvest/cache/', 'modules/WeatherHarvest/cache/', 'Y', 'Y', 'N', '1', '1', 'N', 'N', 'Y', 'Y', '3', 'Y');

#
# Table structure for table `nuke_weathermarine`
#

DROP TABLE IF EXISTS nuke_weathermarine;
CREATE TABLE nuke_weathermarine (
  id int(11) NOT NULL auto_increment,
  type set('C','O','H') NOT NULL default 'C',
  ocean varchar(25) NOT NULL default '',
  region varchar(100) NOT NULL default '',
  wxzone varchar(6) NOT NULL default '',
  synopsis varchar(6) NOT NULL default '',
  code varchar(4) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY ocean (ocean)
) TYPE=MyISAM COMMENT='marine weather table';

#
# Dumping data for table `nuke_weathermarine`
#

INSERT INTO nuke_weathermarine VALUES (1, 'C', 'North Atlantic', 'Eastport ME to Stonington ME', 'anz050', 'anz005', 'KCAR');
INSERT INTO nuke_weathermarine VALUES (2, 'C', 'North Atlantic', 'Stonington ME to Merrimack River MA', 'anz150', 'anz100', 'K2B8');
INSERT INTO nuke_weathermarine VALUES (3, 'C', 'North Atlantic', 'Merrimack River MA to Plymouth MA', 'anz250', 'anz200', 'KTAN');
INSERT INTO nuke_weathermarine VALUES (4, 'C', 'North Atlantic', 'Boston Harbor', 'anz230', 'anz200', 'KBOS');
INSERT INTO nuke_weathermarine VALUES (5, 'C', 'North Atlantic', 'Cape Cod Bay', 'anz231', 'anz200', 'KTAN');
INSERT INTO nuke_weathermarine VALUES (6, 'C', 'North Atlantic', 'Provincetown MA to Chatham MA to Nantucket MA', 'anz254', 'anz200', 'KCHH');
INSERT INTO nuke_weathermarine VALUES (7, 'C', 'North Atlantic', 'Nantucket Sound', 'anz232', 'anz200', 'KACK');
INSERT INTO nuke_weathermarine VALUES (8, 'C', 'North Atlantic', 'Vineyard Sound', 'anz233', 'anz200', 'KMVY');
INSERT INTO nuke_weathermarine VALUES (9, 'C', 'North Atlantic', 'Buzzards Bay', 'anz234', 'anz200', 'KMVY');
INSERT INTO nuke_weathermarine VALUES (10, 'C', 'North Atlantic', 'Narragansett Bay', 'anz236', 'anz200', 'KTAN');
INSERT INTO nuke_weathermarine VALUES (11, 'C', 'North Atlantic', 'Rhode Island Sound', 'anz235', 'anz200', 'KTAN');
INSERT INTO nuke_weathermarine VALUES (12, 'C', 'North Atlantic', 'Block Island Sound', 'anz237', 'anz200', 'KTAN');
INSERT INTO nuke_weathermarine VALUES (13, 'C', 'North Atlantic', 'Nantucket MA to Marthas Vineyard MA to Block Island RI to Montauk NY', 'anz255', 'anz200', 'KTAN');
INSERT INTO nuke_weathermarine VALUES (14, 'C', 'North Atlantic', 'Long Island Sound West of New Haven CT', 'anz335', 'anz300', 'KHVN');
INSERT INTO nuke_weathermarine VALUES (15, 'C', 'North Atlantic', 'Long Island Sound East of New Haven CT', 'anz330', 'anz300', 'KN11');
INSERT INTO nuke_weathermarine VALUES (16, 'C', 'North Atlantic', 'Moriches Inlet NY to Montauk Point NY', 'anz350', 'anz300', 'KMTP');
INSERT INTO nuke_weathermarine VALUES (17, 'C', 'North Atlantic', 'Fire Island Inlet NY to Moriches Inlet NY', 'anz353', 'anz300', 'KJFK');
INSERT INTO nuke_weathermarine VALUES (18, 'C', 'North Atlantic', 'Sandy Hook NJ to Fire Island Inlet NY', 'anz355', 'anz300', 'K56N');
INSERT INTO nuke_weathermarine VALUES (19, 'C', 'North Atlantic', 'New York Harbor', 'anz338', 'anz300', 'KJFK');
INSERT INTO nuke_weathermarine VALUES (20, 'C', 'North Atlantic', 'Sandy Hook NJ to Manasquan Inlet NJ', 'anz450', 'anz400', 'KVAY');
INSERT INTO nuke_weathermarine VALUES (21, 'C', 'North Atlantic', 'Manasquan Inlet NJ to Little Egg Inlet NJ', 'anz451', 'anz400', 'KVAY');
INSERT INTO nuke_weathermarine VALUES (22, 'C', 'North Atlantic', 'Little Egg Inlet NJ to Great Egg Inlet NJ', 'anz452', 'anz400', 'KVAY');
INSERT INTO nuke_weathermarine VALUES (23, 'C', 'North Atlantic', 'Great Egg Inlet NJ to Cape May NJ', 'anz453', 'anz400', 'KVAY');
INSERT INTO nuke_weathermarine VALUES (24, 'C', 'North Atlantic', 'Cape May NJ to Cape Henlopen DE', 'anz454', 'anz400', 'KVAY');
INSERT INTO nuke_weathermarine VALUES (25, 'C', 'North Atlantic', 'Cape Henlopen DE to Fenwick Island DE', 'anz455', 'anz400', 'KILG');
INSERT INTO nuke_weathermarine VALUES (26, 'C', 'North Atlantic', 'Delaware Bay South of East Point NJ to Slaughter Beach DE', 'anz431', 'anz400', 'KILG');
INSERT INTO nuke_weathermarine VALUES (27, 'C', 'North Atlantic', 'Delaware Bay North of East Point NJ to Slaughter Beach DE', 'anz430', 'anz400', 'KPHL');
INSERT INTO nuke_weathermarine VALUES (28, 'C', 'North Atlantic', 'Chesapeake Bay North of Pooles Island MD', 'anz530', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (29, 'C', 'North Atlantic', 'Chesapeake Bay from Pooles Island to Sandy Point MD', 'anz531', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (30, 'C', 'North Atlantic', 'Chesapeake Bay from Sandy Point to North Beach MD', 'anz532', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (31, 'C', 'North Atlantic', 'Chesapeake Bay from North Beach to Drum Point MD', 'anz533', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (32, 'C', 'North Atlantic', 'Chesapeake Bay from Drum Point MD to Smith Point VA', 'anz534', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (33, 'C', 'North Atlantic', 'Tidal Patomac from Key Bridge to Indian Head MD', 'anz535', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (34, 'C', 'North Atlantic', 'Tidal Patomac from Indian Head to Cobb Island MD', 'anz536', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (35, 'C', 'North Atlantic', 'Tidal Patomac from Cobb Island MD to Smith Point VA', 'anz537', 'anz500', 'KBWI');
INSERT INTO nuke_weathermarine VALUES (36, 'C', 'North Atlantic', 'Chesapeake Bay from Smith Point to Windmill Point VA', 'anz630', 'anz600', 'KAKQ');
INSERT INTO nuke_weathermarine VALUES (37, 'C', 'North Atlantic', 'Chesapeake Bay from Windmill Point to New Point Comfort VA', 'anz631', 'anz600', 'KAKQ');
INSERT INTO nuke_weathermarine VALUES (38, 'C', 'North Atlantic', 'Chesapeake Bay from New Point Comfort to Cape Henry VA', 'anz632', 'anz600', 'KAKQ');
INSERT INTO nuke_weathermarine VALUES (39, 'C', 'North Atlantic', 'Fenwick Island DE to Chincoteague VA', 'anz650', 'anz600', 'KAKQ');
INSERT INTO nuke_weathermarine VALUES (40, 'C', 'North Atlantic', 'Chincoteague to Parramore Island VA', 'anz652', 'anz600', 'KAKQ');
INSERT INTO nuke_weathermarine VALUES (41, 'C', 'North Atlantic', 'Parramore Island to Cape Charles Light VA', 'anz654', 'anz600', 'KW51');
INSERT INTO nuke_weathermarine VALUES (42, 'C', 'North Atlantic', 'Cape Charles Light VA to NC/VA Border', 'anz656', 'anz600', 'KW51');
INSERT INTO nuke_weathermarine VALUES (43, 'C', 'North Atlantic', 'NC/VA Border to Currituck Beach Light NC', 'anz658', 'anz600', 'K77W');
INSERT INTO nuke_weathermarine VALUES (44, 'C', 'North Atlantic', 'Currituck Sound NC', 'anz633', 'anz600', 'K77W');
INSERT INTO nuke_weathermarine VALUES (45, 'C', 'Mid Atlantic', 'Albemarle Sound NC', 'amz130', 'amz100', 'KMHX');
INSERT INTO nuke_weathermarine VALUES (46, 'C', 'Mid Atlantic', 'Currituck Beach Light to Oregon Inlet NC', 'amz150', 'amz100', 'KMHX');
INSERT INTO nuke_weathermarine VALUES (47, 'C', 'Mid Atlantic', 'Oregon Inlet to Cape Hatteras NC', 'amz152', 'amz100', 'KHAT');
INSERT INTO nuke_weathermarine VALUES (48, 'C', 'Mid Atlantic', 'Pamlico Sound NC', 'amz135', 'amz100', 'KHAT');
INSERT INTO nuke_weathermarine VALUES (49, 'C', 'Mid Atlantic', 'Cape Hatteras to Ocracoke Inlet NC', 'amz154', 'amz100', 'KHAT');
INSERT INTO nuke_weathermarine VALUES (50, 'C', 'Mid Atlantic', 'Ocracoke Inlet to Cape Lookout NC', 'amz156', 'amz100', 'K77W');
INSERT INTO nuke_weathermarine VALUES (51, 'C', 'Mid Atlantic', 'Cape Lookout to Surf City NC', 'amz158', 'amz100', 'K77W');
INSERT INTO nuke_weathermarine VALUES (52, 'C', 'Mid Atlantic', 'Surf City to Cape Fear NC', 'amz250', 'amz200', 'KILM');
INSERT INTO nuke_weathermarine VALUES (53, 'C', 'Mid Atlantic', 'Cpae Fear NC to Little River Inlet SC', 'amz252', 'amz200', 'KILM');
INSERT INTO nuke_weathermarine VALUES (54, 'C', 'Mid Atlantic', 'Little River Inlet to Murrells Inlet SC', 'amz254', 'amz200', 'KMYR');
INSERT INTO nuke_weathermarine VALUES (55, 'C', 'Mid Atlantic', 'Murrells Inlet to South Santee River SC', 'amz256', 'amz200', 'KMYR');
INSERT INTO nuke_weathermarine VALUES (56, 'C', 'Mid Atlantic', 'South Santee River to Edisto Beach SC', 'amz350', 'amz300', 'KMYR');
INSERT INTO nuke_weathermarine VALUES (57, 'C', 'Mid Atlantic', 'Charleston Harbor SC', 'amz330', 'amz300', 'KCHS');
INSERT INTO nuke_weathermarine VALUES (58, 'C', 'Mid Atlantic', 'Edisto Beach SC to Savannah GA', 'amz352', 'amz300', 'KSAV');
INSERT INTO nuke_weathermarine VALUES (59, 'C', 'Mid Atlantic', 'Savannah to Altamaha Sound GA out 20NM', 'amz354', 'amz300', 'KSAV');
INSERT INTO nuke_weathermarine VALUES (60, 'C', 'Mid Atlantic', 'Savannah to Altamaha Sound GA from 20 NM to 60 NM', 'amz374', 'amz300', 'KSAV');
INSERT INTO nuke_weathermarine VALUES (61, 'C', 'Mid Atlantic', 'Altamaha Sound GA to Fernandina Beach FL to 20 NM', 'amz450', 'amz400', 'KJAX');
INSERT INTO nuke_weathermarine VALUES (62, 'C', 'Mid Atlantic', 'Altamaha Sound GA to Fernandina Beach FL from 20 NM to 60 NM', 'amz470', 'amz400', 'KJAX');
INSERT INTO nuke_weathermarine VALUES (63, 'C', 'Mid Atlantic', 'Port of Jacksonville FL', 'amz435', 'amz400', 'KJAX');
INSERT INTO nuke_weathermarine VALUES (64, 'C', 'Mid Atlantic', 'Fernandina Beach to St. Augustine FL to 20 NM', 'amz452', 'amz400', 'KJAX');
INSERT INTO nuke_weathermarine VALUES (65, 'C', 'Mid Atlantic', 'Fernandina Beach to St. Augustine FL from 20 NM to 60 NM', 'amz472', 'amz400', 'KJAX');
INSERT INTO nuke_weathermarine VALUES (66, 'C', 'Mid Atlantic', 'St. Augustine to Flagler Beach FL. to 20 NM', 'amz454', 'amz400', 'KSGJ');
INSERT INTO nuke_weathermarine VALUES (67, 'C', 'Mid Atlantic', 'St. Augustine to Flagler Beach FL. from 20 NM to 60 NM', 'amz474', 'amz400', 'KSGJ');
INSERT INTO nuke_weathermarine VALUES (68, 'C', 'Mid Atlantic', 'Flagler Beach to Cocoa Beach FL to 20 NM', 'amz550', 'amz500', 'KCOF');
INSERT INTO nuke_weathermarine VALUES (69, 'C', 'Mid Atlantic', 'Flagler Beach to Cocoa Beach FL from 20 NM to 60 NM', 'amz570', 'amz500', 'KCOF');
INSERT INTO nuke_weathermarine VALUES (70, 'C', 'Mid Atlantic', 'Cocoa Beach to Jupiter Inlet FL to 20 NM', 'amz555', 'amz500', 'KX80');
INSERT INTO nuke_weathermarine VALUES (71, 'C', 'Mid Atlantic', 'Cocoa Beach to Jupiter Inlet FL from 20 NM to 60 NM', 'amz575', 'amz500', 'KX80');
INSERT INTO nuke_weathermarine VALUES (72, 'C', 'Mid Atlantic', 'Lake Okeechobee', 'amz610', 'amz600', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (73, 'C', 'Mid Atlantic', 'Jupiter Inlet to Deerfield Beach FL to 20 NM', 'amz650', 'amz600', 'KX80');
INSERT INTO nuke_weathermarine VALUES (74, 'C', 'Mid Atlantic', 'Jupiter Inlet to Deerfield Beach FL from 20 NM to 60 NM', 'amz670', 'amz600', 'KX80');
INSERT INTO nuke_weathermarine VALUES (75, 'C', 'Mid Atlantic', 'Biscayne Bay', 'amz630', 'amz600', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (76, 'C', 'Mid Atlantic', 'Deerfield Beach to Ocean Reef FL to 20 NM', 'amz651', 'amz600', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (77, 'C', 'Mid Atlantic', 'Deerfield Beach to Ocean Reef FL from 20 NM to 60 NM', 'amz671', 'amz600', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (78, 'C', 'Gulf of Mexico', 'East Cape Sable to Chokoloskee FL to 20 NM', 'gmz657', 'gmz606', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (79, 'C', 'Gulf of Mexico', 'Chokoloskee to Bonita Beach FL to 20 NM', 'gmz656', 'gmz606', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (80, 'C', 'Gulf of Mexico', 'Chokoloskee to Bonita Beach FL from 20 NM to 60 NM', 'gmz676', 'gmz606', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (81, 'C', 'Gulf of Mexico', 'Florida Bay', 'gmz031', 'gmz005', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (82, 'C', 'Gulf of Mexico', 'Ocean Reef to Craig Key FL to 20 NM', 'gmz052', 'gmz005', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (83, 'C', 'Gulf of Mexico', 'Ocean Reef to Craig Key FL from 20 NM to 60 NM', 'gmz072', 'gmz005', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (84, 'C', 'Gulf of Mexico', 'Craig Key to the West end of 7 mile bridge to 20 NM', 'gmz053', 'gmz005', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (85, 'C', 'Gulf of Mexico', 'Craig Key to the west end of 7 mile bridge from 20 NM to 60 NM', 'gmz073', 'gmz005', 'KMIA');
INSERT INTO nuke_weathermarine VALUES (86, 'C', 'Gulf of Mexico', 'West end of 7 mile bridge to Key West FL to 20 NM', 'gmz054', 'gmz005', 'KEYW');
INSERT INTO nuke_weathermarine VALUES (87, 'C', 'Gulf of Mexico', 'West end of 7 mile bridge to Key West FL from 20 NM to 60 NM', 'gmz074', 'gmz005', 'KEYW');
INSERT INTO nuke_weathermarine VALUES (88, 'C', 'Gulf of Mexico', 'Key West to 20 NM North, 20 NM West and 60 NM South of Dry Tortugas', 'gmz075', 'gmz005', 'KEYW');
INSERT INTO nuke_weathermarine VALUES (89, 'C', 'Gulf of Mexico', 'East of Cape Sable to Chokoloskee FL from 20 NM to 60 NM', 'gmz033', 'gmz005', 'KEYW');
INSERT INTO nuke_weathermarine VALUES (90, 'C', 'Gulf of Mexico', 'Bonita Beach to Englewood FL to 20 NM', 'gmz856', 'gmz800', 'KTBW');
INSERT INTO nuke_weathermarine VALUES (91, 'C', 'Gulf of Mexico', 'Bonita Beach to Englewood FL from 20 NM to 60 NM', 'gmz873', 'gmz800', 'KTPA');
INSERT INTO nuke_weathermarine VALUES (92, 'C', 'Gulf of Mexico', 'Tampa Bay', 'gmz830', 'gmz800', 'KTPA');
INSERT INTO nuke_weathermarine VALUES (93, 'C', 'Gulf of Mexico', 'Englewood to Tarpon Springs FL to 20 NM', 'gmz853', 'gmz800', 'KTPA');
INSERT INTO nuke_weathermarine VALUES (94, 'C', 'Gulf of Mexico', 'Englewood to Tarpon Springs FL from 20 NM to 60 NM', 'gmz870', 'gmz800', 'KTPA');
INSERT INTO nuke_weathermarine VALUES (95, 'C', 'Gulf of Mexico', 'Tarpon Springs to Suwannee River FL to 20 NM', 'gmz850', 'gmz800', 'KTPA');
INSERT INTO nuke_weathermarine VALUES (96, 'C', 'Gulf of Mexico', 'Tarpon Springs to Suwannee River FL from 20 NM to 60 NM', 'gmz876', 'gmz800', 'KTPA');
INSERT INTO nuke_weathermarine VALUES (97, 'C', 'Gulf of Mexico', 'Suwannee River to Apalachicola FL to 20 NM', 'gmz755', 'gmz700', 'KTLH');
INSERT INTO nuke_weathermarine VALUES (98, 'C', 'Gulf of Mexico', 'Suwannee River to Apalachicola FL from 20 NM to 60 NM', 'gmz775', 'gmz700', 'KTLH');
INSERT INTO nuke_weathermarine VALUES (99, 'C', 'Gulf of Mexico', 'Apalachicola to Destin FL to 20 NM', 'gmz750', 'gmz700', 'KTLH');
INSERT INTO nuke_weathermarine VALUES (100, 'C', 'Gulf of Mexico', 'Apalachicola to Destin FL from 20 NM to 60 NM', 'gmz770', 'gmz700', 'KTLH');
INSERT INTO nuke_weathermarine VALUES (101, 'O', 'North Atlantic Offshore', 'Gulf of Maine', 'anz081', 'anz080', 'K2B8');
INSERT INTO nuke_weathermarine VALUES (102, 'O', 'North Atlantic Offshore', 'Georges Bank', 'anz082', 'anz080', 'K2B8');
INSERT INTO nuke_weathermarine VALUES (103, 'O', 'North Atlantic Offshore', 'South of New England', 'anz083', 'anz080', 'KLGA');
INSERT INTO nuke_weathermarine VALUES (104, 'O', 'North Atlantic Offshore', 'Hudson Canyon to Baltimore Canyon', 'anz084', 'anz080', 'KLGA');
INSERT INTO nuke_weathermarine VALUES (105, 'O', 'North Atlantic Offshore', 'Baltimore Canyon to Hatteras Canyon', 'anz085', 'anz089', 'KHSE');
INSERT INTO nuke_weathermarine VALUES (106, 'O', 'North Atlantic Offshore', 'Hatteras Canyon to Cape Fear', 'anz086', 'anz089', 'KHAT');
INSERT INTO nuke_weathermarine VALUES (107, 'O', 'North Atlantic Offshore', 'Cape Fear to 31 N', 'anz088', 'anz089', 'K85J');
INSERT INTO nuke_weathermarine VALUES (108, 'O', 'Mid Atlantic Offshore', 'South of 31 N - West of 65 West', 'amz080', 'amz088', 'KJAX');
INSERT INTO nuke_weathermarine VALUES (109, 'O', 'Mid Atlantic Offshore', 'From 7 N to 22 N Between 55 W and 65 W', 'amz087', 'amz089', '');
INSERT INTO nuke_weathermarine VALUES (110, 'O', 'Mid Atlantic Offshore', '75 W to the Leeward and Windward Islands', 'amz086', 'amz089', '');
INSERT INTO nuke_weathermarine VALUES (111, 'O', 'Mid Atlantic Offshore', 'South of 15 N West of 75 W', 'amz084', 'amz089', '');
INSERT INTO nuke_weathermarine VALUES (112, 'O', 'Mid Atlantic Offshore', 'North of 15 N West of 75 W', 'amz082', 'amz089', '');
INSERT INTO nuke_weathermarine VALUES (113, 'O', 'Gulf of Mexico Offshore', 'East Gulf Between 81 W and 85 W', 'gmz086', 'gmz089', '');
INSERT INTO nuke_weathermarine VALUES (114, 'O', 'Gulf of Mexico Offshore', 'Middle Gulf Between 85 W and 90 W', 'gmz084', 'gmz089', '');
INSERT INTO nuke_weathermarine VALUES (115, 'O', 'Gulf of Mexico Offshore', 'NW Gulf North of 25 N W of 90 W Inc Flower Garden Banks National Marine Sanctuary', 'gmz080', 'gmz089', '');
INSERT INTO nuke_weathermarine VALUES (116, 'O', 'Gulf of Mexico Offshore', 'SW Gulf South of 25 N West of 90 W', 'gmz082', 'gmz089', '');
INSERT INTO nuke_weathermarine VALUES (117, 'O', 'East Pacific Offshore', 'Point Conception to Guadalupe Island', 'pzz085', 'pzz089', '');
INSERT INTO nuke_weathermarine VALUES (118, 'O', 'East Pacific Offshore', 'Point Arena to Point Conception', 'pzz084', 'pzz089', '');
INSERT INTO nuke_weathermarine VALUES (119, 'O', 'East Pacific Offshore', 'Point Saint George to Point Arena', 'pzz083', 'pzz089', '');
INSERT INTO nuke_weathermarine VALUES (120, 'O', 'East Pacific Offshore', 'Point Lookout to Point Saint George', 'pzz082', 'pzz080', '');
INSERT INTO nuke_weathermarine VALUES (121, 'O', 'East Pacific Offshore', 'Cape Flattery to Cape Lookout', 'pzz081', 'pzz080', '');
INSERT INTO nuke_weathermarine VALUES (122, 'O', 'Gulf of Alaska', 'North of 55 N to East of 144 W', 'pkz310', 'pkz398', '');
INSERT INTO nuke_weathermarine VALUES (123, 'O', 'Gulf of Alaska', 'North of 55 N and West of 144 W', 'pkz350', 'pkz399', '');
INSERT INTO nuke_weathermarine VALUES (124, 'O', 'South Central Bering Sea', 'East of the International Date Line', 'pkz410', 'pkz499', '');
INSERT INTO nuke_weathermarine VALUES (125, 'O', 'Mid Pacific Offshore', 'Within 240 NM of Hawaii', 'phz180', 'phz105', 'PHNL');
INSERT INTO nuke_weathermarine VALUES (126, 'C', 'Mid Atlantic', 'Rio Guajataca eastward to Cabo San Juan, eastward to Culebra, St. Thomas, St. John', 'amz720', 'amz700', 'KSJU');
INSERT INTO nuke_weathermarine VALUES (127, 'C', 'Mid Atlantic', 'northward to 19.5 N and between 68 W and 64 W, from northwest coast of Puerto Rico at Punta Caden', 'amz710', 'amz700', 'KSJU');
INSERT INTO nuke_weathermarine VALUES (128, 'C', 'Mid Atlantic', 'Punta Viento, north to Cabo San Juan, southward to 17 N and eastward to 64 W', 'amz730', 'amz700', 'KSJU');
INSERT INTO nuke_weathermarine VALUES (129, 'C', 'Mid Atlantic', 'west coast from Punta Cadena to Punta Melones', 'amz750', 'amz700', 'KSJU');
INSERT INTO nuke_weathermarine VALUES (130, 'C', 'Mid Atlantic', 'Punta Viento to Punta Melones, outside of 12 nautical miles Punta Melones to Punta Cadena', 'amz740', 'amz700', 'KSJU');
INSERT INTO nuke_weathermarine VALUES (131, 'C', 'Mid Pacific', 'Hawaiian Coastal Waters', 'phz150', 'phz100', 'PHNL');
INSERT INTO nuke_weathermarine VALUES (132, 'C', 'Mid Pacific', 'Channels between Hawaiian Islands', 'phz130', 'phz100', 'PHNL');
INSERT INTO nuke_weathermarine VALUES (133, 'C', 'Mid Pacific', 'Guam', 'pmz151', 'pmz150', '');
INSERT INTO nuke_weathermarine VALUES (134, 'C', 'Mid Pacific', 'Northern Mariana Islands - Rota', 'pmz152', '', '');
INSERT INTO nuke_weathermarine VALUES (135, 'C', 'Mid Pacific', 'Northern Mariana Islands - Tinian', 'pmz153', '', '');
INSERT INTO nuke_weathermarine VALUES (136, 'C', 'Mid Pacific', 'Northern Mariana Islands - Saipan', 'pmz154', '', '');
INSERT INTO nuke_weathermarine VALUES (137, 'C', 'Mid Pacific', 'Republic of Palau - Koror Palau', 'pmz161', '', '');
INSERT INTO nuke_weathermarine VALUES (138, 'C', 'Mid Pacific', 'Federated States of Micronesia - Yap', 'pmz171', '', '');
INSERT INTO nuke_weathermarine VALUES (139, 'C', 'Mid Pacific', 'Federated States of Micronesia - Chuuk', 'pmz172', '', '');
INSERT INTO nuke_weathermarine VALUES (140, 'C', 'Mid Pacific', 'Federated States of Micronesia - Pohnpei', 'pmz173', '', '');
INSERT INTO nuke_weathermarine VALUES (141, 'C', 'Mid Pacific', 'Federated States of Micronesia - Kosrae', 'pmz174', '', '');
INSERT INTO nuke_weathermarine VALUES (142, 'C', 'Mid Pacific', 'Republic of the Marshall Islands - Majuro', 'pmz181', '', '');
INSERT INTO nuke_weathermarine VALUES (143, 'C', 'South Pacific', 'Coastal Waters of Tututila and Aunuu Islands', 'psz150', 'psz100', '');
INSERT INTO nuke_weathermarine VALUES (144, 'C', 'South Pacific', 'Coastal Waters of Manua Islands', 'psz151', 'psz100', '');
INSERT INTO nuke_weathermarine VALUES (145, 'C', 'South Pacific', 'Coastal Waters of Swains Island', 'psz152', 'psz100', '');
INSERT INTO nuke_weathermarine VALUES (146, 'C', 'Gulf of Mexico', 'Destin to Pensacola FL to 20 NM', 'gmz655', 'gmz600', 'KNPA');
INSERT INTO nuke_weathermarine VALUES (147, 'C', 'Gulf of Mexico', 'Destin to Pensacola FL from 20 NM to 60 NM', 'gmz675', 'gmz600', 'KNPA');
INSERT INTO nuke_weathermarine VALUES (148, 'C', 'Gulf of Mexico', 'Pensacola FL to Pascagoula MS from 20 NM to 60 NM', 'gmz670', 'gmz600', 'KBFM');
INSERT INTO nuke_weathermarine VALUES (149, 'C', 'Gulf of Mexico', 'Pensacola FL to Pascagoula MS to 20 NM', 'gmz650', 'gmz600', 'KBFM');
INSERT INTO nuke_weathermarine VALUES (150, 'C', 'Gulf of Mexico', 'Mobile Bay', 'gmz630', 'gmz600', 'KBFM');
INSERT INTO nuke_weathermarine VALUES (151, 'C', 'Gulf of Mexico', 'Pascagoula MS to Mississippi River to 20 NM', 'gmz555', 'gmz500', 'KNBG');
INSERT INTO nuke_weathermarine VALUES (152, 'C', 'Gulf of Mexico', 'Pascagoula MS to Mississippi River from 20 NM to 60 NM', 'gmz575', 'gmz500', 'KNBG');
INSERT INTO nuke_weathermarine VALUES (153, 'C', 'Gulf of Mexico', 'Lake Pontchartrain/Lake Maurepas', 'gmz530', 'gmz500', 'KNBG');
INSERT INTO nuke_weathermarine VALUES (154, 'C', 'Gulf of Mexico', 'Mississippi River to Atchafalaya River to 20 NM', 'gmz550', 'gmz501', 'KNBG');
INSERT INTO nuke_weathermarine VALUES (155, 'C', 'Gulf of Mexico', 'Mississippi River to Atchafalaya River from 20 NM to 60 NM', 'gmz570', 'gmz501', 'KNBG');
INSERT INTO nuke_weathermarine VALUES (156, 'C', 'Gulf of Mexico', 'Atchafalaya River to Cameron LA to 20 NM', 'gmz455', 'gmz400', 'KLCH');
INSERT INTO nuke_weathermarine VALUES (157, 'C', 'Gulf of Mexico', 'Atchafalaya River to Cameron LA from 20 NM to 60 NM', 'gmz475', 'gmz400', 'KLCH');
INSERT INTO nuke_weathermarine VALUES (158, 'C', 'Gulf of Mexico', 'Cameron LA to High Island TX to 20 NM', 'gmz450', 'gmz400', 'KLCH');
INSERT INTO nuke_weathermarine VALUES (159, 'C', 'Gulf of Mexico', 'Cameron LA to High Island TX from 20 NM to 60 NM', 'gmz470', 'gmz400', 'KLCH');
INSERT INTO nuke_weathermarine VALUES (160, 'C', 'Gulf of Mexico', 'Galveston Bay TX', 'gmz335', 'gmz300', 'K9R0');
INSERT INTO nuke_weathermarine VALUES (161, 'C', 'Gulf of Mexico', 'High Island to Freeport TX to 20 NM', 'gmz355', 'gmz300', 'K9R0');
INSERT INTO nuke_weathermarine VALUES (162, 'C', 'Gulf of Mexico', 'High Island to Freeport TX from 20 NM to 60 NM', 'gmz375', 'gmz300', 'K9R0');
INSERT INTO nuke_weathermarine VALUES (163, 'C', 'Gulf of Mexico', 'Matagorda Bay TX', 'gmz330', 'gmz300', 'KIAH');
INSERT INTO nuke_weathermarine VALUES (164, 'C', 'Gulf of Mexico', 'Freeport to Matagorda Ship Channel to 20 NM', 'gmz350', 'gmz300', 'KIAH');
INSERT INTO nuke_weathermarine VALUES (165, 'C', 'Gulf of Mexico', 'Freeport to Matagorda Ship Channel from 20 NM to 60 NM', 'gmz370', 'gmz300', 'KIAH');
INSERT INTO nuke_weathermarine VALUES (166, 'C', 'Gulf of Mexico', 'Waterways from Port Aransas to Port O\'Connor', 'gmz235', 'gmz200', 'KNGP');
INSERT INTO nuke_weathermarine VALUES (167, 'C', 'Gulf of Mexico', 'Waterways from Baffin Bay to Port Aransas TX', 'gmz230', 'gmz200', 'KNGP');
INSERT INTO nuke_weathermarine VALUES (168, 'C', 'Gulf of Mexico', 'Port Aransas to Matagorda Ship Channel to 20 NM', 'gmz255', 'gmz200', 'KNGP');
INSERT INTO nuke_weathermarine VALUES (169, 'C', 'Gulf of Mexico', 'Port Aransas to Matagorda Ship Channel from 20 NM to 60 NM', 'gmz275', 'gmz200', 'KNGP');
INSERT INTO nuke_weathermarine VALUES (170, 'C', 'Gulf of Mexico', 'Baffin Bay to Port Aransas TX to 20 NM', 'gmz250', 'gmz200', 'KNGP');
INSERT INTO nuke_weathermarine VALUES (171, 'C', 'Gulf of Mexico', 'Baffin Bay to Port Aransas TX from 20 NM to 60 NM', 'gmz270', 'gmz200', 'KNGP');
INSERT INTO nuke_weathermarine VALUES (172, 'C', 'Gulf of Mexico', 'Laguna Madre Bay TX', 'gmz130', 'gmz100', 'KBRO');
INSERT INTO nuke_weathermarine VALUES (173, 'C', 'Gulf of Mexico', 'Baffin Bay to Port Mansfield TX to 20 NM', 'gmz155', 'gmz100', 'KBRO');
INSERT INTO nuke_weathermarine VALUES (174, 'C', 'Gulf of Mexico', 'Baffin Bay to Port Mansfield TX from 20 NM to 60 NM', 'gmz175', 'gmz100', 'KBRO');
INSERT INTO nuke_weathermarine VALUES (175, 'C', 'Gulf of Mexico', 'Port Mansfield TX to Rio Grande to 20 NM', 'gmz150', 'gmz100', 'KBRO');
INSERT INTO nuke_weathermarine VALUES (176, 'C', 'Gulf of Mexico', 'Port Mansfield TX to Rio Grande from 20 NM to 60 NM', 'gmz170', 'gmz100', 'KBRO');
INSERT INTO nuke_weathermarine VALUES (177, 'C', 'East Pacific', 'San Mateo CA to Mexican Border to 30 NM', 'pzz750', 'pzz700', 'KNZY');
INSERT INTO nuke_weathermarine VALUES (178, 'C', 'East Pacific', 'San Mateo CA to Mexican Border from 30 NM to 60 NM', 'pzz775', 'pzz700', 'KNZY');
INSERT INTO nuke_weathermarine VALUES (179, 'C', 'East Pacific', 'Point Mugu to San Mateo Pt. CA including Santa Catalina and Santa Barbara', 'pzz655', 'pzz600', 'KLAZ');
INSERT INTO nuke_weathermarine VALUES (180, 'C', 'East Pacific', 'Santa Cruz to San Clemente CA to 60 NM', 'pzz676', 'pzz600', 'KLAX');
INSERT INTO nuke_weathermarine VALUES (181, 'C', 'East Pacific', 'Santa Barbara Channel from Pt. Mugu to Santa Cruz CA', 'pzz650', 'pzz600', 'KLAX');
INSERT INTO nuke_weathermarine VALUES (182, 'C', 'East Pacific', 'Pt. Arguello to Santa Cruz Island CA to 60 NM', 'pzz673', 'pzz600', 'KLAX');
INSERT INTO nuke_weathermarine VALUES (183, 'C', 'East Pacific', 'Pt. Piedras Blancas to Pt. Arguello to 60 NM', 'pzz670', 'pzz600', 'KLAX');
INSERT INTO nuke_weathermarine VALUES (184, 'C', 'East Pacific', 'Monterey Bay CA', 'pzz535', 'pzz500', 'KSFO');
INSERT INTO nuke_weathermarine VALUES (185, 'C', 'East Pacific', 'Pt. Piedras Blancas to Pigeon Pt. to 20 NM', 'pzz555', 'pzz500', 'KSFO');
INSERT INTO nuke_weathermarine VALUES (186, 'C', 'East Pacific', 'Pt. Piedras Blancas to Pigeon Pt. from 20 NM to 60 NM', 'pzz575', 'pzz500', 'KSFO');
INSERT INTO nuke_weathermarine VALUES (187, 'C', 'East Pacific', 'San Francisco, San Pablo, Suisan bays and West Delta CA', 'pzz530', 'pzz500', 'KSFO');
INSERT INTO nuke_weathermarine VALUES (188, 'C', 'East Pacific', 'Pigeon Pt. to Pt. Arena CA to 20 NM', 'pzz550', 'pzz500', 'KSFO');
INSERT INTO nuke_weathermarine VALUES (189, 'C', 'East Pacific', 'Pigeon Pt. to Pt. Arena CA from 20 NM to 60 NM', 'pzz570', 'pzz500', 'KSFO');

#
# Table structure for table `nuke_weatherzones`
#

DROP TABLE IF EXISTS nuke_weatherzones;
CREATE TABLE nuke_weatherzones (
  weatherzones int(11) NOT NULL auto_increment,
  fips varchar(5) NOT NULL default '',
  wxzone varchar(6) NOT NULL default '',
  PRIMARY KEY  (weatherzones),
  KEY fips (fips),
  KEY wxzone (wxzone)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_weatherzones`
#

INSERT INTO nuke_weatherzones VALUES (1, '01001', 'alz041');
INSERT INTO nuke_weatherzones VALUES (2, '01003', 'alz062');
INSERT INTO nuke_weatherzones VALUES (3, '01003', 'alz064');
INSERT INTO nuke_weatherzones VALUES (4, '01005', 'alz050');
INSERT INTO nuke_weatherzones VALUES (5, '01007', 'alz034');
INSERT INTO nuke_weatherzones VALUES (6, '01009', 'alz017');
INSERT INTO nuke_weatherzones VALUES (7, '01011', 'alz046');
INSERT INTO nuke_weatherzones VALUES (8, '01013', 'alz057');
INSERT INTO nuke_weatherzones VALUES (9, '01015', 'alz019');
INSERT INTO nuke_weatherzones VALUES (10, '01017', 'alz038');
INSERT INTO nuke_weatherzones VALUES (11, '01019', 'alz020');
INSERT INTO nuke_weatherzones VALUES (12, '01021', 'alz035');
INSERT INTO nuke_weatherzones VALUES (13, '01023', 'alz051');
INSERT INTO nuke_weatherzones VALUES (14, '01025', 'alz053');
INSERT INTO nuke_weatherzones VALUES (15, '01027', 'alz028');
INSERT INTO nuke_weatherzones VALUES (16, '01029', 'alz021');
INSERT INTO nuke_weatherzones VALUES (17, '01031', 'alz065');
INSERT INTO nuke_weatherzones VALUES (18, '01033', 'alz002');
INSERT INTO nuke_weatherzones VALUES (19, '01035', 'alz056');
INSERT INTO nuke_weatherzones VALUES (20, '01037', 'alz036');
INSERT INTO nuke_weatherzones VALUES (21, '01039', 'alz060');
INSERT INTO nuke_weatherzones VALUES (22, '01041', 'alz058');
INSERT INTO nuke_weatherzones VALUES (23, '01043', 'alz016');
INSERT INTO nuke_weatherzones VALUES (24, '01045', 'alz066');
INSERT INTO nuke_weatherzones VALUES (25, '01047', 'alz040');
INSERT INTO nuke_weatherzones VALUES (26, '01049', 'alz010');
INSERT INTO nuke_weatherzones VALUES (27, '01051', 'alz043');
INSERT INTO nuke_weatherzones VALUES (28, '01053', 'alz059');
INSERT INTO nuke_weatherzones VALUES (29, '01055', 'alz018');
INSERT INTO nuke_weatherzones VALUES (30, '01057', 'alz013');
INSERT INTO nuke_weatherzones VALUES (31, '01059', 'alz003');
INSERT INTO nuke_weatherzones VALUES (32, '01061', 'alz068');
INSERT INTO nuke_weatherzones VALUES (33, '01063', 'alz031');
INSERT INTO nuke_weatherzones VALUES (34, '01065', 'alz032');
INSERT INTO nuke_weatherzones VALUES (35, '01067', 'alz067');
INSERT INTO nuke_weatherzones VALUES (36, '01069', 'alz069');
INSERT INTO nuke_weatherzones VALUES (37, '01071', 'alz009');
INSERT INTO nuke_weatherzones VALUES (38, '01073', 'alz024');
INSERT INTO nuke_weatherzones VALUES (39, '01075', 'alz012');
INSERT INTO nuke_weatherzones VALUES (40, '01077', 'alz001');
INSERT INTO nuke_weatherzones VALUES (41, '01079', 'alz004');
INSERT INTO nuke_weatherzones VALUES (42, '01081', 'alz047');
INSERT INTO nuke_weatherzones VALUES (43, '01083', 'alz005');
INSERT INTO nuke_weatherzones VALUES (44, '01085', 'alz042');
INSERT INTO nuke_weatherzones VALUES (45, '01087', 'alz045');
INSERT INTO nuke_weatherzones VALUES (46, '01089', 'alz006');
INSERT INTO nuke_weatherzones VALUES (47, '01091', 'alz039');
INSERT INTO nuke_weatherzones VALUES (48, '01093', 'alz011');
INSERT INTO nuke_weatherzones VALUES (49, '01095', 'alz008');
INSERT INTO nuke_weatherzones VALUES (50, '01097', 'alz061');
INSERT INTO nuke_weatherzones VALUES (51, '01097', 'alz063');
INSERT INTO nuke_weatherzones VALUES (52, '01099', 'alz055');
INSERT INTO nuke_weatherzones VALUES (53, '01101', 'alz044');
INSERT INTO nuke_weatherzones VALUES (54, '01103', 'alz007');
INSERT INTO nuke_weatherzones VALUES (55, '01105', 'alz033');
INSERT INTO nuke_weatherzones VALUES (56, '01107', 'alz022');
INSERT INTO nuke_weatherzones VALUES (57, '01109', 'alz049');
INSERT INTO nuke_weatherzones VALUES (58, '01111', 'alz029');
INSERT INTO nuke_weatherzones VALUES (59, '01113', 'alz048');
INSERT INTO nuke_weatherzones VALUES (60, '01115', 'alz026');
INSERT INTO nuke_weatherzones VALUES (61, '01117', 'alz025');
INSERT INTO nuke_weatherzones VALUES (62, '01119', 'alz030');
INSERT INTO nuke_weatherzones VALUES (63, '01121', 'alz027');
INSERT INTO nuke_weatherzones VALUES (64, '01123', 'alz037');
INSERT INTO nuke_weatherzones VALUES (65, '01125', 'alz023');
INSERT INTO nuke_weatherzones VALUES (66, '01127', 'alz015');
INSERT INTO nuke_weatherzones VALUES (67, '01129', 'alz052');
INSERT INTO nuke_weatherzones VALUES (68, '01131', 'alz054');
INSERT INTO nuke_weatherzones VALUES (69, '01133', 'alz014');
INSERT INTO nuke_weatherzones VALUES (70, '02013', 'akz181');
INSERT INTO nuke_weatherzones VALUES (71, '02013', 'akz185');
INSERT INTO nuke_weatherzones VALUES (72, '02016', 'akz181');
INSERT INTO nuke_weatherzones VALUES (73, '02016', 'akz185');
INSERT INTO nuke_weatherzones VALUES (74, '02016', 'akz191');
INSERT INTO nuke_weatherzones VALUES (75, '02016', 'akz195');
INSERT INTO nuke_weatherzones VALUES (76, '02020', 'akz101');
INSERT INTO nuke_weatherzones VALUES (77, '02020', 'akz111');
INSERT INTO nuke_weatherzones VALUES (78, '02020', 'akz125');
INSERT INTO nuke_weatherzones VALUES (79, '02020', 'akz141');
INSERT INTO nuke_weatherzones VALUES (80, '02020', 'akz145');
INSERT INTO nuke_weatherzones VALUES (81, '02050', 'akz151');
INSERT INTO nuke_weatherzones VALUES (82, '02050', 'akz155');
INSERT INTO nuke_weatherzones VALUES (83, '02050', 'akz161');
INSERT INTO nuke_weatherzones VALUES (84, '02050', 'akz214');
INSERT INTO nuke_weatherzones VALUES (85, '02050', 'akz215');
INSERT INTO nuke_weatherzones VALUES (86, '02060', 'akz161');
INSERT INTO nuke_weatherzones VALUES (87, '02068', 'akz025');
INSERT INTO nuke_weatherzones VALUES (88, '02068', 'akz145');
INSERT INTO nuke_weatherzones VALUES (89, '02068', 'akz151');
INSERT INTO nuke_weatherzones VALUES (90, '02068', 'akz221');
INSERT INTO nuke_weatherzones VALUES (91, '02068', 'akz223');
INSERT INTO nuke_weatherzones VALUES (92, '02068', 'akz225');
INSERT INTO nuke_weatherzones VALUES (93, '02068', 'akz226');
INSERT INTO nuke_weatherzones VALUES (94, '02070', 'akz151');
INSERT INTO nuke_weatherzones VALUES (95, '02070', 'akz161');
INSERT INTO nuke_weatherzones VALUES (96, '02090', 'akz220');
INSERT INTO nuke_weatherzones VALUES (97, '02090', 'akz221');
INSERT INTO nuke_weatherzones VALUES (98, '02090', 'akz222');
INSERT INTO nuke_weatherzones VALUES (99, '02090', 'akz223');
INSERT INTO nuke_weatherzones VALUES (100, '02090', 'akz224');
INSERT INTO nuke_weatherzones VALUES (101, '02100', 'akz021');
INSERT INTO nuke_weatherzones VALUES (102, '02100', 'akz024');
INSERT INTO nuke_weatherzones VALUES (103, '02100', 'akz025');
INSERT INTO nuke_weatherzones VALUES (104, '02122', 'akz121');
INSERT INTO nuke_weatherzones VALUES (105, '02122', 'akz125');
INSERT INTO nuke_weatherzones VALUES (106, '02122', 'akz145');
INSERT INTO nuke_weatherzones VALUES (107, '02122', 'akz151');
INSERT INTO nuke_weatherzones VALUES (108, '02122', 'akz161');
INSERT INTO nuke_weatherzones VALUES (109, '02122', 'akz171');
INSERT INTO nuke_weatherzones VALUES (110, '02150', 'akz161');
INSERT INTO nuke_weatherzones VALUES (111, '02150', 'akz171');
INSERT INTO nuke_weatherzones VALUES (112, '02150', 'akz185');
INSERT INTO nuke_weatherzones VALUES (113, '02164', 'akz151');
INSERT INTO nuke_weatherzones VALUES (114, '02164', 'akz161');
INSERT INTO nuke_weatherzones VALUES (115, '02164', 'akz171');
INSERT INTO nuke_weatherzones VALUES (116, '02164', 'akz181');
INSERT INTO nuke_weatherzones VALUES (117, '02170', 'akz111');
INSERT INTO nuke_weatherzones VALUES (118, '02170', 'akz125');
INSERT INTO nuke_weatherzones VALUES (119, '02170', 'akz141');
INSERT INTO nuke_weatherzones VALUES (120, '02170', 'akz145');
INSERT INTO nuke_weatherzones VALUES (121, '02180', 'akz207');
INSERT INTO nuke_weatherzones VALUES (122, '02180', 'akz210');
INSERT INTO nuke_weatherzones VALUES (123, '02180', 'akz211');
INSERT INTO nuke_weatherzones VALUES (124, '02180', 'akz212');
INSERT INTO nuke_weatherzones VALUES (125, '02180', 'akz213');
INSERT INTO nuke_weatherzones VALUES (126, '02180', 'akz214');
INSERT INTO nuke_weatherzones VALUES (127, '02180', 'akz215');
INSERT INTO nuke_weatherzones VALUES (128, '02185', 'akz201');
INSERT INTO nuke_weatherzones VALUES (129, '02185', 'akz202');
INSERT INTO nuke_weatherzones VALUES (130, '02185', 'akz203');
INSERT INTO nuke_weatherzones VALUES (131, '02185', 'akz204');
INSERT INTO nuke_weatherzones VALUES (132, '02185', 'akz205');
INSERT INTO nuke_weatherzones VALUES (133, '02185', 'akz206');
INSERT INTO nuke_weatherzones VALUES (134, '02185', 'akz207');
INSERT INTO nuke_weatherzones VALUES (135, '02185', 'akz208');
INSERT INTO nuke_weatherzones VALUES (136, '02185', 'akz217');
INSERT INTO nuke_weatherzones VALUES (137, '02185', 'akz218');
INSERT INTO nuke_weatherzones VALUES (138, '02188', 'akz205');
INSERT INTO nuke_weatherzones VALUES (139, '02188', 'akz207');
INSERT INTO nuke_weatherzones VALUES (140, '02188', 'akz208');
INSERT INTO nuke_weatherzones VALUES (141, '02188', 'akz209');
INSERT INTO nuke_weatherzones VALUES (142, '02188', 'akz210');
INSERT INTO nuke_weatherzones VALUES (143, '02188', 'akz216');
INSERT INTO nuke_weatherzones VALUES (144, '02188', 'akz217');
INSERT INTO nuke_weatherzones VALUES (145, '02188', 'akz218');
INSERT INTO nuke_weatherzones VALUES (146, '02188', 'akz219');
INSERT INTO nuke_weatherzones VALUES (147, '02201', 'akz026');
INSERT INTO nuke_weatherzones VALUES (148, '02201', 'akz027');
INSERT INTO nuke_weatherzones VALUES (149, '02201', 'akz028');
INSERT INTO nuke_weatherzones VALUES (150, '02201', 'akz029');
INSERT INTO nuke_weatherzones VALUES (151, '02210', 'akz024');
INSERT INTO nuke_weatherzones VALUES (152, '02210', 'akz025');
INSERT INTO nuke_weatherzones VALUES (153, '02220', 'akz023');
INSERT INTO nuke_weatherzones VALUES (154, '02220', 'akz025');
INSERT INTO nuke_weatherzones VALUES (155, '02220', 'akz026');
INSERT INTO nuke_weatherzones VALUES (156, '02232', 'akz021');
INSERT INTO nuke_weatherzones VALUES (157, '02232', 'akz023');
INSERT INTO nuke_weatherzones VALUES (158, '02232', 'akz024');
INSERT INTO nuke_weatherzones VALUES (159, '02232', 'akz025');
INSERT INTO nuke_weatherzones VALUES (160, '02240', 'akz141');
INSERT INTO nuke_weatherzones VALUES (161, '02240', 'akz223');
INSERT INTO nuke_weatherzones VALUES (162, '02240', 'akz224');
INSERT INTO nuke_weatherzones VALUES (163, '02240', 'akz226');
INSERT INTO nuke_weatherzones VALUES (164, '02261', 'akz023');
INSERT INTO nuke_weatherzones VALUES (165, '02261', 'akz125');
INSERT INTO nuke_weatherzones VALUES (166, '02261', 'akz131');
INSERT INTO nuke_weatherzones VALUES (167, '02261', 'akz135');
INSERT INTO nuke_weatherzones VALUES (168, '02261', 'akz141');
INSERT INTO nuke_weatherzones VALUES (169, '02261', 'akz224');
INSERT INTO nuke_weatherzones VALUES (170, '02261', 'akz226');
INSERT INTO nuke_weatherzones VALUES (171, '02270', 'akz155');
INSERT INTO nuke_weatherzones VALUES (172, '02270', 'akz212');
INSERT INTO nuke_weatherzones VALUES (173, '02270', 'akz214');
INSERT INTO nuke_weatherzones VALUES (174, '02270', 'akz215');
INSERT INTO nuke_weatherzones VALUES (175, '02280', 'akz023');
INSERT INTO nuke_weatherzones VALUES (176, '02280', 'akz025');
INSERT INTO nuke_weatherzones VALUES (177, '02280', 'akz026');
INSERT INTO nuke_weatherzones VALUES (178, '02280', 'akz027');
INSERT INTO nuke_weatherzones VALUES (179, '02280', 'akz028');
INSERT INTO nuke_weatherzones VALUES (180, '02280', 'akz029');
INSERT INTO nuke_weatherzones VALUES (181, '02282', 'akz022');
INSERT INTO nuke_weatherzones VALUES (182, '02290', 'akz151');
INSERT INTO nuke_weatherzones VALUES (183, '02290', 'akz205');
INSERT INTO nuke_weatherzones VALUES (184, '02290', 'akz206');
INSERT INTO nuke_weatherzones VALUES (185, '02290', 'akz210');
INSERT INTO nuke_weatherzones VALUES (186, '02290', 'akz212');
INSERT INTO nuke_weatherzones VALUES (187, '02290', 'akz215');
INSERT INTO nuke_weatherzones VALUES (188, '02290', 'akz216');
INSERT INTO nuke_weatherzones VALUES (189, '02290', 'akz217');
INSERT INTO nuke_weatherzones VALUES (190, '02290', 'akz218');
INSERT INTO nuke_weatherzones VALUES (191, '02290', 'akz219');
INSERT INTO nuke_weatherzones VALUES (192, '02290', 'akz220');
INSERT INTO nuke_weatherzones VALUES (193, '02290', 'akz221');
INSERT INTO nuke_weatherzones VALUES (194, '02290', 'akz222');
INSERT INTO nuke_weatherzones VALUES (195, '02290', 'akz223');
INSERT INTO nuke_weatherzones VALUES (196, '02290', 'akz224');
INSERT INTO nuke_weatherzones VALUES (197, '04001', 'azz010');
INSERT INTO nuke_weatherzones VALUES (198, '04001', 'azz011');
INSERT INTO nuke_weatherzones VALUES (199, '04001', 'azz014');
INSERT INTO nuke_weatherzones VALUES (200, '04001', 'azz017');
INSERT INTO nuke_weatherzones VALUES (201, '04001', 'azz039');
INSERT INTO nuke_weatherzones VALUES (202, '04001', 'azz040');
INSERT INTO nuke_weatherzones VALUES (203, '04003', 'azz035');
INSERT INTO nuke_weatherzones VALUES (204, '04005', 'azz004');
INSERT INTO nuke_weatherzones VALUES (205, '04005', 'azz005');
INSERT INTO nuke_weatherzones VALUES (206, '04005', 'azz006');
INSERT INTO nuke_weatherzones VALUES (207, '04005', 'azz007');
INSERT INTO nuke_weatherzones VALUES (208, '04005', 'azz009');
INSERT INTO nuke_weatherzones VALUES (209, '04005', 'azz012');
INSERT INTO nuke_weatherzones VALUES (210, '04005', 'azz015');
INSERT INTO nuke_weatherzones VALUES (211, '04005', 'azz016');
INSERT INTO nuke_weatherzones VALUES (212, '04005', 'azz038');
INSERT INTO nuke_weatherzones VALUES (213, '04005', 'azz040');
INSERT INTO nuke_weatherzones VALUES (214, '04007', 'azz018');
INSERT INTO nuke_weatherzones VALUES (215, '04007', 'azz024');
INSERT INTO nuke_weatherzones VALUES (216, '04009', 'azz030');
INSERT INTO nuke_weatherzones VALUES (217, '04011', 'azz019');
INSERT INTO nuke_weatherzones VALUES (218, '04011', 'azz030');
INSERT INTO nuke_weatherzones VALUES (219, '04012', 'azz020');
INSERT INTO nuke_weatherzones VALUES (220, '04012', 'azz021');
INSERT INTO nuke_weatherzones VALUES (221, '04012', 'azz026');
INSERT INTO nuke_weatherzones VALUES (222, '04013', 'azz022');
INSERT INTO nuke_weatherzones VALUES (223, '04013', 'azz023');
INSERT INTO nuke_weatherzones VALUES (224, '04013', 'azz024');
INSERT INTO nuke_weatherzones VALUES (225, '04013', 'azz027');
INSERT INTO nuke_weatherzones VALUES (226, '04015', 'azz001');
INSERT INTO nuke_weatherzones VALUES (227, '04015', 'azz002');
INSERT INTO nuke_weatherzones VALUES (228, '04015', 'azz003');
INSERT INTO nuke_weatherzones VALUES (229, '04015', 'azz036');
INSERT INTO nuke_weatherzones VALUES (230, '04017', 'azz009');
INSERT INTO nuke_weatherzones VALUES (231, '04017', 'azz010');
INSERT INTO nuke_weatherzones VALUES (232, '04017', 'azz013');
INSERT INTO nuke_weatherzones VALUES (233, '04017', 'azz016');
INSERT INTO nuke_weatherzones VALUES (234, '04017', 'azz017');
INSERT INTO nuke_weatherzones VALUES (235, '04017', 'azz039');
INSERT INTO nuke_weatherzones VALUES (236, '04017', 'azz040');
INSERT INTO nuke_weatherzones VALUES (237, '04019', 'azz031');
INSERT INTO nuke_weatherzones VALUES (238, '04019', 'azz032');
INSERT INTO nuke_weatherzones VALUES (239, '04019', 'azz033');
INSERT INTO nuke_weatherzones VALUES (240, '04021', 'azz024');
INSERT INTO nuke_weatherzones VALUES (241, '04021', 'azz028');
INSERT INTO nuke_weatherzones VALUES (242, '04021', 'azz029');
INSERT INTO nuke_weatherzones VALUES (243, '04023', 'azz034');
INSERT INTO nuke_weatherzones VALUES (244, '04025', 'azz008');
INSERT INTO nuke_weatherzones VALUES (245, '04025', 'azz015');
INSERT INTO nuke_weatherzones VALUES (246, '04025', 'azz037');
INSERT INTO nuke_weatherzones VALUES (247, '04025', 'azz038');
INSERT INTO nuke_weatherzones VALUES (248, '04027', 'azz025');
INSERT INTO nuke_weatherzones VALUES (249, '04027', 'azz026');
INSERT INTO nuke_weatherzones VALUES (250, '05001', 'arz057');
INSERT INTO nuke_weatherzones VALUES (251, '05003', 'arz074');
INSERT INTO nuke_weatherzones VALUES (252, '05005', 'arz005');
INSERT INTO nuke_weatherzones VALUES (253, '05007', 'arz001');
INSERT INTO nuke_weatherzones VALUES (254, '05009', 'arz003');
INSERT INTO nuke_weatherzones VALUES (255, '05011', 'arz068');
INSERT INTO nuke_weatherzones VALUES (256, '05013', 'arz067');
INSERT INTO nuke_weatherzones VALUES (257, '05015', 'arz002');
INSERT INTO nuke_weatherzones VALUES (258, '05017', 'arz075');
INSERT INTO nuke_weatherzones VALUES (259, '05019', 'arz053');
INSERT INTO nuke_weatherzones VALUES (260, '05021', 'arz009');
INSERT INTO nuke_weatherzones VALUES (261, '05023', 'arz024');
INSERT INTO nuke_weatherzones VALUES (262, '05025', 'arz063');
INSERT INTO nuke_weatherzones VALUES (263, '05027', 'arz072');
INSERT INTO nuke_weatherzones VALUES (264, '05029', 'arz031');
INSERT INTO nuke_weatherzones VALUES (265, '05031', 'arz026');
INSERT INTO nuke_weatherzones VALUES (266, '05033', 'arz019');
INSERT INTO nuke_weatherzones VALUES (267, '05035', 'arz036');
INSERT INTO nuke_weatherzones VALUES (268, '05037', 'arz035');
INSERT INTO nuke_weatherzones VALUES (269, '05039', 'arz062');
INSERT INTO nuke_weatherzones VALUES (270, '05041', 'arz065');
INSERT INTO nuke_weatherzones VALUES (271, '05043', 'arz069');
INSERT INTO nuke_weatherzones VALUES (272, '05045', 'arz032');
INSERT INTO nuke_weatherzones VALUES (273, '05047', 'arz020');
INSERT INTO nuke_weatherzones VALUES (274, '05049', 'arz006');
INSERT INTO nuke_weatherzones VALUES (275, '05051', 'arz042');
INSERT INTO nuke_weatherzones VALUES (276, '05053', 'arz055');
INSERT INTO nuke_weatherzones VALUES (277, '05055', 'arz018');
INSERT INTO nuke_weatherzones VALUES (278, '05057', 'arz060');
INSERT INTO nuke_weatherzones VALUES (279, '05059', 'arz054');
INSERT INTO nuke_weatherzones VALUES (280, '05061', 'arz051');
INSERT INTO nuke_weatherzones VALUES (281, '05063', 'arz016');
INSERT INTO nuke_weatherzones VALUES (282, '05065', 'arz015');
INSERT INTO nuke_weatherzones VALUES (283, '05067', 'arz025');
INSERT INTO nuke_weatherzones VALUES (284, '05069', 'arz056');
INSERT INTO nuke_weatherzones VALUES (285, '05071', 'arz021');
INSERT INTO nuke_weatherzones VALUES (286, '05073', 'arz071');
INSERT INTO nuke_weatherzones VALUES (287, '05075', 'arz017');
INSERT INTO nuke_weatherzones VALUES (288, '05077', 'arz049');
INSERT INTO nuke_weatherzones VALUES (289, '05079', 'arz064');
INSERT INTO nuke_weatherzones VALUES (290, '05081', 'arz059');
INSERT INTO nuke_weatherzones VALUES (291, '05083', 'arz030');
INSERT INTO nuke_weatherzones VALUES (292, '05085', 'arz045');
INSERT INTO nuke_weatherzones VALUES (293, '05087', 'arz011');
INSERT INTO nuke_weatherzones VALUES (294, '05089', 'arz004');
INSERT INTO nuke_weatherzones VALUES (295, '05091', 'arz070');
INSERT INTO nuke_weatherzones VALUES (296, '05093', 'arz028');
INSERT INTO nuke_weatherzones VALUES (297, '05095', 'arz047');
INSERT INTO nuke_weatherzones VALUES (298, '05097', 'arz041');
INSERT INTO nuke_weatherzones VALUES (299, '05099', 'arz061');
INSERT INTO nuke_weatherzones VALUES (300, '05101', 'arz012');
INSERT INTO nuke_weatherzones VALUES (301, '05103', 'arz066');
INSERT INTO nuke_weatherzones VALUES (302, '05105', 'arz039');
INSERT INTO nuke_weatherzones VALUES (303, '05107', 'arz058');
INSERT INTO nuke_weatherzones VALUES (304, '05109', 'arz052');
INSERT INTO nuke_weatherzones VALUES (305, '05111', 'arz027');
INSERT INTO nuke_weatherzones VALUES (306, '05113', 'arz040');
INSERT INTO nuke_weatherzones VALUES (307, '05115', 'arz022');
INSERT INTO nuke_weatherzones VALUES (308, '05117', 'arz046');
INSERT INTO nuke_weatherzones VALUES (309, '05119', 'arz044');
INSERT INTO nuke_weatherzones VALUES (310, '05121', 'arz008');
INSERT INTO nuke_weatherzones VALUES (311, '05123', 'arz048');
INSERT INTO nuke_weatherzones VALUES (312, '05125', 'arz043');
INSERT INTO nuke_weatherzones VALUES (313, '05127', 'arz037');
INSERT INTO nuke_weatherzones VALUES (314, '05129', 'arz013');
INSERT INTO nuke_weatherzones VALUES (315, '05131', 'arz029');
INSERT INTO nuke_weatherzones VALUES (316, '05133', 'arz050');
INSERT INTO nuke_weatherzones VALUES (317, '05135', 'arz007');
INSERT INTO nuke_weatherzones VALUES (318, '05137', 'arz014');
INSERT INTO nuke_weatherzones VALUES (319, '05139', 'arz073');
INSERT INTO nuke_weatherzones VALUES (320, '05141', 'arz023');
INSERT INTO nuke_weatherzones VALUES (321, '05143', 'arz010');
INSERT INTO nuke_weatherzones VALUES (322, '05145', 'arz033');
INSERT INTO nuke_weatherzones VALUES (323, '05147', 'arz034');
INSERT INTO nuke_weatherzones VALUES (324, '05149', 'arz038');
INSERT INTO nuke_weatherzones VALUES (325, '06001', 'caz007');
INSERT INTO nuke_weatherzones VALUES (326, '06003', 'caz069');
INSERT INTO nuke_weatherzones VALUES (327, '06003', 'caz072');
INSERT INTO nuke_weatherzones VALUES (328, '06005', 'caz017');
INSERT INTO nuke_weatherzones VALUES (329, '06005', 'caz019');
INSERT INTO nuke_weatherzones VALUES (330, '06005', 'caz067');
INSERT INTO nuke_weatherzones VALUES (331, '06005', 'caz069');
INSERT INTO nuke_weatherzones VALUES (332, '06007', 'caz016');
INSERT INTO nuke_weatherzones VALUES (333, '06007', 'caz066');
INSERT INTO nuke_weatherzones VALUES (334, '06007', 'caz068');
INSERT INTO nuke_weatherzones VALUES (335, '06009', 'caz019');
INSERT INTO nuke_weatherzones VALUES (336, '06009', 'caz067');
INSERT INTO nuke_weatherzones VALUES (337, '06009', 'caz069');
INSERT INTO nuke_weatherzones VALUES (338, '06011', 'caz016');
INSERT INTO nuke_weatherzones VALUES (339, '06011', 'caz063');
INSERT INTO nuke_weatherzones VALUES (340, '06013', 'caz007');
INSERT INTO nuke_weatherzones VALUES (341, '06015', 'caz001');
INSERT INTO nuke_weatherzones VALUES (342, '06015', 'caz003');
INSERT INTO nuke_weatherzones VALUES (343, '06017', 'caz017');
INSERT INTO nuke_weatherzones VALUES (344, '06017', 'caz067');
INSERT INTO nuke_weatherzones VALUES (345, '06017', 'caz069');
INSERT INTO nuke_weatherzones VALUES (346, '06017', 'caz072');
INSERT INTO nuke_weatherzones VALUES (347, '06019', 'caz089');
INSERT INTO nuke_weatherzones VALUES (348, '06019', 'caz090');
INSERT INTO nuke_weatherzones VALUES (349, '06019', 'caz093');
INSERT INTO nuke_weatherzones VALUES (350, '06019', 'caz096');
INSERT INTO nuke_weatherzones VALUES (351, '06021', 'caz016');
INSERT INTO nuke_weatherzones VALUES (352, '06021', 'caz063');
INSERT INTO nuke_weatherzones VALUES (353, '06023', 'caz001');
INSERT INTO nuke_weatherzones VALUES (354, '06023', 'caz002');
INSERT INTO nuke_weatherzones VALUES (355, '06023', 'caz003');
INSERT INTO nuke_weatherzones VALUES (356, '06023', 'caz004');
INSERT INTO nuke_weatherzones VALUES (357, '06025', 'caz031');
INSERT INTO nuke_weatherzones VALUES (358, '06025', 'caz033');
INSERT INTO nuke_weatherzones VALUES (359, '06027', 'caz026');
INSERT INTO nuke_weatherzones VALUES (360, '06027', 'caz027');
INSERT INTO nuke_weatherzones VALUES (361, '06029', 'caz091');
INSERT INTO nuke_weatherzones VALUES (362, '06029', 'caz092');
INSERT INTO nuke_weatherzones VALUES (363, '06029', 'caz095');
INSERT INTO nuke_weatherzones VALUES (364, '06029', 'caz098');
INSERT INTO nuke_weatherzones VALUES (365, '06029', 'caz099');
INSERT INTO nuke_weatherzones VALUES (366, '06031', 'caz091');
INSERT INTO nuke_weatherzones VALUES (367, '06033', 'caz063');
INSERT INTO nuke_weatherzones VALUES (368, '06033', 'caz064');
INSERT INTO nuke_weatherzones VALUES (369, '06035', 'caz068');
INSERT INTO nuke_weatherzones VALUES (370, '06035', 'caz071');
INSERT INTO nuke_weatherzones VALUES (371, '06037', 'caz041');
INSERT INTO nuke_weatherzones VALUES (372, '06037', 'caz046');
INSERT INTO nuke_weatherzones VALUES (373, '06037', 'caz047');
INSERT INTO nuke_weatherzones VALUES (374, '06037', 'caz054');
INSERT INTO nuke_weatherzones VALUES (375, '06037', 'caz059');
INSERT INTO nuke_weatherzones VALUES (376, '06037', 'caz087');
INSERT INTO nuke_weatherzones VALUES (377, '06037', 'caz088');
INSERT INTO nuke_weatherzones VALUES (378, '06039', 'caz090');
INSERT INTO nuke_weatherzones VALUES (379, '06039', 'caz093');
INSERT INTO nuke_weatherzones VALUES (380, '06039', 'caz096');
INSERT INTO nuke_weatherzones VALUES (381, '06041', 'caz005');
INSERT INTO nuke_weatherzones VALUES (382, '06043', 'caz090');
INSERT INTO nuke_weatherzones VALUES (383, '06043', 'caz093');
INSERT INTO nuke_weatherzones VALUES (384, '06043', 'caz096');
INSERT INTO nuke_weatherzones VALUES (385, '06045', 'caz002');
INSERT INTO nuke_weatherzones VALUES (386, '06045', 'caz004');
INSERT INTO nuke_weatherzones VALUES (387, '06045', 'caz076');
INSERT INTO nuke_weatherzones VALUES (388, '06047', 'caz089');
INSERT INTO nuke_weatherzones VALUES (389, '06047', 'caz090');
INSERT INTO nuke_weatherzones VALUES (390, '06049', 'caz070');
INSERT INTO nuke_weatherzones VALUES (391, '06049', 'caz084');
INSERT INTO nuke_weatherzones VALUES (392, '06049', 'caz085');
INSERT INTO nuke_weatherzones VALUES (393, '06051', 'caz073');
INSERT INTO nuke_weatherzones VALUES (394, '06053', 'caz009');
INSERT INTO nuke_weatherzones VALUES (395, '06053', 'caz010');
INSERT INTO nuke_weatherzones VALUES (396, '06055', 'caz065');
INSERT INTO nuke_weatherzones VALUES (397, '06057', 'caz067');
INSERT INTO nuke_weatherzones VALUES (398, '06057', 'caz069');
INSERT INTO nuke_weatherzones VALUES (399, '06057', 'caz072');
INSERT INTO nuke_weatherzones VALUES (400, '06059', 'caz042');
INSERT INTO nuke_weatherzones VALUES (401, '06059', 'caz057');
INSERT INTO nuke_weatherzones VALUES (402, '06061', 'caz017');
INSERT INTO nuke_weatherzones VALUES (403, '06061', 'caz067');
INSERT INTO nuke_weatherzones VALUES (404, '06061', 'caz069');
INSERT INTO nuke_weatherzones VALUES (405, '06061', 'caz072');
INSERT INTO nuke_weatherzones VALUES (406, '06063', 'caz068');
INSERT INTO nuke_weatherzones VALUES (407, '06063', 'caz071');
INSERT INTO nuke_weatherzones VALUES (408, '06065', 'caz030');
INSERT INTO nuke_weatherzones VALUES (409, '06065', 'caz031');
INSERT INTO nuke_weatherzones VALUES (410, '06065', 'caz032');
INSERT INTO nuke_weatherzones VALUES (411, '06065', 'caz042');
INSERT INTO nuke_weatherzones VALUES (412, '06065', 'caz048');
INSERT INTO nuke_weatherzones VALUES (413, '06065', 'caz056');
INSERT INTO nuke_weatherzones VALUES (414, '06065', 'caz057');
INSERT INTO nuke_weatherzones VALUES (415, '06065', 'caz061');
INSERT INTO nuke_weatherzones VALUES (416, '06067', 'caz017');
INSERT INTO nuke_weatherzones VALUES (417, '06067', 'caz018');
INSERT INTO nuke_weatherzones VALUES (418, '06069', 'caz010');
INSERT INTO nuke_weatherzones VALUES (419, '06071', 'caz028');
INSERT INTO nuke_weatherzones VALUES (420, '06071', 'caz029');
INSERT INTO nuke_weatherzones VALUES (421, '06071', 'caz030');
INSERT INTO nuke_weatherzones VALUES (422, '06071', 'caz048');
INSERT INTO nuke_weatherzones VALUES (423, '06071', 'caz055');
INSERT INTO nuke_weatherzones VALUES (424, '06071', 'caz060');
INSERT INTO nuke_weatherzones VALUES (425, '06073', 'caz043');
INSERT INTO nuke_weatherzones VALUES (426, '06073', 'caz050');
INSERT INTO nuke_weatherzones VALUES (427, '06073', 'caz057');
INSERT INTO nuke_weatherzones VALUES (428, '06073', 'caz058');
INSERT INTO nuke_weatherzones VALUES (429, '06073', 'caz062');
INSERT INTO nuke_weatherzones VALUES (430, '06075', 'caz006');
INSERT INTO nuke_weatherzones VALUES (431, '06077', 'caz018');
INSERT INTO nuke_weatherzones VALUES (432, '06077', 'caz019');
INSERT INTO nuke_weatherzones VALUES (433, '06079', 'caz034');
INSERT INTO nuke_weatherzones VALUES (434, '06079', 'caz037');
INSERT INTO nuke_weatherzones VALUES (435, '06079', 'caz051');
INSERT INTO nuke_weatherzones VALUES (436, '06081', 'caz075');
INSERT INTO nuke_weatherzones VALUES (437, '06083', 'caz035');
INSERT INTO nuke_weatherzones VALUES (438, '06083', 'caz036');
INSERT INTO nuke_weatherzones VALUES (439, '06083', 'caz038');
INSERT INTO nuke_weatherzones VALUES (440, '06083', 'caz039');
INSERT INTO nuke_weatherzones VALUES (441, '06083', 'caz052');
INSERT INTO nuke_weatherzones VALUES (442, '06085', 'caz008');
INSERT INTO nuke_weatherzones VALUES (443, '06087', 'caz074');
INSERT INTO nuke_weatherzones VALUES (444, '06089', 'caz013');
INSERT INTO nuke_weatherzones VALUES (445, '06089', 'caz014');
INSERT INTO nuke_weatherzones VALUES (446, '06089', 'caz015');
INSERT INTO nuke_weatherzones VALUES (447, '06089', 'caz063');
INSERT INTO nuke_weatherzones VALUES (448, '06089', 'caz066');
INSERT INTO nuke_weatherzones VALUES (449, '06089', 'caz068');
INSERT INTO nuke_weatherzones VALUES (450, '06091', 'caz069');
INSERT INTO nuke_weatherzones VALUES (451, '06091', 'caz071');
INSERT INTO nuke_weatherzones VALUES (452, '06093', 'caz080');
INSERT INTO nuke_weatherzones VALUES (453, '06093', 'caz081');
INSERT INTO nuke_weatherzones VALUES (454, '06093', 'caz082');
INSERT INTO nuke_weatherzones VALUES (455, '06093', 'caz083');
INSERT INTO nuke_weatherzones VALUES (456, '06093', 'caz084');
INSERT INTO nuke_weatherzones VALUES (457, '06095', 'caz017');
INSERT INTO nuke_weatherzones VALUES (458, '06095', 'caz018');
INSERT INTO nuke_weatherzones VALUES (459, '06097', 'caz005');
INSERT INTO nuke_weatherzones VALUES (460, '06099', 'caz019');
INSERT INTO nuke_weatherzones VALUES (461, '06101', 'caz016');
INSERT INTO nuke_weatherzones VALUES (462, '06101', 'caz017');
INSERT INTO nuke_weatherzones VALUES (463, '06103', 'caz015');
INSERT INTO nuke_weatherzones VALUES (464, '06103', 'caz063');
INSERT INTO nuke_weatherzones VALUES (465, '06103', 'caz066');
INSERT INTO nuke_weatherzones VALUES (466, '06103', 'caz068');
INSERT INTO nuke_weatherzones VALUES (467, '06105', 'caz003');
INSERT INTO nuke_weatherzones VALUES (468, '06105', 'caz004');
INSERT INTO nuke_weatherzones VALUES (469, '06107', 'caz092');
INSERT INTO nuke_weatherzones VALUES (470, '06107', 'caz094');
INSERT INTO nuke_weatherzones VALUES (471, '06107', 'caz097');
INSERT INTO nuke_weatherzones VALUES (472, '06109', 'caz019');
INSERT INTO nuke_weatherzones VALUES (473, '06109', 'caz067');
INSERT INTO nuke_weatherzones VALUES (474, '06109', 'caz069');
INSERT INTO nuke_weatherzones VALUES (475, '06109', 'caz096');
INSERT INTO nuke_weatherzones VALUES (476, '06111', 'caz040');
INSERT INTO nuke_weatherzones VALUES (477, '06111', 'caz044');
INSERT INTO nuke_weatherzones VALUES (478, '06111', 'caz045');
INSERT INTO nuke_weatherzones VALUES (479, '06111', 'caz053');
INSERT INTO nuke_weatherzones VALUES (480, '06113', 'caz017');
INSERT INTO nuke_weatherzones VALUES (481, '06115', 'caz016');
INSERT INTO nuke_weatherzones VALUES (482, '06115', 'caz067');
INSERT INTO nuke_weatherzones VALUES (483, '06115', 'caz069');
INSERT INTO nuke_weatherzones VALUES (484, '08001', 'coz040');
INSERT INTO nuke_weatherzones VALUES (485, '08001', 'coz045');
INSERT INTO nuke_weatherzones VALUES (486, '08003', 'coz070');
INSERT INTO nuke_weatherzones VALUES (487, '08003', 'coz072');
INSERT INTO nuke_weatherzones VALUES (488, '08003', 'coz073');
INSERT INTO nuke_weatherzones VALUES (489, '08005', 'coz040');
INSERT INTO nuke_weatherzones VALUES (490, '08005', 'coz041');
INSERT INTO nuke_weatherzones VALUES (491, '08005', 'coz045');
INSERT INTO nuke_weatherzones VALUES (492, '08007', 'coz019');
INSERT INTO nuke_weatherzones VALUES (493, '08007', 'coz023');
INSERT INTO nuke_weatherzones VALUES (494, '08009', 'coz099');
INSERT INTO nuke_weatherzones VALUES (495, '08011', 'coz097');
INSERT INTO nuke_weatherzones VALUES (496, '08013', 'coz033');
INSERT INTO nuke_weatherzones VALUES (497, '08013', 'coz034');
INSERT INTO nuke_weatherzones VALUES (498, '08013', 'coz035');
INSERT INTO nuke_weatherzones VALUES (499, '08013', 'coz039');
INSERT INTO nuke_weatherzones VALUES (500, '08014', 'coz039');
INSERT INTO nuke_weatherzones VALUES (501, '08014', 'coz040');
INSERT INTO nuke_weatherzones VALUES (502, '08015', 'coz059');
INSERT INTO nuke_weatherzones VALUES (503, '08015', 'coz060');
INSERT INTO nuke_weatherzones VALUES (504, '08015', 'coz061');
INSERT INTO nuke_weatherzones VALUES (505, '08015', 'coz062');
INSERT INTO nuke_weatherzones VALUES (506, '08015', 'coz063');
INSERT INTO nuke_weatherzones VALUES (507, '08015', 'coz072');
INSERT INTO nuke_weatherzones VALUES (508, '08015', 'coz073');
INSERT INTO nuke_weatherzones VALUES (509, '08017', 'coz092');
INSERT INTO nuke_weatherzones VALUES (510, '08019', 'coz034');
INSERT INTO nuke_weatherzones VALUES (511, '08019', 'coz036');
INSERT INTO nuke_weatherzones VALUES (512, '08021', 'coz067');
INSERT INTO nuke_weatherzones VALUES (513, '08021', 'coz068');
INSERT INTO nuke_weatherzones VALUES (514, '08021', 'coz071');
INSERT INTO nuke_weatherzones VALUES (515, '08023', 'coz071');
INSERT INTO nuke_weatherzones VALUES (516, '08023', 'coz072');
INSERT INTO nuke_weatherzones VALUES (517, '08023', 'coz073');
INSERT INTO nuke_weatherzones VALUES (518, '08023', 'coz074');
INSERT INTO nuke_weatherzones VALUES (519, '08023', 'coz075');
INSERT INTO nuke_weatherzones VALUES (520, '08025', 'coz089');
INSERT INTO nuke_weatherzones VALUES (521, '08027', 'coz072');
INSERT INTO nuke_weatherzones VALUES (522, '08027', 'coz073');
INSERT INTO nuke_weatherzones VALUES (523, '08027', 'coz078');
INSERT INTO nuke_weatherzones VALUES (524, '08027', 'coz079');
INSERT INTO nuke_weatherzones VALUES (525, '08027', 'coz080');
INSERT INTO nuke_weatherzones VALUES (526, '08027', 'coz083');
INSERT INTO nuke_weatherzones VALUES (527, '08029', 'coz009');
INSERT INTO nuke_weatherzones VALUES (528, '08029', 'coz011');
INSERT INTO nuke_weatherzones VALUES (529, '08029', 'coz012');
INSERT INTO nuke_weatherzones VALUES (530, '08029', 'coz017');
INSERT INTO nuke_weatherzones VALUES (531, '08031', 'coz040');
INSERT INTO nuke_weatherzones VALUES (532, '08033', 'coz019');
INSERT INTO nuke_weatherzones VALUES (533, '08033', 'coz020');
INSERT INTO nuke_weatherzones VALUES (534, '08033', 'coz021');
INSERT INTO nuke_weatherzones VALUES (535, '08035', 'coz036');
INSERT INTO nuke_weatherzones VALUES (536, '08035', 'coz040');
INSERT INTO nuke_weatherzones VALUES (537, '08035', 'coz041');
INSERT INTO nuke_weatherzones VALUES (538, '08037', 'coz008');
INSERT INTO nuke_weatherzones VALUES (539, '08037', 'coz010');
INSERT INTO nuke_weatherzones VALUES (540, '08037', 'coz013');
INSERT INTO nuke_weatherzones VALUES (541, '08039', 'coz041');
INSERT INTO nuke_weatherzones VALUES (542, '08039', 'coz046');
INSERT INTO nuke_weatherzones VALUES (543, '08039', 'coz047');
INSERT INTO nuke_weatherzones VALUES (544, '08041', 'coz081');
INSERT INTO nuke_weatherzones VALUES (545, '08041', 'coz082');
INSERT INTO nuke_weatherzones VALUES (546, '08041', 'coz084');
INSERT INTO nuke_weatherzones VALUES (547, '08041', 'coz085');
INSERT INTO nuke_weatherzones VALUES (548, '08043', 'coz072');
INSERT INTO nuke_weatherzones VALUES (549, '08043', 'coz073');
INSERT INTO nuke_weatherzones VALUES (550, '08043', 'coz076');
INSERT INTO nuke_weatherzones VALUES (551, '08043', 'coz077');
INSERT INTO nuke_weatherzones VALUES (552, '08043', 'coz079');
INSERT INTO nuke_weatherzones VALUES (553, '08043', 'coz081');
INSERT INTO nuke_weatherzones VALUES (554, '08043', 'coz083');
INSERT INTO nuke_weatherzones VALUES (555, '08043', 'coz085');
INSERT INTO nuke_weatherzones VALUES (556, '08045', 'coz001');
INSERT INTO nuke_weatherzones VALUES (557, '08045', 'coz003');
INSERT INTO nuke_weatherzones VALUES (558, '08045', 'coz006');
INSERT INTO nuke_weatherzones VALUES (559, '08045', 'coz007');
INSERT INTO nuke_weatherzones VALUES (560, '08045', 'coz008');
INSERT INTO nuke_weatherzones VALUES (561, '08045', 'coz009');
INSERT INTO nuke_weatherzones VALUES (562, '08045', 'coz010');
INSERT INTO nuke_weatherzones VALUES (563, '08045', 'coz013');
INSERT INTO nuke_weatherzones VALUES (564, '08047', 'coz034');
INSERT INTO nuke_weatherzones VALUES (565, '08047', 'coz036');
INSERT INTO nuke_weatherzones VALUES (566, '08049', 'coz031');
INSERT INTO nuke_weatherzones VALUES (567, '08049', 'coz032');
INSERT INTO nuke_weatherzones VALUES (568, '08049', 'coz033');
INSERT INTO nuke_weatherzones VALUES (569, '08049', 'coz034');
INSERT INTO nuke_weatherzones VALUES (570, '08051', 'coz011');
INSERT INTO nuke_weatherzones VALUES (571, '08051', 'coz012');
INSERT INTO nuke_weatherzones VALUES (572, '08051', 'coz014');
INSERT INTO nuke_weatherzones VALUES (573, '08051', 'coz018');
INSERT INTO nuke_weatherzones VALUES (574, '08053', 'coz018');
INSERT INTO nuke_weatherzones VALUES (575, '08053', 'coz019');
INSERT INTO nuke_weatherzones VALUES (576, '08055', 'coz072');
INSERT INTO nuke_weatherzones VALUES (577, '08055', 'coz073');
INSERT INTO nuke_weatherzones VALUES (578, '08055', 'coz074');
INSERT INTO nuke_weatherzones VALUES (579, '08055', 'coz075');
INSERT INTO nuke_weatherzones VALUES (580, '08055', 'coz078');
INSERT INTO nuke_weatherzones VALUES (581, '08055', 'coz079');
INSERT INTO nuke_weatherzones VALUES (582, '08055', 'coz080');
INSERT INTO nuke_weatherzones VALUES (583, '08055', 'coz087');
INSERT INTO nuke_weatherzones VALUES (584, '08057', 'coz030');
INSERT INTO nuke_weatherzones VALUES (585, '08057', 'coz031');
INSERT INTO nuke_weatherzones VALUES (586, '08057', 'coz033');
INSERT INTO nuke_weatherzones VALUES (587, '08059', 'coz034');
INSERT INTO nuke_weatherzones VALUES (588, '08059', 'coz036');
INSERT INTO nuke_weatherzones VALUES (589, '08059', 'coz039');
INSERT INTO nuke_weatherzones VALUES (590, '08061', 'coz095');
INSERT INTO nuke_weatherzones VALUES (591, '08061', 'coz096');
INSERT INTO nuke_weatherzones VALUES (592, '08063', 'coz091');
INSERT INTO nuke_weatherzones VALUES (593, '08065', 'coz058');
INSERT INTO nuke_weatherzones VALUES (594, '08065', 'coz059');
INSERT INTO nuke_weatherzones VALUES (595, '08065', 'coz060');
INSERT INTO nuke_weatherzones VALUES (596, '08067', 'coz019');
INSERT INTO nuke_weatherzones VALUES (597, '08067', 'coz022');
INSERT INTO nuke_weatherzones VALUES (598, '08069', 'coz033');
INSERT INTO nuke_weatherzones VALUES (599, '08069', 'coz035');
INSERT INTO nuke_weatherzones VALUES (600, '08069', 'coz038');
INSERT INTO nuke_weatherzones VALUES (601, '08071', 'coz074');
INSERT INTO nuke_weatherzones VALUES (602, '08071', 'coz075');
INSERT INTO nuke_weatherzones VALUES (603, '08071', 'coz088');
INSERT INTO nuke_weatherzones VALUES (604, '08071', 'coz094');
INSERT INTO nuke_weatherzones VALUES (605, '08073', 'coz046');
INSERT INTO nuke_weatherzones VALUES (606, '08073', 'coz047');
INSERT INTO nuke_weatherzones VALUES (607, '08075', 'coz048');
INSERT INTO nuke_weatherzones VALUES (608, '08077', 'coz003');
INSERT INTO nuke_weatherzones VALUES (609, '08077', 'coz006');
INSERT INTO nuke_weatherzones VALUES (610, '08077', 'coz007');
INSERT INTO nuke_weatherzones VALUES (611, '08077', 'coz009');
INSERT INTO nuke_weatherzones VALUES (612, '08077', 'coz011');
INSERT INTO nuke_weatherzones VALUES (613, '08077', 'coz017');
INSERT INTO nuke_weatherzones VALUES (614, '08077', 'coz020');
INSERT INTO nuke_weatherzones VALUES (615, '08079', 'coz066');
INSERT INTO nuke_weatherzones VALUES (616, '08079', 'coz067');
INSERT INTO nuke_weatherzones VALUES (617, '08079', 'coz068');
INSERT INTO nuke_weatherzones VALUES (618, '08081', 'coz001');
INSERT INTO nuke_weatherzones VALUES (619, '08081', 'coz002');
INSERT INTO nuke_weatherzones VALUES (620, '08081', 'coz004');
INSERT INTO nuke_weatherzones VALUES (621, '08081', 'coz013');
INSERT INTO nuke_weatherzones VALUES (622, '08083', 'coz019');
INSERT INTO nuke_weatherzones VALUES (623, '08083', 'coz021');
INSERT INTO nuke_weatherzones VALUES (624, '08085', 'coz011');
INSERT INTO nuke_weatherzones VALUES (625, '08085', 'coz012');
INSERT INTO nuke_weatherzones VALUES (626, '08085', 'coz014');
INSERT INTO nuke_weatherzones VALUES (627, '08085', 'coz017');
INSERT INTO nuke_weatherzones VALUES (628, '08085', 'coz018');
INSERT INTO nuke_weatherzones VALUES (629, '08085', 'coz020');
INSERT INTO nuke_weatherzones VALUES (630, '08087', 'coz044');
INSERT INTO nuke_weatherzones VALUES (631, '08089', 'coz093');
INSERT INTO nuke_weatherzones VALUES (632, '08091', 'coz017');
INSERT INTO nuke_weatherzones VALUES (633, '08091', 'coz018');
INSERT INTO nuke_weatherzones VALUES (634, '08093', 'coz034');
INSERT INTO nuke_weatherzones VALUES (635, '08093', 'coz036');
INSERT INTO nuke_weatherzones VALUES (636, '08093', 'coz037');
INSERT INTO nuke_weatherzones VALUES (637, '08095', 'coz051');
INSERT INTO nuke_weatherzones VALUES (638, '08097', 'coz008');
INSERT INTO nuke_weatherzones VALUES (639, '08097', 'coz010');
INSERT INTO nuke_weatherzones VALUES (640, '08099', 'coz098');
INSERT INTO nuke_weatherzones VALUES (641, '08101', 'coz079');
INSERT INTO nuke_weatherzones VALUES (642, '08101', 'coz080');
INSERT INTO nuke_weatherzones VALUES (643, '08101', 'coz086');
INSERT INTO nuke_weatherzones VALUES (644, '08103', 'coz001');
INSERT INTO nuke_weatherzones VALUES (645, '08103', 'coz002');
INSERT INTO nuke_weatherzones VALUES (646, '08103', 'coz003');
INSERT INTO nuke_weatherzones VALUES (647, '08103', 'coz013');
INSERT INTO nuke_weatherzones VALUES (648, '08105', 'coz065');
INSERT INTO nuke_weatherzones VALUES (649, '08105', 'coz066');
INSERT INTO nuke_weatherzones VALUES (650, '08105', 'coz067');
INSERT INTO nuke_weatherzones VALUES (651, '08105', 'coz068');
INSERT INTO nuke_weatherzones VALUES (652, '08105', 'coz069');
INSERT INTO nuke_weatherzones VALUES (653, '08105', 'coz070');
INSERT INTO nuke_weatherzones VALUES (654, '08107', 'coz002');
INSERT INTO nuke_weatherzones VALUES (655, '08107', 'coz004');
INSERT INTO nuke_weatherzones VALUES (656, '08107', 'coz005');
INSERT INTO nuke_weatherzones VALUES (657, '08107', 'coz013');
INSERT INTO nuke_weatherzones VALUES (658, '08109', 'coz060');
INSERT INTO nuke_weatherzones VALUES (659, '08109', 'coz064');
INSERT INTO nuke_weatherzones VALUES (660, '08109', 'coz065');
INSERT INTO nuke_weatherzones VALUES (661, '08109', 'coz066');
INSERT INTO nuke_weatherzones VALUES (662, '08109', 'coz069');
INSERT INTO nuke_weatherzones VALUES (663, '08109', 'coz072');
INSERT INTO nuke_weatherzones VALUES (664, '08109', 'coz073');
INSERT INTO nuke_weatherzones VALUES (665, '08111', 'coz019');
INSERT INTO nuke_weatherzones VALUES (666, '08113', 'coz017');
INSERT INTO nuke_weatherzones VALUES (667, '08113', 'coz018');
INSERT INTO nuke_weatherzones VALUES (668, '08113', 'coz019');
INSERT INTO nuke_weatherzones VALUES (669, '08113', 'coz020');
INSERT INTO nuke_weatherzones VALUES (670, '08113', 'coz021');
INSERT INTO nuke_weatherzones VALUES (671, '08115', 'coz050');
INSERT INTO nuke_weatherzones VALUES (672, '08117', 'coz032');
INSERT INTO nuke_weatherzones VALUES (673, '08117', 'coz034');
INSERT INTO nuke_weatherzones VALUES (674, '08119', 'coz081');
INSERT INTO nuke_weatherzones VALUES (675, '08119', 'coz082');
INSERT INTO nuke_weatherzones VALUES (676, '08119', 'coz083');
INSERT INTO nuke_weatherzones VALUES (677, '08121', 'coz049');
INSERT INTO nuke_weatherzones VALUES (678, '08123', 'coz038');
INSERT INTO nuke_weatherzones VALUES (679, '08123', 'coz042');
INSERT INTO nuke_weatherzones VALUES (680, '08123', 'coz043');
INSERT INTO nuke_weatherzones VALUES (681, '08125', 'coz090');
INSERT INTO nuke_weatherzones VALUES (682, '09001', 'ctz005');
INSERT INTO nuke_weatherzones VALUES (683, '09001', 'ctz009');
INSERT INTO nuke_weatherzones VALUES (684, '09003', 'ctz002');
INSERT INTO nuke_weatherzones VALUES (685, '09005', 'ctz001');
INSERT INTO nuke_weatherzones VALUES (686, '09005', 'ctz013');
INSERT INTO nuke_weatherzones VALUES (687, '09007', 'ctz007');
INSERT INTO nuke_weatherzones VALUES (688, '09007', 'ctz011');
INSERT INTO nuke_weatherzones VALUES (689, '09009', 'ctz006');
INSERT INTO nuke_weatherzones VALUES (690, '09009', 'ctz010');
INSERT INTO nuke_weatherzones VALUES (691, '09011', 'ctz008');
INSERT INTO nuke_weatherzones VALUES (692, '09011', 'ctz012');
INSERT INTO nuke_weatherzones VALUES (693, '09013', 'ctz003');
INSERT INTO nuke_weatherzones VALUES (694, '09015', 'ctz004');
INSERT INTO nuke_weatherzones VALUES (695, '10001', 'dez002');
INSERT INTO nuke_weatherzones VALUES (696, '10003', 'dez001');
INSERT INTO nuke_weatherzones VALUES (697, '10005', 'dez003');
INSERT INTO nuke_weatherzones VALUES (698, '10005', 'dez004');
INSERT INTO nuke_weatherzones VALUES (699, '11001', 'dcz001');
INSERT INTO nuke_weatherzones VALUES (700, '12001', 'flz036');
INSERT INTO nuke_weatherzones VALUES (701, '12003', 'flz023');
INSERT INTO nuke_weatherzones VALUES (702, '12005', 'flz012');
INSERT INTO nuke_weatherzones VALUES (703, '12007', 'flz031');
INSERT INTO nuke_weatherzones VALUES (704, '12009', 'flz047');
INSERT INTO nuke_weatherzones VALUES (705, '12009', 'flz147');
INSERT INTO nuke_weatherzones VALUES (706, '12011', 'flz071');
INSERT INTO nuke_weatherzones VALUES (707, '12011', 'flz072');
INSERT INTO nuke_weatherzones VALUES (708, '12013', 'flz013');
INSERT INTO nuke_weatherzones VALUES (709, '12015', 'flz062');
INSERT INTO nuke_weatherzones VALUES (710, '12017', 'flz042');
INSERT INTO nuke_weatherzones VALUES (711, '12019', 'flz032');
INSERT INTO nuke_weatherzones VALUES (712, '12021', 'flz069');
INSERT INTO nuke_weatherzones VALUES (713, '12021', 'flz070');
INSERT INTO nuke_weatherzones VALUES (714, '12023', 'flz022');
INSERT INTO nuke_weatherzones VALUES (715, '12027', 'flz061');
INSERT INTO nuke_weatherzones VALUES (716, '12029', 'flz034');
INSERT INTO nuke_weatherzones VALUES (717, '12031', 'flz025');
INSERT INTO nuke_weatherzones VALUES (718, '12033', 'flz001');
INSERT INTO nuke_weatherzones VALUES (719, '12033', 'flz002');
INSERT INTO nuke_weatherzones VALUES (720, '12035', 'flz038');
INSERT INTO nuke_weatherzones VALUES (721, '12037', 'flz015');
INSERT INTO nuke_weatherzones VALUES (722, '12039', 'flz016');
INSERT INTO nuke_weatherzones VALUES (723, '12041', 'flz035');
INSERT INTO nuke_weatherzones VALUES (724, '12043', 'flz063');
INSERT INTO nuke_weatherzones VALUES (725, '12045', 'flz014');
INSERT INTO nuke_weatherzones VALUES (726, '12047', 'flz020');
INSERT INTO nuke_weatherzones VALUES (727, '12049', 'flz056');
INSERT INTO nuke_weatherzones VALUES (728, '12051', 'flz066');
INSERT INTO nuke_weatherzones VALUES (729, '12053', 'flz048');
INSERT INTO nuke_weatherzones VALUES (730, '12055', 'flz057');
INSERT INTO nuke_weatherzones VALUES (731, '12057', 'flz051');
INSERT INTO nuke_weatherzones VALUES (732, '12059', 'flz009');
INSERT INTO nuke_weatherzones VALUES (733, '12061', 'flz054');
INSERT INTO nuke_weatherzones VALUES (734, '12063', 'flz011');
INSERT INTO nuke_weatherzones VALUES (735, '12065', 'flz018');
INSERT INTO nuke_weatherzones VALUES (736, '12067', 'flz029');
INSERT INTO nuke_weatherzones VALUES (737, '12069', 'flz044');
INSERT INTO nuke_weatherzones VALUES (738, '12069', 'flz144');
INSERT INTO nuke_weatherzones VALUES (739, '12071', 'flz065');
INSERT INTO nuke_weatherzones VALUES (740, '12073', 'flz017');
INSERT INTO nuke_weatherzones VALUES (741, '12075', 'flz039');
INSERT INTO nuke_weatherzones VALUES (742, '12077', 'flz026');
INSERT INTO nuke_weatherzones VALUES (743, '12079', 'flz019');
INSERT INTO nuke_weatherzones VALUES (744, '12081', 'flz055');
INSERT INTO nuke_weatherzones VALUES (745, '12083', 'flz040');
INSERT INTO nuke_weatherzones VALUES (746, '12085', 'flz064');
INSERT INTO nuke_weatherzones VALUES (747, '12086', 'flz073');
INSERT INTO nuke_weatherzones VALUES (748, '12086', 'flz074');
INSERT INTO nuke_weatherzones VALUES (749, '12087', 'flz075');
INSERT INTO nuke_weatherzones VALUES (750, '12087', 'flz076');
INSERT INTO nuke_weatherzones VALUES (751, '12087', 'flz077');
INSERT INTO nuke_weatherzones VALUES (752, '12087', 'flz078');
INSERT INTO nuke_weatherzones VALUES (753, '12089', 'flz024');
INSERT INTO nuke_weatherzones VALUES (754, '12091', 'flz005');
INSERT INTO nuke_weatherzones VALUES (755, '12091', 'flz006');
INSERT INTO nuke_weatherzones VALUES (756, '12093', 'flz058');
INSERT INTO nuke_weatherzones VALUES (757, '12095', 'flz045');
INSERT INTO nuke_weatherzones VALUES (758, '12097', 'flz053');
INSERT INTO nuke_weatherzones VALUES (759, '12099', 'flz067');
INSERT INTO nuke_weatherzones VALUES (760, '12099', 'flz068');
INSERT INTO nuke_weatherzones VALUES (761, '12101', 'flz049');
INSERT INTO nuke_weatherzones VALUES (762, '12103', 'flz050');
INSERT INTO nuke_weatherzones VALUES (763, '12105', 'flz052');
INSERT INTO nuke_weatherzones VALUES (764, '12107', 'flz037');
INSERT INTO nuke_weatherzones VALUES (765, '12109', 'flz033');
INSERT INTO nuke_weatherzones VALUES (766, '12111', 'flz059');
INSERT INTO nuke_weatherzones VALUES (767, '12113', 'flz003');
INSERT INTO nuke_weatherzones VALUES (768, '12113', 'flz004');
INSERT INTO nuke_weatherzones VALUES (769, '12115', 'flz060');
INSERT INTO nuke_weatherzones VALUES (770, '12117', 'flz046');
INSERT INTO nuke_weatherzones VALUES (771, '12119', 'flz043');
INSERT INTO nuke_weatherzones VALUES (772, '12121', 'flz021');
INSERT INTO nuke_weatherzones VALUES (773, '12123', 'flz028');
INSERT INTO nuke_weatherzones VALUES (774, '12125', 'flz030');
INSERT INTO nuke_weatherzones VALUES (775, '12127', 'flz041');
INSERT INTO nuke_weatherzones VALUES (776, '12127', 'flz141');
INSERT INTO nuke_weatherzones VALUES (777, '12129', 'flz027');
INSERT INTO nuke_weatherzones VALUES (778, '12131', 'flz007');
INSERT INTO nuke_weatherzones VALUES (779, '12131', 'flz008');
INSERT INTO nuke_weatherzones VALUES (780, '12133', 'flz010');
INSERT INTO nuke_weatherzones VALUES (781, '13001', 'gaz135');
INSERT INTO nuke_weatherzones VALUES (782, '13003', 'gaz149');
INSERT INTO nuke_weatherzones VALUES (783, '13005', 'gaz134');
INSERT INTO nuke_weatherzones VALUES (784, '13007', 'gaz144');
INSERT INTO nuke_weatherzones VALUES (785, '13009', 'gaz073');
INSERT INTO nuke_weatherzones VALUES (786, '13011', 'gaz024');
INSERT INTO nuke_weatherzones VALUES (787, '13013', 'gaz035');
INSERT INTO nuke_weatherzones VALUES (788, '13015', 'gaz020');
INSERT INTO nuke_weatherzones VALUES (789, '13017', 'gaz130');
INSERT INTO nuke_weatherzones VALUES (790, '13019', 'gaz148');
INSERT INTO nuke_weatherzones VALUES (791, '13021', 'gaz082');
INSERT INTO nuke_weatherzones VALUES (792, '13023', 'gaz096');
INSERT INTO nuke_weatherzones VALUES (793, '13025', 'gaz152');
INSERT INTO nuke_weatherzones VALUES (794, '13027', 'gaz159');
INSERT INTO nuke_weatherzones VALUES (795, '13029', 'gaz116');
INSERT INTO nuke_weatherzones VALUES (796, '13029', 'gaz117');
INSERT INTO nuke_weatherzones VALUES (797, '13031', 'gaz100');
INSERT INTO nuke_weatherzones VALUES (798, '13033', 'gaz077');
INSERT INTO nuke_weatherzones VALUES (799, '13035', 'gaz058');
INSERT INTO nuke_weatherzones VALUES (800, '13037', 'gaz123');
INSERT INTO nuke_weatherzones VALUES (801, '13039', 'gaz165');
INSERT INTO nuke_weatherzones VALUES (802, '13039', 'gaz166');
INSERT INTO nuke_weatherzones VALUES (803, '13043', 'gaz099');
INSERT INTO nuke_weatherzones VALUES (804, '13045', 'gaz042');
INSERT INTO nuke_weatherzones VALUES (805, '13047', 'gaz003');
INSERT INTO nuke_weatherzones VALUES (806, '13049', 'gaz164');
INSERT INTO nuke_weatherzones VALUES (807, '13051', 'gaz118');
INSERT INTO nuke_weatherzones VALUES (808, '13051', 'gaz119');
INSERT INTO nuke_weatherzones VALUES (809, '13053', 'gaz090');
INSERT INTO nuke_weatherzones VALUES (810, '13055', 'gaz011');
INSERT INTO nuke_weatherzones VALUES (811, '13057', 'gaz021');
INSERT INTO nuke_weatherzones VALUES (812, '13059', 'gaz036');
INSERT INTO nuke_weatherzones VALUES (813, '13061', 'gaz121');
INSERT INTO nuke_weatherzones VALUES (814, '13063', 'gaz055');
INSERT INTO nuke_weatherzones VALUES (815, '13065', 'gaz163');
INSERT INTO nuke_weatherzones VALUES (816, '13067', 'gaz032');
INSERT INTO nuke_weatherzones VALUES (817, '13069', 'gaz132');
INSERT INTO nuke_weatherzones VALUES (818, '13071', 'gaz146');
INSERT INTO nuke_weatherzones VALUES (819, '13073', 'gaz064');
INSERT INTO nuke_weatherzones VALUES (820, '13075', 'gaz147');
INSERT INTO nuke_weatherzones VALUES (821, '13077', 'gaz053');
INSERT INTO nuke_weatherzones VALUES (822, '13079', 'gaz081');
INSERT INTO nuke_weatherzones VALUES (823, '13081', 'gaz106');
INSERT INTO nuke_weatherzones VALUES (824, '13083', 'gaz001');
INSERT INTO nuke_weatherzones VALUES (825, '13085', 'gaz014');
INSERT INTO nuke_weatherzones VALUES (826, '13087', 'gaz156');
INSERT INTO nuke_weatherzones VALUES (827, '13089', 'gaz045');
INSERT INTO nuke_weatherzones VALUES (828, '13091', 'gaz109');
INSERT INTO nuke_weatherzones VALUES (829, '13093', 'gaz105');
INSERT INTO nuke_weatherzones VALUES (830, '13095', 'gaz125');
INSERT INTO nuke_weatherzones VALUES (831, '13097', 'gaz043');
INSERT INTO nuke_weatherzones VALUES (832, '13099', 'gaz142');
INSERT INTO nuke_weatherzones VALUES (833, '13101', 'gaz162');
INSERT INTO nuke_weatherzones VALUES (834, '13103', 'gaz101');
INSERT INTO nuke_weatherzones VALUES (835, '13105', 'gaz029');
INSERT INTO nuke_weatherzones VALUES (836, '13107', 'gaz086');
INSERT INTO nuke_weatherzones VALUES (837, '13109', 'gaz115');
INSERT INTO nuke_weatherzones VALUES (838, '13111', 'gaz006');
INSERT INTO nuke_weatherzones VALUES (839, '13113', 'gaz054');
INSERT INTO nuke_weatherzones VALUES (840, '13115', 'gaz019');
INSERT INTO nuke_weatherzones VALUES (841, '13117', 'gaz022');
INSERT INTO nuke_weatherzones VALUES (842, '13119', 'gaz026');
INSERT INTO nuke_weatherzones VALUES (843, '13121', 'gaz033');
INSERT INTO nuke_weatherzones VALUES (844, '13121', 'gaz044');
INSERT INTO nuke_weatherzones VALUES (845, '13123', 'gaz007');
INSERT INTO nuke_weatherzones VALUES (846, '13125', 'gaz075');
INSERT INTO nuke_weatherzones VALUES (847, '13127', 'gaz153');
INSERT INTO nuke_weatherzones VALUES (848, '13127', 'gaz154');
INSERT INTO nuke_weatherzones VALUES (849, '13129', 'gaz012');
INSERT INTO nuke_weatherzones VALUES (850, '13131', 'gaz157');
INSERT INTO nuke_weatherzones VALUES (851, '13133', 'gaz050');
INSERT INTO nuke_weatherzones VALUES (852, '13135', 'gaz034');
INSERT INTO nuke_weatherzones VALUES (853, '13137', 'gaz017');
INSERT INTO nuke_weatherzones VALUES (854, '13139', 'gaz023');
INSERT INTO nuke_weatherzones VALUES (855, '13141', 'gaz061');
INSERT INTO nuke_weatherzones VALUES (856, '13143', 'gaz041');
INSERT INTO nuke_weatherzones VALUES (857, '13145', 'gaz078');
INSERT INTO nuke_weatherzones VALUES (858, '13147', 'gaz028');
INSERT INTO nuke_weatherzones VALUES (859, '13149', 'gaz052');
INSERT INTO nuke_weatherzones VALUES (860, '13151', 'gaz057');
INSERT INTO nuke_weatherzones VALUES (861, '13153', 'gaz095');
INSERT INTO nuke_weatherzones VALUES (862, '13155', 'gaz131');
INSERT INTO nuke_weatherzones VALUES (863, '13157', 'gaz025');
INSERT INTO nuke_weatherzones VALUES (864, '13159', 'gaz059');
INSERT INTO nuke_weatherzones VALUES (865, '13161', 'gaz133');
INSERT INTO nuke_weatherzones VALUES (866, '13163', 'gaz076');
INSERT INTO nuke_weatherzones VALUES (867, '13165', 'gaz087');
INSERT INTO nuke_weatherzones VALUES (868, '13167', 'gaz085');
INSERT INTO nuke_weatherzones VALUES (869, '13169', 'gaz072');
INSERT INTO nuke_weatherzones VALUES (870, '13171', 'gaz070');
INSERT INTO nuke_weatherzones VALUES (871, '13173', 'gaz161');
INSERT INTO nuke_weatherzones VALUES (872, '13175', 'gaz097');
INSERT INTO nuke_weatherzones VALUES (873, '13177', 'gaz126');
INSERT INTO nuke_weatherzones VALUES (874, '13179', 'gaz138');
INSERT INTO nuke_weatherzones VALUES (875, '13179', 'gaz139');
INSERT INTO nuke_weatherzones VALUES (876, '13181', 'gaz040');
INSERT INTO nuke_weatherzones VALUES (877, '13183', 'gaz137');
INSERT INTO nuke_weatherzones VALUES (878, '13185', 'gaz160');
INSERT INTO nuke_weatherzones VALUES (879, '13187', 'gaz015');
INSERT INTO nuke_weatherzones VALUES (880, '13189', 'gaz063');
INSERT INTO nuke_weatherzones VALUES (881, '13191', 'gaz140');
INSERT INTO nuke_weatherzones VALUES (882, '13191', 'gaz141');
INSERT INTO nuke_weatherzones VALUES (883, '13193', 'gaz093');
INSERT INTO nuke_weatherzones VALUES (884, '13195', 'gaz027');
INSERT INTO nuke_weatherzones VALUES (885, '13197', 'gaz091');
INSERT INTO nuke_weatherzones VALUES (886, '13199', 'gaz067');
INSERT INTO nuke_weatherzones VALUES (887, '13201', 'gaz143');
INSERT INTO nuke_weatherzones VALUES (888, '13205', 'gaz145');
INSERT INTO nuke_weatherzones VALUES (889, '13207', 'gaz071');
INSERT INTO nuke_weatherzones VALUES (890, '13209', 'gaz112');
INSERT INTO nuke_weatherzones VALUES (891, '13211', 'gaz049');
INSERT INTO nuke_weatherzones VALUES (892, '13213', 'gaz005');
INSERT INTO nuke_weatherzones VALUES (893, '13215', 'gaz089');
INSERT INTO nuke_weatherzones VALUES (894, '13217', 'gaz048');
INSERT INTO nuke_weatherzones VALUES (895, '13219', 'gaz037');
INSERT INTO nuke_weatherzones VALUES (896, '13221', 'gaz038');
INSERT INTO nuke_weatherzones VALUES (897, '13223', 'gaz031');
INSERT INTO nuke_weatherzones VALUES (898, '13225', 'gaz094');
INSERT INTO nuke_weatherzones VALUES (899, '13227', 'gaz013');
INSERT INTO nuke_weatherzones VALUES (900, '13229', 'gaz151');
INSERT INTO nuke_weatherzones VALUES (901, '13231', 'gaz068');
INSERT INTO nuke_weatherzones VALUES (902, '13233', 'gaz030');
INSERT INTO nuke_weatherzones VALUES (903, '13235', 'gaz107');
INSERT INTO nuke_weatherzones VALUES (904, '13237', 'gaz060');
INSERT INTO nuke_weatherzones VALUES (905, '13239', 'gaz120');
INSERT INTO nuke_weatherzones VALUES (906, '13241', 'gaz010');
INSERT INTO nuke_weatherzones VALUES (907, '13243', 'gaz122');
INSERT INTO nuke_weatherzones VALUES (908, '13245', 'gaz065');
INSERT INTO nuke_weatherzones VALUES (909, '13247', 'gaz046');
INSERT INTO nuke_weatherzones VALUES (910, '13249', 'gaz092');
INSERT INTO nuke_weatherzones VALUES (911, '13251', 'gaz088');
INSERT INTO nuke_weatherzones VALUES (912, '13253', 'gaz155');
INSERT INTO nuke_weatherzones VALUES (913, '13255', 'gaz056');
INSERT INTO nuke_weatherzones VALUES (914, '13257', 'gaz018');
INSERT INTO nuke_weatherzones VALUES (915, '13259', 'gaz102');
INSERT INTO nuke_weatherzones VALUES (916, '13261', 'gaz104');
INSERT INTO nuke_weatherzones VALUES (917, '13263', 'gaz079');
INSERT INTO nuke_weatherzones VALUES (918, '13265', 'gaz051');
INSERT INTO nuke_weatherzones VALUES (919, '13267', 'gaz114');
INSERT INTO nuke_weatherzones VALUES (920, '13269', 'gaz080');
INSERT INTO nuke_weatherzones VALUES (921, '13271', 'gaz110');
INSERT INTO nuke_weatherzones VALUES (922, '13273', 'gaz124');
INSERT INTO nuke_weatherzones VALUES (923, '13275', 'gaz158');
INSERT INTO nuke_weatherzones VALUES (924, '13277', 'gaz129');
INSERT INTO nuke_weatherzones VALUES (925, '13279', 'gaz113');
INSERT INTO nuke_weatherzones VALUES (926, '13281', 'gaz009');
INSERT INTO nuke_weatherzones VALUES (927, '13283', 'gaz098');
INSERT INTO nuke_weatherzones VALUES (928, '13285', 'gaz066');
INSERT INTO nuke_weatherzones VALUES (929, '13287', 'gaz128');
INSERT INTO nuke_weatherzones VALUES (930, '13289', 'gaz083');
INSERT INTO nuke_weatherzones VALUES (931, '13291', 'gaz008');
INSERT INTO nuke_weatherzones VALUES (932, '13293', 'gaz069');
INSERT INTO nuke_weatherzones VALUES (933, '13295', 'gaz002');
INSERT INTO nuke_weatherzones VALUES (934, '13297', 'gaz047');
INSERT INTO nuke_weatherzones VALUES (935, '13299', 'gaz150');
INSERT INTO nuke_weatherzones VALUES (936, '13301', 'gaz062');
INSERT INTO nuke_weatherzones VALUES (937, '13303', 'gaz074');
INSERT INTO nuke_weatherzones VALUES (938, '13305', 'gaz136');
INSERT INTO nuke_weatherzones VALUES (939, '13307', 'gaz103');
INSERT INTO nuke_weatherzones VALUES (940, '13309', 'gaz111');
INSERT INTO nuke_weatherzones VALUES (941, '13311', 'gaz016');
INSERT INTO nuke_weatherzones VALUES (942, '13313', 'gaz004');
INSERT INTO nuke_weatherzones VALUES (943, '13315', 'gaz108');
INSERT INTO nuke_weatherzones VALUES (944, '13317', 'gaz039');
INSERT INTO nuke_weatherzones VALUES (945, '13319', 'gaz084');
INSERT INTO nuke_weatherzones VALUES (946, '13321', 'gaz127');
INSERT INTO nuke_weatherzones VALUES (947, '15001', 'hiz004');
INSERT INTO nuke_weatherzones VALUES (948, '15001', 'hiz007');
INSERT INTO nuke_weatherzones VALUES (949, '15001', 'hiz008');
INSERT INTO nuke_weatherzones VALUES (950, '15003', 'hiz002');
INSERT INTO nuke_weatherzones VALUES (951, '15007', 'hiz001');
INSERT INTO nuke_weatherzones VALUES (952, '15009', 'hiz003');
INSERT INTO nuke_weatherzones VALUES (953, '15009', 'hiz005');
INSERT INTO nuke_weatherzones VALUES (954, '15009', 'hiz006');
INSERT INTO nuke_weatherzones VALUES (955, '16001', 'idz014');
INSERT INTO nuke_weatherzones VALUES (956, '16003', 'idz011');
INSERT INTO nuke_weatherzones VALUES (957, '16005', 'idz021');
INSERT INTO nuke_weatherzones VALUES (958, '16005', 'idz023');
INSERT INTO nuke_weatherzones VALUES (959, '16007', 'idz025');
INSERT INTO nuke_weatherzones VALUES (960, '16009', 'idz003');
INSERT INTO nuke_weatherzones VALUES (961, '16009', 'idz004');
INSERT INTO nuke_weatherzones VALUES (962, '16011', 'idz020');
INSERT INTO nuke_weatherzones VALUES (963, '16011', 'idz021');
INSERT INTO nuke_weatherzones VALUES (964, '16011', 'idz023');
INSERT INTO nuke_weatherzones VALUES (965, '16013', 'idz017');
INSERT INTO nuke_weatherzones VALUES (966, '16013', 'idz031');
INSERT INTO nuke_weatherzones VALUES (967, '16015', 'idz013');
INSERT INTO nuke_weatherzones VALUES (968, '16017', 'idz001');
INSERT INTO nuke_weatherzones VALUES (969, '16019', 'idz020');
INSERT INTO nuke_weatherzones VALUES (970, '16019', 'idz023');
INSERT INTO nuke_weatherzones VALUES (971, '16021', 'idz001');
INSERT INTO nuke_weatherzones VALUES (972, '16023', 'idz020');
INSERT INTO nuke_weatherzones VALUES (973, '16023', 'idz032');
INSERT INTO nuke_weatherzones VALUES (974, '16025', 'idz013');
INSERT INTO nuke_weatherzones VALUES (975, '16025', 'idz028');
INSERT INTO nuke_weatherzones VALUES (976, '16027', 'idz012');
INSERT INTO nuke_weatherzones VALUES (977, '16029', 'idz023');
INSERT INTO nuke_weatherzones VALUES (978, '16031', 'idz017');
INSERT INTO nuke_weatherzones VALUES (979, '16031', 'idz022');
INSERT INTO nuke_weatherzones VALUES (980, '16033', 'idz019');
INSERT INTO nuke_weatherzones VALUES (981, '16035', 'idz005');
INSERT INTO nuke_weatherzones VALUES (982, '16035', 'idz007');
INSERT INTO nuke_weatherzones VALUES (983, '16037', 'idz018');
INSERT INTO nuke_weatherzones VALUES (984, '16037', 'idz032');
INSERT INTO nuke_weatherzones VALUES (985, '16039', 'idz013');
INSERT INTO nuke_weatherzones VALUES (986, '16039', 'idz014');
INSERT INTO nuke_weatherzones VALUES (987, '16039', 'idz028');
INSERT INTO nuke_weatherzones VALUES (988, '16041', 'idz024');
INSERT INTO nuke_weatherzones VALUES (989, '16041', 'idz025');
INSERT INTO nuke_weatherzones VALUES (990, '16043', 'idz001');
INSERT INTO nuke_weatherzones VALUES (991, '16043', 'idz019');
INSERT INTO nuke_weatherzones VALUES (992, '16045', 'idz011');
INSERT INTO nuke_weatherzones VALUES (993, '16045', 'idz012');
INSERT INTO nuke_weatherzones VALUES (994, '16047', 'idz016');
INSERT INTO nuke_weatherzones VALUES (995, '16049', 'idz006');
INSERT INTO nuke_weatherzones VALUES (996, '16049', 'idz007');
INSERT INTO nuke_weatherzones VALUES (997, '16049', 'idz008');
INSERT INTO nuke_weatherzones VALUES (998, '16051', 'idz020');
INSERT INTO nuke_weatherzones VALUES (999, '16053', 'idz016');
INSERT INTO nuke_weatherzones VALUES (1000, '16055', 'idz001');
INSERT INTO nuke_weatherzones VALUES (1001, '16055', 'idz002');
INSERT INTO nuke_weatherzones VALUES (1002, '16055', 'idz004');
INSERT INTO nuke_weatherzones VALUES (1003, '16057', 'idz003');
INSERT INTO nuke_weatherzones VALUES (1004, '16057', 'idz004');
INSERT INTO nuke_weatherzones VALUES (1005, '16059', 'idz009');
INSERT INTO nuke_weatherzones VALUES (1006, '16059', 'idz010');
INSERT INTO nuke_weatherzones VALUES (1007, '16061', 'idz027');
INSERT INTO nuke_weatherzones VALUES (1008, '16063', 'idz017');
INSERT INTO nuke_weatherzones VALUES (1009, '16065', 'idz019');
INSERT INTO nuke_weatherzones VALUES (1010, '16065', 'idz020');
INSERT INTO nuke_weatherzones VALUES (1011, '16067', 'idz017');
INSERT INTO nuke_weatherzones VALUES (1012, '16069', 'idz026');
INSERT INTO nuke_weatherzones VALUES (1013, '16069', 'idz027');
INSERT INTO nuke_weatherzones VALUES (1014, '16071', 'idz022');
INSERT INTO nuke_weatherzones VALUES (1015, '16073', 'idz012');
INSERT INTO nuke_weatherzones VALUES (1016, '16073', 'idz014');
INSERT INTO nuke_weatherzones VALUES (1017, '16073', 'idz015');
INSERT INTO nuke_weatherzones VALUES (1018, '16073', 'idz029');
INSERT INTO nuke_weatherzones VALUES (1019, '16075', 'idz012');
INSERT INTO nuke_weatherzones VALUES (1020, '16077', 'idz021');
INSERT INTO nuke_weatherzones VALUES (1021, '16077', 'idz022');
INSERT INTO nuke_weatherzones VALUES (1022, '16079', 'idz004');
INSERT INTO nuke_weatherzones VALUES (1023, '16081', 'idz019');
INSERT INTO nuke_weatherzones VALUES (1024, '16083', 'idz016');
INSERT INTO nuke_weatherzones VALUES (1025, '16083', 'idz030');
INSERT INTO nuke_weatherzones VALUES (1026, '16085', 'idz011');
INSERT INTO nuke_weatherzones VALUES (1027, '16087', 'idz011');
INSERT INTO nuke_weatherzones VALUES (1028, '16087', 'idz012');
INSERT INTO nuke_weatherzones VALUES (1029, '17001', 'ilz095');
INSERT INTO nuke_weatherzones VALUES (1030, '17003', 'ilz092');
INSERT INTO nuke_weatherzones VALUES (1031, '17005', 'ilz064');
INSERT INTO nuke_weatherzones VALUES (1032, '17007', 'ilz004');
INSERT INTO nuke_weatherzones VALUES (1033, '17009', 'ilz096');
INSERT INTO nuke_weatherzones VALUES (1034, '17011', 'ilz017');
INSERT INTO nuke_weatherzones VALUES (1035, '17013', 'ilz098');
INSERT INTO nuke_weatherzones VALUES (1036, '17015', 'ilz007');
INSERT INTO nuke_weatherzones VALUES (1037, '17017', 'ilz047');
INSERT INTO nuke_weatherzones VALUES (1038, '17019', 'ilz045');
INSERT INTO nuke_weatherzones VALUES (1039, '17021', 'ilz052');
INSERT INTO nuke_weatherzones VALUES (1040, '17023', 'ilz063');
INSERT INTO nuke_weatherzones VALUES (1041, '17025', 'ilz071');
INSERT INTO nuke_weatherzones VALUES (1042, '17027', 'ilz069');
INSERT INTO nuke_weatherzones VALUES (1043, '17029', 'ilz056');
INSERT INTO nuke_weatherzones VALUES (1044, '17031', 'ilz014');
INSERT INTO nuke_weatherzones VALUES (1045, '17033', 'ilz068');
INSERT INTO nuke_weatherzones VALUES (1046, '17035', 'ilz062');
INSERT INTO nuke_weatherzones VALUES (1047, '17037', 'ilz011');
INSERT INTO nuke_weatherzones VALUES (1048, '17039', 'ilz043');
INSERT INTO nuke_weatherzones VALUES (1049, '17041', 'ilz055');
INSERT INTO nuke_weatherzones VALUES (1050, '17043', 'ilz013');
INSERT INTO nuke_weatherzones VALUES (1051, '17045', 'ilz057');
INSERT INTO nuke_weatherzones VALUES (1052, '17047', 'ilz077');
INSERT INTO nuke_weatherzones VALUES (1053, '17049', 'ilz066');
INSERT INTO nuke_weatherzones VALUES (1054, '17051', 'ilz065');
INSERT INTO nuke_weatherzones VALUES (1055, '17053', 'ilz039');
INSERT INTO nuke_weatherzones VALUES (1056, '17055', 'ilz081');
INSERT INTO nuke_weatherzones VALUES (1057, '17057', 'ilz036');
INSERT INTO nuke_weatherzones VALUES (1058, '17059', 'ilz087');
INSERT INTO nuke_weatherzones VALUES (1059, '17061', 'ilz058');
INSERT INTO nuke_weatherzones VALUES (1060, '17063', 'ilz021');
INSERT INTO nuke_weatherzones VALUES (1061, '17065', 'ilz082');
INSERT INTO nuke_weatherzones VALUES (1062, '17067', 'ilz034');
INSERT INTO nuke_weatherzones VALUES (1063, '17069', 'ilz091');
INSERT INTO nuke_weatherzones VALUES (1064, '17071', 'ilz025');
INSERT INTO nuke_weatherzones VALUES (1065, '17073', 'ilz016');
INSERT INTO nuke_weatherzones VALUES (1066, '17075', 'ilz033');
INSERT INTO nuke_weatherzones VALUES (1067, '17077', 'ilz084');
INSERT INTO nuke_weatherzones VALUES (1068, '17079', 'ilz067');
INSERT INTO nuke_weatherzones VALUES (1069, '17081', 'ilz075');
INSERT INTO nuke_weatherzones VALUES (1070, '17083', 'ilz099');
INSERT INTO nuke_weatherzones VALUES (1071, '17085', 'ilz001');
INSERT INTO nuke_weatherzones VALUES (1072, '17087', 'ilz089');
INSERT INTO nuke_weatherzones VALUES (1073, '17089', 'ilz012');
INSERT INTO nuke_weatherzones VALUES (1074, '17091', 'ilz023');
INSERT INTO nuke_weatherzones VALUES (1075, '17093', 'ilz020');
INSERT INTO nuke_weatherzones VALUES (1076, '17095', 'ilz027');
INSERT INTO nuke_weatherzones VALUES (1077, '17097', 'ilz006');
INSERT INTO nuke_weatherzones VALUES (1078, '17099', 'ilz019');
INSERT INTO nuke_weatherzones VALUES (1079, '17101', 'ilz073');
INSERT INTO nuke_weatherzones VALUES (1080, '17103', 'ilz010');
INSERT INTO nuke_weatherzones VALUES (1081, '17105', 'ilz032');
INSERT INTO nuke_weatherzones VALUES (1082, '17107', 'ilz042');
INSERT INTO nuke_weatherzones VALUES (1083, '17109', 'ilz035');
INSERT INTO nuke_weatherzones VALUES (1084, '17111', 'ilz005');
INSERT INTO nuke_weatherzones VALUES (1085, '17113', 'ilz038');
INSERT INTO nuke_weatherzones VALUES (1086, '17115', 'ilz053');
INSERT INTO nuke_weatherzones VALUES (1087, '17117', 'ilz059');
INSERT INTO nuke_weatherzones VALUES (1088, '17119', 'ilz100');
INSERT INTO nuke_weatherzones VALUES (1089, '17121', 'ilz070');
INSERT INTO nuke_weatherzones VALUES (1090, '17123', 'ilz030');
INSERT INTO nuke_weatherzones VALUES (1091, '17125', 'ilz041');
INSERT INTO nuke_weatherzones VALUES (1092, '17127', 'ilz094');
INSERT INTO nuke_weatherzones VALUES (1093, '17129', 'ilz048');
INSERT INTO nuke_weatherzones VALUES (1094, '17131', 'ilz024');
INSERT INTO nuke_weatherzones VALUES (1095, '17133', 'ilz102');
INSERT INTO nuke_weatherzones VALUES (1096, '17135', 'ilz060');
INSERT INTO nuke_weatherzones VALUES (1097, '17137', 'ilz050');
INSERT INTO nuke_weatherzones VALUES (1098, '17139', 'ilz054');
INSERT INTO nuke_weatherzones VALUES (1099, '17141', 'ilz008');
INSERT INTO nuke_weatherzones VALUES (1100, '17143', 'ilz029');
INSERT INTO nuke_weatherzones VALUES (1101, '17145', 'ilz080');
INSERT INTO nuke_weatherzones VALUES (1102, '17147', 'ilz044');
INSERT INTO nuke_weatherzones VALUES (1103, '17149', 'ilz097');
INSERT INTO nuke_weatherzones VALUES (1104, '17151', 'ilz090');
INSERT INTO nuke_weatherzones VALUES (1105, '17153', 'ilz093');
INSERT INTO nuke_weatherzones VALUES (1106, '17155', 'ilz018');
INSERT INTO nuke_weatherzones VALUES (1107, '17157', 'ilz079');
INSERT INTO nuke_weatherzones VALUES (1108, '17159', 'ilz072');
INSERT INTO nuke_weatherzones VALUES (1109, '17161', 'ilz015');
INSERT INTO nuke_weatherzones VALUES (1110, '17163', 'ilz101');
INSERT INTO nuke_weatherzones VALUES (1111, '17165', 'ilz086');
INSERT INTO nuke_weatherzones VALUES (1112, '17167', 'ilz051');
INSERT INTO nuke_weatherzones VALUES (1113, '17169', 'ilz040');
INSERT INTO nuke_weatherzones VALUES (1114, '17171', 'ilz049');
INSERT INTO nuke_weatherzones VALUES (1115, '17173', 'ilz061');
INSERT INTO nuke_weatherzones VALUES (1116, '17175', 'ilz028');
INSERT INTO nuke_weatherzones VALUES (1117, '17177', 'ilz002');
INSERT INTO nuke_weatherzones VALUES (1118, '17179', 'ilz037');
INSERT INTO nuke_weatherzones VALUES (1119, '17181', 'ilz088');
INSERT INTO nuke_weatherzones VALUES (1120, '17183', 'ilz046');
INSERT INTO nuke_weatherzones VALUES (1121, '17185', 'ilz078');
INSERT INTO nuke_weatherzones VALUES (1122, '17187', 'ilz026');
INSERT INTO nuke_weatherzones VALUES (1123, '17189', 'ilz074');
INSERT INTO nuke_weatherzones VALUES (1124, '17191', 'ilz076');
INSERT INTO nuke_weatherzones VALUES (1125, '17193', 'ilz083');
INSERT INTO nuke_weatherzones VALUES (1126, '17195', 'ilz009');
INSERT INTO nuke_weatherzones VALUES (1127, '17197', 'ilz022');
INSERT INTO nuke_weatherzones VALUES (1128, '17199', 'ilz085');
INSERT INTO nuke_weatherzones VALUES (1129, '17201', 'ilz003');
INSERT INTO nuke_weatherzones VALUES (1130, '17203', 'ilz031');
INSERT INTO nuke_weatherzones VALUES (1131, '18001', 'inz027');
INSERT INTO nuke_weatherzones VALUES (1132, '18003', 'inz018');
INSERT INTO nuke_weatherzones VALUES (1133, '18005', 'inz064');
INSERT INTO nuke_weatherzones VALUES (1134, '18007', 'inz019');
INSERT INTO nuke_weatherzones VALUES (1135, '18009', 'inz033');
INSERT INTO nuke_weatherzones VALUES (1136, '18011', 'inz037');
INSERT INTO nuke_weatherzones VALUES (1137, '18013', 'inz063');
INSERT INTO nuke_weatherzones VALUES (1138, '18015', 'inz021');
INSERT INTO nuke_weatherzones VALUES (1139, '18017', 'inz022');
INSERT INTO nuke_weatherzones VALUES (1140, '18019', 'inz092');
INSERT INTO nuke_weatherzones VALUES (1141, '18021', 'inz052');
INSERT INTO nuke_weatherzones VALUES (1142, '18023', 'inz030');
INSERT INTO nuke_weatherzones VALUES (1143, '18025', 'inz084');
INSERT INTO nuke_weatherzones VALUES (1144, '18027', 'inz068');
INSERT INTO nuke_weatherzones VALUES (1145, '18029', 'inz074');
INSERT INTO nuke_weatherzones VALUES (1146, '18031', 'inz065');
INSERT INTO nuke_weatherzones VALUES (1147, '18033', 'inz009');
INSERT INTO nuke_weatherzones VALUES (1148, '18035', 'inz041');
INSERT INTO nuke_weatherzones VALUES (1149, '18037', 'inz083');
INSERT INTO nuke_weatherzones VALUES (1150, '18039', 'inz005');
INSERT INTO nuke_weatherzones VALUES (1151, '18041', 'inz058');
INSERT INTO nuke_weatherzones VALUES (1152, '18043', 'inz091');
INSERT INTO nuke_weatherzones VALUES (1153, '18045', 'inz035');
INSERT INTO nuke_weatherzones VALUES (1154, '18047', 'inz066');
INSERT INTO nuke_weatherzones VALUES (1155, '18049', 'inz015');
INSERT INTO nuke_weatherzones VALUES (1156, '18051', 'inz081');
INSERT INTO nuke_weatherzones VALUES (1157, '18053', 'inz032');
INSERT INTO nuke_weatherzones VALUES (1158, '18055', 'inz061');
INSERT INTO nuke_weatherzones VALUES (1159, '18057', 'inz039');
INSERT INTO nuke_weatherzones VALUES (1160, '18059', 'inz048');
INSERT INTO nuke_weatherzones VALUES (1161, '18061', 'inz090');
INSERT INTO nuke_weatherzones VALUES (1162, '18063', 'inz046');
INSERT INTO nuke_weatherzones VALUES (1163, '18065', 'inz049');
INSERT INTO nuke_weatherzones VALUES (1164, '18067', 'inz031');
INSERT INTO nuke_weatherzones VALUES (1165, '18069', 'inz025');
INSERT INTO nuke_weatherzones VALUES (1166, '18071', 'inz071');
INSERT INTO nuke_weatherzones VALUES (1167, '18073', 'inz011');
INSERT INTO nuke_weatherzones VALUES (1168, '18075', 'inz034');
INSERT INTO nuke_weatherzones VALUES (1169, '18077', 'inz079');
INSERT INTO nuke_weatherzones VALUES (1170, '18079', 'inz072');
INSERT INTO nuke_weatherzones VALUES (1171, '18081', 'inz055');
INSERT INTO nuke_weatherzones VALUES (1172, '18083', 'inz067');
INSERT INTO nuke_weatherzones VALUES (1173, '18085', 'inz016');
INSERT INTO nuke_weatherzones VALUES (1174, '18087', 'inz006');
INSERT INTO nuke_weatherzones VALUES (1175, '18089', 'inz001');
INSERT INTO nuke_weatherzones VALUES (1176, '18091', 'inz003');
INSERT INTO nuke_weatherzones VALUES (1177, '18093', 'inz070');
INSERT INTO nuke_weatherzones VALUES (1178, '18095', 'inz040');
INSERT INTO nuke_weatherzones VALUES (1179, '18097', 'inz047');
INSERT INTO nuke_weatherzones VALUES (1180, '18099', 'inz014');
INSERT INTO nuke_weatherzones VALUES (1181, '18101', 'inz069');
INSERT INTO nuke_weatherzones VALUES (1182, '18103', 'inz023');
INSERT INTO nuke_weatherzones VALUES (1183, '18105', 'inz062');
INSERT INTO nuke_weatherzones VALUES (1184, '18107', 'inz036');
INSERT INTO nuke_weatherzones VALUES (1185, '18109', 'inz054');
INSERT INTO nuke_weatherzones VALUES (1186, '18111', 'inz010');
INSERT INTO nuke_weatherzones VALUES (1187, '18113', 'inz008');
INSERT INTO nuke_weatherzones VALUES (1188, '18115', 'inz075');
INSERT INTO nuke_weatherzones VALUES (1189, '18117', 'inz076');
INSERT INTO nuke_weatherzones VALUES (1190, '18119', 'inz053');
INSERT INTO nuke_weatherzones VALUES (1191, '18121', 'inz044');
INSERT INTO nuke_weatherzones VALUES (1192, '18123', 'inz089');
INSERT INTO nuke_weatherzones VALUES (1193, '18125', 'inz082');
INSERT INTO nuke_weatherzones VALUES (1194, '18127', 'inz002');
INSERT INTO nuke_weatherzones VALUES (1195, '18129', 'inz085');
INSERT INTO nuke_weatherzones VALUES (1196, '18131', 'inz013');
INSERT INTO nuke_weatherzones VALUES (1197, '18133', 'inz045');
INSERT INTO nuke_weatherzones VALUES (1198, '18135', 'inz042');
INSERT INTO nuke_weatherzones VALUES (1199, '18137', 'inz073');
INSERT INTO nuke_weatherzones VALUES (1200, '18139', 'inz057');
INSERT INTO nuke_weatherzones VALUES (1201, '18141', 'inz004');
INSERT INTO nuke_weatherzones VALUES (1202, '18143', 'inz078');
INSERT INTO nuke_weatherzones VALUES (1203, '18145', 'inz056');
INSERT INTO nuke_weatherzones VALUES (1204, '18147', 'inz088');
INSERT INTO nuke_weatherzones VALUES (1205, '18149', 'inz012');
INSERT INTO nuke_weatherzones VALUES (1206, '18151', 'inz007');
INSERT INTO nuke_weatherzones VALUES (1207, '18153', 'inz060');
INSERT INTO nuke_weatherzones VALUES (1208, '18155', 'inz080');
INSERT INTO nuke_weatherzones VALUES (1209, '18157', 'inz029');
INSERT INTO nuke_weatherzones VALUES (1210, '18159', 'inz038');
INSERT INTO nuke_weatherzones VALUES (1211, '18161', 'inz059');
INSERT INTO nuke_weatherzones VALUES (1212, '18163', 'inz086');
INSERT INTO nuke_weatherzones VALUES (1213, '18165', 'inz043');
INSERT INTO nuke_weatherzones VALUES (1214, '18167', 'inz051');
INSERT INTO nuke_weatherzones VALUES (1215, '18169', 'inz024');
INSERT INTO nuke_weatherzones VALUES (1216, '18171', 'inz028');
INSERT INTO nuke_weatherzones VALUES (1217, '18173', 'inz087');
INSERT INTO nuke_weatherzones VALUES (1218, '18175', 'inz077');
INSERT INTO nuke_weatherzones VALUES (1219, '18177', 'inz050');
INSERT INTO nuke_weatherzones VALUES (1220, '18179', 'inz026');
INSERT INTO nuke_weatherzones VALUES (1221, '18181', 'inz020');
INSERT INTO nuke_weatherzones VALUES (1222, '18183', 'inz017');
INSERT INTO nuke_weatherzones VALUES (1223, '19001', 'iaz071');
INSERT INTO nuke_weatherzones VALUES (1224, '19003', 'iaz081');
INSERT INTO nuke_weatherzones VALUES (1225, '19005', 'iaz011');
INSERT INTO nuke_weatherzones VALUES (1226, '19007', 'iaz096');
INSERT INTO nuke_weatherzones VALUES (1227, '19009', 'iaz057');
INSERT INTO nuke_weatherzones VALUES (1228, '19011', 'iaz051');
INSERT INTO nuke_weatherzones VALUES (1229, '19013', 'iaz039');
INSERT INTO nuke_weatherzones VALUES (1230, '19015', 'iaz047');
INSERT INTO nuke_weatherzones VALUES (1231, '19017', 'iaz028');
INSERT INTO nuke_weatherzones VALUES (1232, '19019', 'iaz040');
INSERT INTO nuke_weatherzones VALUES (1233, '19021', 'iaz022');
INSERT INTO nuke_weatherzones VALUES (1234, '19023', 'iaz027');
INSERT INTO nuke_weatherzones VALUES (1235, '19025', 'iaz034');
INSERT INTO nuke_weatherzones VALUES (1236, '19027', 'iaz045');
INSERT INTO nuke_weatherzones VALUES (1237, '19029', 'iaz070');
INSERT INTO nuke_weatherzones VALUES (1238, '19031', 'iaz065');
INSERT INTO nuke_weatherzones VALUES (1239, '19033', 'iaz017');
INSERT INTO nuke_weatherzones VALUES (1240, '19035', 'iaz021');
INSERT INTO nuke_weatherzones VALUES (1241, '19037', 'iaz019');
INSERT INTO nuke_weatherzones VALUES (1242, '19039', 'iaz083');
INSERT INTO nuke_weatherzones VALUES (1243, '19041', 'iaz014');
INSERT INTO nuke_weatherzones VALUES (1244, '19043', 'iaz030');
INSERT INTO nuke_weatherzones VALUES (1245, '19045', 'iaz066');
INSERT INTO nuke_weatherzones VALUES (1246, '19047', 'iaz044');
INSERT INTO nuke_weatherzones VALUES (1247, '19049', 'iaz059');
INSERT INTO nuke_weatherzones VALUES (1248, '19051', 'iaz097');
INSERT INTO nuke_weatherzones VALUES (1249, '19053', 'iaz094');
INSERT INTO nuke_weatherzones VALUES (1250, '19055', 'iaz041');
INSERT INTO nuke_weatherzones VALUES (1251, '19057', 'iaz089');
INSERT INTO nuke_weatherzones VALUES (1252, '19059', 'iaz003');
INSERT INTO nuke_weatherzones VALUES (1253, '19061', 'iaz042');
INSERT INTO nuke_weatherzones VALUES (1254, '19063', 'iaz004');
INSERT INTO nuke_weatherzones VALUES (1255, '19065', 'iaz029');
INSERT INTO nuke_weatherzones VALUES (1256, '19067', 'iaz018');
INSERT INTO nuke_weatherzones VALUES (1257, '19069', 'iaz026');
INSERT INTO nuke_weatherzones VALUES (1258, '19071', 'iaz090');
INSERT INTO nuke_weatherzones VALUES (1259, '19073', 'iaz046');
INSERT INTO nuke_weatherzones VALUES (1260, '19075', 'iaz038');
INSERT INTO nuke_weatherzones VALUES (1261, '19077', 'iaz058');
INSERT INTO nuke_weatherzones VALUES (1262, '19079', 'iaz036');
INSERT INTO nuke_weatherzones VALUES (1263, '19081', 'iaz016');
INSERT INTO nuke_weatherzones VALUES (1264, '19083', 'iaz037');
INSERT INTO nuke_weatherzones VALUES (1265, '19085', 'iaz055');
INSERT INTO nuke_weatherzones VALUES (1266, '19087', 'iaz088');
INSERT INTO nuke_weatherzones VALUES (1267, '19089', 'iaz009');
INSERT INTO nuke_weatherzones VALUES (1268, '19091', 'iaz024');
INSERT INTO nuke_weatherzones VALUES (1269, '19093', 'iaz032');
INSERT INTO nuke_weatherzones VALUES (1270, '19095', 'iaz063');
INSERT INTO nuke_weatherzones VALUES (1271, '19097', 'iaz054');
INSERT INTO nuke_weatherzones VALUES (1272, '19099', 'iaz061');
INSERT INTO nuke_weatherzones VALUES (1273, '19101', 'iaz087');
INSERT INTO nuke_weatherzones VALUES (1274, '19103', 'iaz064');
INSERT INTO nuke_weatherzones VALUES (1275, '19105', 'iaz053');
INSERT INTO nuke_weatherzones VALUES (1276, '19107', 'iaz076');
INSERT INTO nuke_weatherzones VALUES (1277, '19109', 'iaz005');
INSERT INTO nuke_weatherzones VALUES (1278, '19111', 'iaz099');
INSERT INTO nuke_weatherzones VALUES (1279, '19113', 'iaz052');
INSERT INTO nuke_weatherzones VALUES (1280, '19115', 'iaz078');
INSERT INTO nuke_weatherzones VALUES (1281, '19117', 'iaz084');
INSERT INTO nuke_weatherzones VALUES (1282, '19119', 'iaz001');
INSERT INTO nuke_weatherzones VALUES (1283, '19121', 'iaz072');
INSERT INTO nuke_weatherzones VALUES (1284, '19123', 'iaz075');
INSERT INTO nuke_weatherzones VALUES (1285, '19125', 'iaz074');
INSERT INTO nuke_weatherzones VALUES (1286, '19127', 'iaz049');
INSERT INTO nuke_weatherzones VALUES (1287, '19129', 'iaz079');
INSERT INTO nuke_weatherzones VALUES (1288, '19131', 'iaz008');
INSERT INTO nuke_weatherzones VALUES (1289, '19133', 'iaz043');
INSERT INTO nuke_weatherzones VALUES (1290, '19135', 'iaz085');
INSERT INTO nuke_weatherzones VALUES (1291, '19137', 'iaz080');
INSERT INTO nuke_weatherzones VALUES (1292, '19139', 'iaz067');
INSERT INTO nuke_weatherzones VALUES (1293, '19141', 'iaz013');
INSERT INTO nuke_weatherzones VALUES (1294, '19143', 'iaz002');
INSERT INTO nuke_weatherzones VALUES (1295, '19145', 'iaz091');
INSERT INTO nuke_weatherzones VALUES (1296, '19147', 'iaz015');
INSERT INTO nuke_weatherzones VALUES (1297, '19149', 'iaz020');
INSERT INTO nuke_weatherzones VALUES (1298, '19151', 'iaz023');
INSERT INTO nuke_weatherzones VALUES (1299, '19153', 'iaz060');
INSERT INTO nuke_weatherzones VALUES (1300, '19155', 'iaz069');
INSERT INTO nuke_weatherzones VALUES (1301, '19157', 'iaz062');
INSERT INTO nuke_weatherzones VALUES (1302, '19159', 'iaz093');
INSERT INTO nuke_weatherzones VALUES (1303, '19161', 'iaz033');
INSERT INTO nuke_weatherzones VALUES (1304, '19163', 'iaz068');
INSERT INTO nuke_weatherzones VALUES (1305, '19165', 'iaz056');
INSERT INTO nuke_weatherzones VALUES (1306, '19167', 'iaz012');
INSERT INTO nuke_weatherzones VALUES (1307, '19169', 'iaz048');
INSERT INTO nuke_weatherzones VALUES (1308, '19171', 'iaz050');
INSERT INTO nuke_weatherzones VALUES (1309, '19173', 'iaz092');
INSERT INTO nuke_weatherzones VALUES (1310, '19175', 'iaz082');
INSERT INTO nuke_weatherzones VALUES (1311, '19177', 'iaz098');
INSERT INTO nuke_weatherzones VALUES (1312, '19179', 'iaz086');
INSERT INTO nuke_weatherzones VALUES (1313, '19181', 'iaz073');
INSERT INTO nuke_weatherzones VALUES (1314, '19183', 'iaz077');
INSERT INTO nuke_weatherzones VALUES (1315, '19185', 'iaz095');
INSERT INTO nuke_weatherzones VALUES (1316, '19187', 'iaz035');
INSERT INTO nuke_weatherzones VALUES (1317, '19189', 'iaz006');
INSERT INTO nuke_weatherzones VALUES (1318, '19191', 'iaz010');
INSERT INTO nuke_weatherzones VALUES (1319, '19193', 'iaz031');
INSERT INTO nuke_weatherzones VALUES (1320, '19195', 'iaz007');
INSERT INTO nuke_weatherzones VALUES (1321, '19197', 'iaz025');
INSERT INTO nuke_weatherzones VALUES (1322, '20001', 'ksz072');
INSERT INTO nuke_weatherzones VALUES (1323, '20003', 'ksz059');
INSERT INTO nuke_weatherzones VALUES (1324, '20005', 'ksz025');
INSERT INTO nuke_weatherzones VALUES (1325, '20007', 'ksz090');
INSERT INTO nuke_weatherzones VALUES (1326, '20009', 'ksz047');
INSERT INTO nuke_weatherzones VALUES (1327, '20011', 'ksz073');
INSERT INTO nuke_weatherzones VALUES (1328, '20013', 'ksz012');
INSERT INTO nuke_weatherzones VALUES (1329, '20015', 'ksz069');
INSERT INTO nuke_weatherzones VALUES (1330, '20017', 'ksz053');
INSERT INTO nuke_weatherzones VALUES (1331, '20019', 'ksz098');
INSERT INTO nuke_weatherzones VALUES (1332, '20021', 'ksz101');
INSERT INTO nuke_weatherzones VALUES (1333, '20023', 'ksz001');
INSERT INTO nuke_weatherzones VALUES (1334, '20025', 'ksz088');
INSERT INTO nuke_weatherzones VALUES (1335, '20027', 'ksz021');
INSERT INTO nuke_weatherzones VALUES (1336, '20029', 'ksz020');
INSERT INTO nuke_weatherzones VALUES (1337, '20031', 'ksz058');
INSERT INTO nuke_weatherzones VALUES (1338, '20033', 'ksz089');
INSERT INTO nuke_weatherzones VALUES (1339, '20035', 'ksz093');
INSERT INTO nuke_weatherzones VALUES (1340, '20037', 'ksz097');
INSERT INTO nuke_weatherzones VALUES (1341, '20039', 'ksz003');
INSERT INTO nuke_weatherzones VALUES (1342, '20041', 'ksz035');
INSERT INTO nuke_weatherzones VALUES (1343, '20043', 'ksz102');
INSERT INTO nuke_weatherzones VALUES (1344, '20045', 'ksz040');
INSERT INTO nuke_weatherzones VALUES (1345, '20047', 'ksz079');
INSERT INTO nuke_weatherzones VALUES (1346, '20049', 'ksz094');
INSERT INTO nuke_weatherzones VALUES (1347, '20051', 'ksz031');
INSERT INTO nuke_weatherzones VALUES (1348, '20053', 'ksz048');
INSERT INTO nuke_weatherzones VALUES (1349, '20055', 'ksz063');
INSERT INTO nuke_weatherzones VALUES (1350, '20057', 'ksz078');
INSERT INTO nuke_weatherzones VALUES (1351, '20059', 'ksz056');
INSERT INTO nuke_weatherzones VALUES (1352, '20061', 'ksz036');
INSERT INTO nuke_weatherzones VALUES (1353, '20063', 'ksz029');
INSERT INTO nuke_weatherzones VALUES (1354, '20065', 'ksz016');
INSERT INTO nuke_weatherzones VALUES (1355, '20067', 'ksz075');
INSERT INTO nuke_weatherzones VALUES (1356, '20069', 'ksz077');
INSERT INTO nuke_weatherzones VALUES (1357, '20071', 'ksz041');
INSERT INTO nuke_weatherzones VALUES (1358, '20073', 'ksz070');
INSERT INTO nuke_weatherzones VALUES (1359, '20075', 'ksz061');
INSERT INTO nuke_weatherzones VALUES (1360, '20077', 'ksz091');
INSERT INTO nuke_weatherzones VALUES (1361, '20079', 'ksz068');
INSERT INTO nuke_weatherzones VALUES (1362, '20081', 'ksz076');
INSERT INTO nuke_weatherzones VALUES (1363, '20083', 'ksz064');
INSERT INTO nuke_weatherzones VALUES (1364, '20085', 'ksz024');
INSERT INTO nuke_weatherzones VALUES (1365, '20087', 'ksz026');
INSERT INTO nuke_weatherzones VALUES (1366, '20089', 'ksz007');
INSERT INTO nuke_weatherzones VALUES (1367, '20091', 'ksz105');
INSERT INTO nuke_weatherzones VALUES (1368, '20093', 'ksz062');
INSERT INTO nuke_weatherzones VALUES (1369, '20095', 'ksz082');
INSERT INTO nuke_weatherzones VALUES (1370, '20097', 'ksz080');
INSERT INTO nuke_weatherzones VALUES (1371, '20099', 'ksz100');
INSERT INTO nuke_weatherzones VALUES (1372, '20101', 'ksz044');
INSERT INTO nuke_weatherzones VALUES (1373, '20103', 'ksz103');
INSERT INTO nuke_weatherzones VALUES (1374, '20105', 'ksz033');
INSERT INTO nuke_weatherzones VALUES (1375, '20107', 'ksz060');
INSERT INTO nuke_weatherzones VALUES (1376, '20109', 'ksz028');
INSERT INTO nuke_weatherzones VALUES (1377, '20111', 'ksz054');
INSERT INTO nuke_weatherzones VALUES (1378, '20113', 'ksz051');
INSERT INTO nuke_weatherzones VALUES (1379, '20115', 'ksz052');
INSERT INTO nuke_weatherzones VALUES (1380, '20117', 'ksz010');
INSERT INTO nuke_weatherzones VALUES (1381, '20119', 'ksz087');
INSERT INTO nuke_weatherzones VALUES (1382, '20121', 'ksz057');
INSERT INTO nuke_weatherzones VALUES (1383, '20123', 'ksz019');
INSERT INTO nuke_weatherzones VALUES (1384, '20125', 'ksz099');
INSERT INTO nuke_weatherzones VALUES (1385, '20127', 'ksz037');
INSERT INTO nuke_weatherzones VALUES (1386, '20129', 'ksz084');
INSERT INTO nuke_weatherzones VALUES (1387, '20131', 'ksz011');
INSERT INTO nuke_weatherzones VALUES (1388, '20133', 'ksz096');
INSERT INTO nuke_weatherzones VALUES (1389, '20135', 'ksz045');
INSERT INTO nuke_weatherzones VALUES (1390, '20137', 'ksz004');
INSERT INTO nuke_weatherzones VALUES (1391, '20139', 'ksz055');
INSERT INTO nuke_weatherzones VALUES (1392, '20141', 'ksz018');
INSERT INTO nuke_weatherzones VALUES (1393, '20143', 'ksz034');
INSERT INTO nuke_weatherzones VALUES (1394, '20145', 'ksz065');
INSERT INTO nuke_weatherzones VALUES (1395, '20147', 'ksz005');
INSERT INTO nuke_weatherzones VALUES (1396, '20149', 'ksz023');
INSERT INTO nuke_weatherzones VALUES (1397, '20151', 'ksz081');
INSERT INTO nuke_weatherzones VALUES (1398, '20153', 'ksz002');
INSERT INTO nuke_weatherzones VALUES (1399, '20155', 'ksz067');
INSERT INTO nuke_weatherzones VALUES (1400, '20157', 'ksz008');
INSERT INTO nuke_weatherzones VALUES (1401, '20159', 'ksz050');
INSERT INTO nuke_weatherzones VALUES (1402, '20161', 'ksz022');
INSERT INTO nuke_weatherzones VALUES (1403, '20163', 'ksz017');
INSERT INTO nuke_weatherzones VALUES (1404, '20165', 'ksz046');
INSERT INTO nuke_weatherzones VALUES (1405, '20167', 'ksz032');
INSERT INTO nuke_weatherzones VALUES (1406, '20169', 'ksz049');
INSERT INTO nuke_weatherzones VALUES (1407, '20171', 'ksz043');
INSERT INTO nuke_weatherzones VALUES (1408, '20173', 'ksz083');
INSERT INTO nuke_weatherzones VALUES (1409, '20175', 'ksz086');
INSERT INTO nuke_weatherzones VALUES (1410, '20177', 'ksz039');
INSERT INTO nuke_weatherzones VALUES (1411, '20179', 'ksz015');
INSERT INTO nuke_weatherzones VALUES (1412, '20181', 'ksz013');
INSERT INTO nuke_weatherzones VALUES (1413, '20183', 'ksz006');
INSERT INTO nuke_weatherzones VALUES (1414, '20185', 'ksz066');
INSERT INTO nuke_weatherzones VALUES (1415, '20187', 'ksz074');
INSERT INTO nuke_weatherzones VALUES (1416, '20189', 'ksz085');
INSERT INTO nuke_weatherzones VALUES (1417, '20191', 'ksz092');
INSERT INTO nuke_weatherzones VALUES (1418, '20193', 'ksz014');
INSERT INTO nuke_weatherzones VALUES (1419, '20195', 'ksz030');
INSERT INTO nuke_weatherzones VALUES (1420, '20197', 'ksz038');
INSERT INTO nuke_weatherzones VALUES (1421, '20199', 'ksz027');
INSERT INTO nuke_weatherzones VALUES (1422, '20201', 'ksz009');
INSERT INTO nuke_weatherzones VALUES (1423, '20203', 'ksz042');
INSERT INTO nuke_weatherzones VALUES (1424, '20205', 'ksz095');
INSERT INTO nuke_weatherzones VALUES (1425, '20207', 'ksz071');
INSERT INTO nuke_weatherzones VALUES (1426, '20209', 'ksz104');
INSERT INTO nuke_weatherzones VALUES (1427, '21001', 'kyz077');
INSERT INTO nuke_weatherzones VALUES (1428, '21003', 'kyz073');
INSERT INTO nuke_weatherzones VALUES (1429, '21005', 'kyz039');
INSERT INTO nuke_weatherzones VALUES (1430, '21007', 'kyz004');
INSERT INTO nuke_weatherzones VALUES (1431, '21009', 'kyz074');
INSERT INTO nuke_weatherzones VALUES (1432, '21011', 'kyz051');
INSERT INTO nuke_weatherzones VALUES (1433, '21013', 'kyz087');
INSERT INTO nuke_weatherzones VALUES (1434, '21015', 'kyz091');
INSERT INTO nuke_weatherzones VALUES (1435, '21017', 'kyz042');
INSERT INTO nuke_weatherzones VALUES (1436, '21019', 'kyz103');
INSERT INTO nuke_weatherzones VALUES (1437, '21021', 'kyz055');
INSERT INTO nuke_weatherzones VALUES (1438, '21023', 'kyz097');
INSERT INTO nuke_weatherzones VALUES (1439, '21025', 'kyz112');
INSERT INTO nuke_weatherzones VALUES (1440, '21027', 'kyz024');
INSERT INTO nuke_weatherzones VALUES (1441, '21029', 'kyz029');
INSERT INTO nuke_weatherzones VALUES (1442, '21031', 'kyz061');
INSERT INTO nuke_weatherzones VALUES (1443, '21033', 'kyz013');
INSERT INTO nuke_weatherzones VALUES (1444, '21035', 'kyz009');
INSERT INTO nuke_weatherzones VALUES (1445, '21037', 'kyz093');
INSERT INTO nuke_weatherzones VALUES (1446, '21039', 'kyz003');
INSERT INTO nuke_weatherzones VALUES (1447, '21041', 'kyz089');
INSERT INTO nuke_weatherzones VALUES (1448, '21043', 'kyz102');
INSERT INTO nuke_weatherzones VALUES (1449, '21045', 'kyz066');
INSERT INTO nuke_weatherzones VALUES (1450, '21047', 'kyz017');
INSERT INTO nuke_weatherzones VALUES (1451, '21049', 'kyz049');
INSERT INTO nuke_weatherzones VALUES (1452, '21051', 'kyz116');
INSERT INTO nuke_weatherzones VALUES (1453, '21053', 'kyz082');
INSERT INTO nuke_weatherzones VALUES (1454, '21055', 'kyz010');
INSERT INTO nuke_weatherzones VALUES (1455, '21057', 'kyz081');
INSERT INTO nuke_weatherzones VALUES (1456, '21059', 'kyz019');
INSERT INTO nuke_weatherzones VALUES (1457, '21061', 'kyz062');
INSERT INTO nuke_weatherzones VALUES (1458, '21063', 'kyz104');
INSERT INTO nuke_weatherzones VALUES (1459, '21065', 'kyz058');
INSERT INTO nuke_weatherzones VALUES (1460, '21067', 'kyz041');
INSERT INTO nuke_weatherzones VALUES (1461, '21069', 'kyz044');
INSERT INTO nuke_weatherzones VALUES (1462, '21071', 'kyz110');
INSERT INTO nuke_weatherzones VALUES (1463, '21073', 'kyz035');
INSERT INTO nuke_weatherzones VALUES (1464, '21075', 'kyz001');
INSERT INTO nuke_weatherzones VALUES (1465, '21077', 'kyz090');
INSERT INTO nuke_weatherzones VALUES (1466, '21079', 'kyz056');
INSERT INTO nuke_weatherzones VALUES (1467, '21081', 'kyz095');
INSERT INTO nuke_weatherzones VALUES (1468, '21083', 'kyz006');
INSERT INTO nuke_weatherzones VALUES (1469, '21085', 'kyz027');
INSERT INTO nuke_weatherzones VALUES (1470, '21087', 'kyz064');
INSERT INTO nuke_weatherzones VALUES (1471, '21089', 'kyz101');
INSERT INTO nuke_weatherzones VALUES (1472, '21091', 'kyz023');
INSERT INTO nuke_weatherzones VALUES (1473, '21093', 'kyz028');
INSERT INTO nuke_weatherzones VALUES (1474, '21095', 'kyz088');
INSERT INTO nuke_weatherzones VALUES (1475, '21097', 'kyz037');
INSERT INTO nuke_weatherzones VALUES (1476, '21099', 'kyz063');
INSERT INTO nuke_weatherzones VALUES (1477, '21101', 'kyz018');
INSERT INTO nuke_weatherzones VALUES (1478, '21103', 'kyz033');
INSERT INTO nuke_weatherzones VALUES (1479, '21105', 'kyz002');
INSERT INTO nuke_weatherzones VALUES (1480, '21107', 'kyz016');
INSERT INTO nuke_weatherzones VALUES (1481, '21109', 'kyz069');
INSERT INTO nuke_weatherzones VALUES (1482, '21111', 'kyz030');
INSERT INTO nuke_weatherzones VALUES (1483, '21113', 'kyz048');
INSERT INTO nuke_weatherzones VALUES (1484, '21115', 'kyz107');
INSERT INTO nuke_weatherzones VALUES (1485, '21117', 'kyz092');
INSERT INTO nuke_weatherzones VALUES (1486, '21119', 'kyz113');
INSERT INTO nuke_weatherzones VALUES (1487, '21121', 'kyz086');
INSERT INTO nuke_weatherzones VALUES (1488, '21123', 'kyz053');
INSERT INTO nuke_weatherzones VALUES (1489, '21125', 'kyz080');
INSERT INTO nuke_weatherzones VALUES (1490, '21127', 'kyz105');
INSERT INTO nuke_weatherzones VALUES (1491, '21129', 'kyz111');
INSERT INTO nuke_weatherzones VALUES (1492, '21131', 'kyz117');
INSERT INTO nuke_weatherzones VALUES (1493, '21133', 'kyz118');
INSERT INTO nuke_weatherzones VALUES (1494, '21135', 'kyz100');
INSERT INTO nuke_weatherzones VALUES (1495, '21137', 'kyz067');
INSERT INTO nuke_weatherzones VALUES (1496, '21139', 'kyz007');
INSERT INTO nuke_weatherzones VALUES (1497, '21141', 'kyz070');
INSERT INTO nuke_weatherzones VALUES (1498, '21143', 'kyz011');
INSERT INTO nuke_weatherzones VALUES (1499, '21145', 'kyz005');
INSERT INTO nuke_weatherzones VALUES (1500, '21147', 'kyz084');
INSERT INTO nuke_weatherzones VALUES (1501, '21149', 'kyz020');
INSERT INTO nuke_weatherzones VALUES (1502, '21151', 'kyz057');
INSERT INTO nuke_weatherzones VALUES (1503, '21153', 'kyz109');
INSERT INTO nuke_weatherzones VALUES (1504, '21155', 'kyz054');
INSERT INTO nuke_weatherzones VALUES (1505, '21157', 'kyz008');
INSERT INTO nuke_weatherzones VALUES (1506, '21159', 'kyz119');
INSERT INTO nuke_weatherzones VALUES (1507, '21161', 'kyz099');
INSERT INTO nuke_weatherzones VALUES (1508, '21163', 'kyz025');
INSERT INTO nuke_weatherzones VALUES (1509, '21165', 'kyz060');
INSERT INTO nuke_weatherzones VALUES (1510, '21167', 'kyz047');
INSERT INTO nuke_weatherzones VALUES (1511, '21169', 'kyz076');
INSERT INTO nuke_weatherzones VALUES (1512, '21171', 'kyz075');
INSERT INTO nuke_weatherzones VALUES (1513, '21173', 'kyz050');
INSERT INTO nuke_weatherzones VALUES (1514, '21175', 'kyz106');
INSERT INTO nuke_weatherzones VALUES (1515, '21177', 'kyz021');
INSERT INTO nuke_weatherzones VALUES (1516, '21179', 'kyz045');
INSERT INTO nuke_weatherzones VALUES (1517, '21181', 'kyz043');
INSERT INTO nuke_weatherzones VALUES (1518, '21183', 'kyz026');
INSERT INTO nuke_weatherzones VALUES (1519, '21185', 'kyz031');
INSERT INTO nuke_weatherzones VALUES (1520, '21187', 'kyz094');
INSERT INTO nuke_weatherzones VALUES (1521, '21189', 'kyz114');
INSERT INTO nuke_weatherzones VALUES (1522, '21191', 'kyz096');
INSERT INTO nuke_weatherzones VALUES (1523, '21193', 'kyz115');
INSERT INTO nuke_weatherzones VALUES (1524, '21195', 'kyz120');
INSERT INTO nuke_weatherzones VALUES (1525, '21197', 'kyz059');
INSERT INTO nuke_weatherzones VALUES (1526, '21199', 'kyz079');
INSERT INTO nuke_weatherzones VALUES (1527, '21201', 'kyz098');
INSERT INTO nuke_weatherzones VALUES (1528, '21203', 'kyz068');
INSERT INTO nuke_weatherzones VALUES (1529, '21205', 'kyz052');
INSERT INTO nuke_weatherzones VALUES (1530, '21207', 'kyz078');
INSERT INTO nuke_weatherzones VALUES (1531, '21209', 'kyz036');
INSERT INTO nuke_weatherzones VALUES (1532, '21211', 'kyz034');
INSERT INTO nuke_weatherzones VALUES (1533, '21213', 'kyz072');
INSERT INTO nuke_weatherzones VALUES (1534, '21215', 'kyz038');
INSERT INTO nuke_weatherzones VALUES (1535, '21217', 'kyz065');
INSERT INTO nuke_weatherzones VALUES (1536, '21219', 'kyz022');
INSERT INTO nuke_weatherzones VALUES (1537, '21221', 'kyz012');
INSERT INTO nuke_weatherzones VALUES (1538, '21223', 'kyz032');
INSERT INTO nuke_weatherzones VALUES (1539, '21225', 'kyz014');
INSERT INTO nuke_weatherzones VALUES (1540, '21227', 'kyz071');
INSERT INTO nuke_weatherzones VALUES (1541, '21229', 'kyz046');
INSERT INTO nuke_weatherzones VALUES (1542, '21231', 'kyz083');
INSERT INTO nuke_weatherzones VALUES (1543, '21233', 'kyz015');
INSERT INTO nuke_weatherzones VALUES (1544, '21235', 'kyz085');
INSERT INTO nuke_weatherzones VALUES (1545, '21237', 'kyz108');
INSERT INTO nuke_weatherzones VALUES (1546, '21239', 'kyz040');
INSERT INTO nuke_weatherzones VALUES (1547, '22001', 'laz043');
INSERT INTO nuke_weatherzones VALUES (1548, '22003', 'laz031');
INSERT INTO nuke_weatherzones VALUES (1549, '22005', 'laz049');
INSERT INTO nuke_weatherzones VALUES (1550, '22007', 'laz056');
INSERT INTO nuke_weatherzones VALUES (1551, '22009', 'laz029');
INSERT INTO nuke_weatherzones VALUES (1552, '22011', 'laz030');
INSERT INTO nuke_weatherzones VALUES (1553, '22013', 'laz012');
INSERT INTO nuke_weatherzones VALUES (1554, '22015', 'laz002');
INSERT INTO nuke_weatherzones VALUES (1555, '22017', 'laz001');
INSERT INTO nuke_weatherzones VALUES (1556, '22019', 'laz041');
INSERT INTO nuke_weatherzones VALUES (1557, '22021', 'laz021');
INSERT INTO nuke_weatherzones VALUES (1558, '22023', 'laz051');
INSERT INTO nuke_weatherzones VALUES (1559, '22025', 'laz024');
INSERT INTO nuke_weatherzones VALUES (1560, '22027', 'laz004');
INSERT INTO nuke_weatherzones VALUES (1561, '22029', 'laz026');
INSERT INTO nuke_weatherzones VALUES (1562, '22031', 'laz010');
INSERT INTO nuke_weatherzones VALUES (1563, '22033', 'laz048');
INSERT INTO nuke_weatherzones VALUES (1564, '22035', 'laz009');
INSERT INTO nuke_weatherzones VALUES (1565, '22037', 'laz036');
INSERT INTO nuke_weatherzones VALUES (1566, '22039', 'laz032');
INSERT INTO nuke_weatherzones VALUES (1567, '22041', 'laz023');
INSERT INTO nuke_weatherzones VALUES (1568, '22043', 'laz020');
INSERT INTO nuke_weatherzones VALUES (1569, '22045', 'laz053');
INSERT INTO nuke_weatherzones VALUES (1570, '22047', 'laz046');
INSERT INTO nuke_weatherzones VALUES (1571, '22049', 'laz013');
INSERT INTO nuke_weatherzones VALUES (1572, '22051', 'laz061');
INSERT INTO nuke_weatherzones VALUES (1573, '22051', 'laz068');
INSERT INTO nuke_weatherzones VALUES (1574, '22053', 'laz042');
INSERT INTO nuke_weatherzones VALUES (1575, '22055', 'laz044');
INSERT INTO nuke_weatherzones VALUES (1576, '22057', 'laz059');
INSERT INTO nuke_weatherzones VALUES (1577, '22057', 'laz067');
INSERT INTO nuke_weatherzones VALUES (1578, '22059', 'laz022');
INSERT INTO nuke_weatherzones VALUES (1579, '22061', 'laz005');
INSERT INTO nuke_weatherzones VALUES (1580, '22063', 'laz050');
INSERT INTO nuke_weatherzones VALUES (1581, '22065', 'laz016');
INSERT INTO nuke_weatherzones VALUES (1582, '22067', 'laz007');
INSERT INTO nuke_weatherzones VALUES (1583, '22069', 'laz018');
INSERT INTO nuke_weatherzones VALUES (1584, '22071', 'laz062');
INSERT INTO nuke_weatherzones VALUES (1585, '22073', 'laz014');
INSERT INTO nuke_weatherzones VALUES (1586, '22075', 'laz063');
INSERT INTO nuke_weatherzones VALUES (1587, '22075', 'laz069');
INSERT INTO nuke_weatherzones VALUES (1588, '22077', 'laz034');
INSERT INTO nuke_weatherzones VALUES (1589, '22079', 'laz028');
INSERT INTO nuke_weatherzones VALUES (1590, '22081', 'laz011');
INSERT INTO nuke_weatherzones VALUES (1591, '22083', 'laz015');
INSERT INTO nuke_weatherzones VALUES (1592, '22085', 'laz017');
INSERT INTO nuke_weatherzones VALUES (1593, '22087', 'laz064');
INSERT INTO nuke_weatherzones VALUES (1594, '22087', 'laz070');
INSERT INTO nuke_weatherzones VALUES (1595, '22089', 'laz060');
INSERT INTO nuke_weatherzones VALUES (1596, '22091', 'laz037');
INSERT INTO nuke_weatherzones VALUES (1597, '22093', 'laz057');
INSERT INTO nuke_weatherzones VALUES (1598, '22095', 'laz058');
INSERT INTO nuke_weatherzones VALUES (1599, '22097', 'laz033');
INSERT INTO nuke_weatherzones VALUES (1600, '22099', 'laz045');
INSERT INTO nuke_weatherzones VALUES (1601, '22099', 'laz055');
INSERT INTO nuke_weatherzones VALUES (1602, '22101', 'laz054');
INSERT INTO nuke_weatherzones VALUES (1603, '22103', 'laz040');
INSERT INTO nuke_weatherzones VALUES (1604, '22105', 'laz038');
INSERT INTO nuke_weatherzones VALUES (1605, '22107', 'laz025');
INSERT INTO nuke_weatherzones VALUES (1606, '22109', 'laz065');
INSERT INTO nuke_weatherzones VALUES (1607, '22109', 'laz066');
INSERT INTO nuke_weatherzones VALUES (1608, '22111', 'laz006');
INSERT INTO nuke_weatherzones VALUES (1609, '22113', 'laz052');
INSERT INTO nuke_weatherzones VALUES (1610, '22115', 'laz027');
INSERT INTO nuke_weatherzones VALUES (1611, '22117', 'laz039');
INSERT INTO nuke_weatherzones VALUES (1612, '22119', 'laz003');
INSERT INTO nuke_weatherzones VALUES (1613, '22121', 'laz047');
INSERT INTO nuke_weatherzones VALUES (1614, '22123', 'laz008');
INSERT INTO nuke_weatherzones VALUES (1615, '22125', 'laz035');
INSERT INTO nuke_weatherzones VALUES (1616, '22127', 'laz019');
INSERT INTO nuke_weatherzones VALUES (1617, '23001', 'mez020');
INSERT INTO nuke_weatherzones VALUES (1618, '23003', 'mez001');
INSERT INTO nuke_weatherzones VALUES (1619, '23003', 'mez002');
INSERT INTO nuke_weatherzones VALUES (1620, '23003', 'mez006');
INSERT INTO nuke_weatherzones VALUES (1621, '23005', 'mez019');
INSERT INTO nuke_weatherzones VALUES (1622, '23005', 'mez024');
INSERT INTO nuke_weatherzones VALUES (1623, '23007', 'mez008');
INSERT INTO nuke_weatherzones VALUES (1624, '23007', 'mez013');
INSERT INTO nuke_weatherzones VALUES (1625, '23009', 'mez016');
INSERT INTO nuke_weatherzones VALUES (1626, '23009', 'mez029');
INSERT INTO nuke_weatherzones VALUES (1627, '23011', 'mez021');
INSERT INTO nuke_weatherzones VALUES (1628, '23013', 'mez027');
INSERT INTO nuke_weatherzones VALUES (1629, '23015', 'mez026');
INSERT INTO nuke_weatherzones VALUES (1630, '23017', 'mez007');
INSERT INTO nuke_weatherzones VALUES (1631, '23017', 'mez012');
INSERT INTO nuke_weatherzones VALUES (1632, '23019', 'mez005');
INSERT INTO nuke_weatherzones VALUES (1633, '23019', 'mez011');
INSERT INTO nuke_weatherzones VALUES (1634, '23019', 'mez015');
INSERT INTO nuke_weatherzones VALUES (1635, '23021', 'mez004');
INSERT INTO nuke_weatherzones VALUES (1636, '23021', 'mez010');
INSERT INTO nuke_weatherzones VALUES (1637, '23021', 'mez031');
INSERT INTO nuke_weatherzones VALUES (1638, '23023', 'mez025');
INSERT INTO nuke_weatherzones VALUES (1639, '23025', 'mez003');
INSERT INTO nuke_weatherzones VALUES (1640, '23025', 'mez009');
INSERT INTO nuke_weatherzones VALUES (1641, '23025', 'mez014');
INSERT INTO nuke_weatherzones VALUES (1642, '23027', 'mez022');
INSERT INTO nuke_weatherzones VALUES (1643, '23027', 'mez028');
INSERT INTO nuke_weatherzones VALUES (1644, '23029', 'mez017');
INSERT INTO nuke_weatherzones VALUES (1645, '23029', 'mez030');
INSERT INTO nuke_weatherzones VALUES (1646, '23029', 'mez032');
INSERT INTO nuke_weatherzones VALUES (1647, '23031', 'mez018');
INSERT INTO nuke_weatherzones VALUES (1648, '23031', 'mez023');
INSERT INTO nuke_weatherzones VALUES (1649, '24001', 'mdz002');
INSERT INTO nuke_weatherzones VALUES (1650, '24003', 'mdz014');
INSERT INTO nuke_weatherzones VALUES (1651, '24005', 'mdz006');
INSERT INTO nuke_weatherzones VALUES (1652, '24005', 'mdz011');
INSERT INTO nuke_weatherzones VALUES (1653, '24009', 'mdz018');
INSERT INTO nuke_weatherzones VALUES (1654, '24011', 'mdz020');
INSERT INTO nuke_weatherzones VALUES (1655, '24013', 'mdz005');
INSERT INTO nuke_weatherzones VALUES (1656, '24015', 'mdz008');
INSERT INTO nuke_weatherzones VALUES (1657, '24017', 'mdz016');
INSERT INTO nuke_weatherzones VALUES (1658, '24019', 'mdz021');
INSERT INTO nuke_weatherzones VALUES (1659, '24021', 'mdz004');
INSERT INTO nuke_weatherzones VALUES (1660, '24023', 'mdz001');
INSERT INTO nuke_weatherzones VALUES (1661, '24025', 'mdz007');
INSERT INTO nuke_weatherzones VALUES (1662, '24027', 'mdz010');
INSERT INTO nuke_weatherzones VALUES (1663, '24029', 'mdz012');
INSERT INTO nuke_weatherzones VALUES (1664, '24031', 'mdz009');
INSERT INTO nuke_weatherzones VALUES (1665, '24033', 'mdz013');
INSERT INTO nuke_weatherzones VALUES (1666, '24035', 'mdz015');
INSERT INTO nuke_weatherzones VALUES (1667, '24037', 'mdz017');
INSERT INTO nuke_weatherzones VALUES (1668, '24039', 'mdz023');
INSERT INTO nuke_weatherzones VALUES (1669, '24041', 'mdz019');
INSERT INTO nuke_weatherzones VALUES (1670, '24043', 'mdz003');
INSERT INTO nuke_weatherzones VALUES (1671, '24045', 'mdz022');
INSERT INTO nuke_weatherzones VALUES (1672, '24047', 'mdz024');
INSERT INTO nuke_weatherzones VALUES (1673, '24047', 'mdz025');
INSERT INTO nuke_weatherzones VALUES (1674, '24510', 'mdz011');
INSERT INTO nuke_weatherzones VALUES (1675, '25001', 'maz022');
INSERT INTO nuke_weatherzones VALUES (1676, '25003', 'maz001');
INSERT INTO nuke_weatherzones VALUES (1677, '25003', 'maz025');
INSERT INTO nuke_weatherzones VALUES (1678, '25005', 'maz017');
INSERT INTO nuke_weatherzones VALUES (1679, '25005', 'maz020');
INSERT INTO nuke_weatherzones VALUES (1680, '25007', 'maz023');
INSERT INTO nuke_weatherzones VALUES (1681, '25009', 'maz006');
INSERT INTO nuke_weatherzones VALUES (1682, '25009', 'maz007');
INSERT INTO nuke_weatherzones VALUES (1683, '25011', 'maz002');
INSERT INTO nuke_weatherzones VALUES (1684, '25011', 'maz003');
INSERT INTO nuke_weatherzones VALUES (1685, '25013', 'maz009');
INSERT INTO nuke_weatherzones VALUES (1686, '25013', 'maz011');
INSERT INTO nuke_weatherzones VALUES (1687, '25015', 'maz008');
INSERT INTO nuke_weatherzones VALUES (1688, '25015', 'maz010');
INSERT INTO nuke_weatherzones VALUES (1689, '25017', 'maz005');
INSERT INTO nuke_weatherzones VALUES (1690, '25017', 'maz014');
INSERT INTO nuke_weatherzones VALUES (1691, '25017', 'maz026');
INSERT INTO nuke_weatherzones VALUES (1692, '25019', 'maz024');
INSERT INTO nuke_weatherzones VALUES (1693, '25021', 'maz013');
INSERT INTO nuke_weatherzones VALUES (1694, '25021', 'maz015');
INSERT INTO nuke_weatherzones VALUES (1695, '25021', 'maz016');
INSERT INTO nuke_weatherzones VALUES (1696, '25021', 'maz019');
INSERT INTO nuke_weatherzones VALUES (1697, '25023', 'maz018');
INSERT INTO nuke_weatherzones VALUES (1698, '25023', 'maz019');
INSERT INTO nuke_weatherzones VALUES (1699, '25023', 'maz021');
INSERT INTO nuke_weatherzones VALUES (1700, '25025', 'maz015');
INSERT INTO nuke_weatherzones VALUES (1701, '25027', 'maz004');
INSERT INTO nuke_weatherzones VALUES (1702, '25027', 'maz012');
INSERT INTO nuke_weatherzones VALUES (1703, '26001', 'miz030');
INSERT INTO nuke_weatherzones VALUES (1704, '26003', 'miz006');
INSERT INTO nuke_weatherzones VALUES (1705, '26005', 'miz064');
INSERT INTO nuke_weatherzones VALUES (1706, '26007', 'miz024');
INSERT INTO nuke_weatherzones VALUES (1707, '26009', 'miz021');
INSERT INTO nuke_weatherzones VALUES (1708, '26011', 'miz042');
INSERT INTO nuke_weatherzones VALUES (1709, '26013', 'miz004');
INSERT INTO nuke_weatherzones VALUES (1710, '26015', 'miz065');
INSERT INTO nuke_weatherzones VALUES (1711, '26017', 'miz048');
INSERT INTO nuke_weatherzones VALUES (1712, '26019', 'miz025');
INSERT INTO nuke_weatherzones VALUES (1713, '26021', 'miz077');
INSERT INTO nuke_weatherzones VALUES (1714, '26023', 'miz080');
INSERT INTO nuke_weatherzones VALUES (1715, '26025', 'miz073');
INSERT INTO nuke_weatherzones VALUES (1716, '26027', 'miz078');
INSERT INTO nuke_weatherzones VALUES (1717, '26029', 'miz019');
INSERT INTO nuke_weatherzones VALUES (1718, '26031', 'miz017');
INSERT INTO nuke_weatherzones VALUES (1719, '26033', 'miz008');
INSERT INTO nuke_weatherzones VALUES (1720, '26035', 'miz040');
INSERT INTO nuke_weatherzones VALUES (1721, '26037', 'miz059');
INSERT INTO nuke_weatherzones VALUES (1722, '26039', 'miz028');
INSERT INTO nuke_weatherzones VALUES (1723, '26041', 'miz013');
INSERT INTO nuke_weatherzones VALUES (1724, '26043', 'miz011');
INSERT INTO nuke_weatherzones VALUES (1725, '26045', 'miz066');
INSERT INTO nuke_weatherzones VALUES (1726, '26047', 'miz016');
INSERT INTO nuke_weatherzones VALUES (1727, '26049', 'miz061');
INSERT INTO nuke_weatherzones VALUES (1728, '26051', 'miz041');
INSERT INTO nuke_weatherzones VALUES (1729, '26053', 'miz009');
INSERT INTO nuke_weatherzones VALUES (1730, '26055', 'miz026');
INSERT INTO nuke_weatherzones VALUES (1731, '26057', 'miz052');
INSERT INTO nuke_weatherzones VALUES (1732, '26059', 'miz081');
INSERT INTO nuke_weatherzones VALUES (1733, '26061', 'miz003');
INSERT INTO nuke_weatherzones VALUES (1734, '26061', 'miz084');
INSERT INTO nuke_weatherzones VALUES (1735, '26063', 'miz049');
INSERT INTO nuke_weatherzones VALUES (1736, '26065', 'miz067');
INSERT INTO nuke_weatherzones VALUES (1737, '26067', 'miz058');
INSERT INTO nuke_weatherzones VALUES (1738, '26069', 'miz036');
INSERT INTO nuke_weatherzones VALUES (1739, '26071', 'miz010');
INSERT INTO nuke_weatherzones VALUES (1740, '26073', 'miz046');
INSERT INTO nuke_weatherzones VALUES (1741, '26075', 'miz074');
INSERT INTO nuke_weatherzones VALUES (1742, '26077', 'miz072');
INSERT INTO nuke_weatherzones VALUES (1743, '26079', 'miz027');
INSERT INTO nuke_weatherzones VALUES (1744, '26081', 'miz057');
INSERT INTO nuke_weatherzones VALUES (1745, '26083', 'miz001');
INSERT INTO nuke_weatherzones VALUES (1746, '26085', 'miz038');
INSERT INTO nuke_weatherzones VALUES (1747, '26087', 'miz062');
INSERT INTO nuke_weatherzones VALUES (1748, '26089', 'miz020');
INSERT INTO nuke_weatherzones VALUES (1749, '26091', 'miz082');
INSERT INTO nuke_weatherzones VALUES (1750, '26093', 'miz068');
INSERT INTO nuke_weatherzones VALUES (1751, '26095', 'miz007');
INSERT INTO nuke_weatherzones VALUES (1752, '26097', 'miz015');
INSERT INTO nuke_weatherzones VALUES (1753, '26099', 'miz070');
INSERT INTO nuke_weatherzones VALUES (1754, '26101', 'miz031');
INSERT INTO nuke_weatherzones VALUES (1755, '26103', 'miz005');
INSERT INTO nuke_weatherzones VALUES (1756, '26105', 'miz037');
INSERT INTO nuke_weatherzones VALUES (1757, '26107', 'miz045');
INSERT INTO nuke_weatherzones VALUES (1758, '26109', 'miz012');
INSERT INTO nuke_weatherzones VALUES (1759, '26111', 'miz047');
INSERT INTO nuke_weatherzones VALUES (1760, '26113', 'miz033');
INSERT INTO nuke_weatherzones VALUES (1761, '26115', 'miz083');
INSERT INTO nuke_weatherzones VALUES (1762, '26117', 'miz051');
INSERT INTO nuke_weatherzones VALUES (1763, '26119', 'miz023');
INSERT INTO nuke_weatherzones VALUES (1764, '26121', 'miz050');
INSERT INTO nuke_weatherzones VALUES (1765, '26123', 'miz044');
INSERT INTO nuke_weatherzones VALUES (1766, '26125', 'miz069');
INSERT INTO nuke_weatherzones VALUES (1767, '26127', 'miz043');
INSERT INTO nuke_weatherzones VALUES (1768, '26129', 'miz035');
INSERT INTO nuke_weatherzones VALUES (1769, '26131', 'miz002');
INSERT INTO nuke_weatherzones VALUES (1770, '26133', 'miz039');
INSERT INTO nuke_weatherzones VALUES (1771, '26135', 'miz029');
INSERT INTO nuke_weatherzones VALUES (1772, '26137', 'miz022');
INSERT INTO nuke_weatherzones VALUES (1773, '26139', 'miz056');
INSERT INTO nuke_weatherzones VALUES (1774, '26141', 'miz018');
INSERT INTO nuke_weatherzones VALUES (1775, '26143', 'miz034');
INSERT INTO nuke_weatherzones VALUES (1776, '26145', 'miz053');
INSERT INTO nuke_weatherzones VALUES (1777, '26147', 'miz063');
INSERT INTO nuke_weatherzones VALUES (1778, '26149', 'miz079');
INSERT INTO nuke_weatherzones VALUES (1779, '26151', 'miz055');
INSERT INTO nuke_weatherzones VALUES (1780, '26153', 'miz014');
INSERT INTO nuke_weatherzones VALUES (1781, '26153', 'miz085');
INSERT INTO nuke_weatherzones VALUES (1782, '26155', 'miz060');
INSERT INTO nuke_weatherzones VALUES (1783, '26157', 'miz054');
INSERT INTO nuke_weatherzones VALUES (1784, '26159', 'miz071');
INSERT INTO nuke_weatherzones VALUES (1785, '26161', 'miz075');
INSERT INTO nuke_weatherzones VALUES (1786, '26163', 'miz076');
INSERT INTO nuke_weatherzones VALUES (1787, '26165', 'miz032');
INSERT INTO nuke_weatherzones VALUES (1788, '27001', 'mnz035');
INSERT INTO nuke_weatherzones VALUES (1789, '27001', 'mnz036');
INSERT INTO nuke_weatherzones VALUES (1790, '27003', 'mnz061');
INSERT INTO nuke_weatherzones VALUES (1791, '27005', 'mnz027');
INSERT INTO nuke_weatherzones VALUES (1792, '27005', 'mnz028');
INSERT INTO nuke_weatherzones VALUES (1793, '27007', 'mnz009');
INSERT INTO nuke_weatherzones VALUES (1794, '27007', 'mnz017');
INSERT INTO nuke_weatherzones VALUES (1795, '27009', 'mnz050');
INSERT INTO nuke_weatherzones VALUES (1796, '27011', 'mnz046');
INSERT INTO nuke_weatherzones VALUES (1797, '27013', 'mnz083');
INSERT INTO nuke_weatherzones VALUES (1798, '27015', 'mnz074');
INSERT INTO nuke_weatherzones VALUES (1799, '27017', 'mnz037');
INSERT INTO nuke_weatherzones VALUES (1800, '27019', 'mnz068');
INSERT INTO nuke_weatherzones VALUES (1801, '27021', 'mnz025');
INSERT INTO nuke_weatherzones VALUES (1802, '27021', 'mnz033');
INSERT INTO nuke_weatherzones VALUES (1803, '27023', 'mnz056');
INSERT INTO nuke_weatherzones VALUES (1804, '27025', 'mnz053');
INSERT INTO nuke_weatherzones VALUES (1805, '27027', 'mnz003');
INSERT INTO nuke_weatherzones VALUES (1806, '27029', 'mnz016');
INSERT INTO nuke_weatherzones VALUES (1807, '27029', 'mnz023');
INSERT INTO nuke_weatherzones VALUES (1808, '27031', 'mnz012');
INSERT INTO nuke_weatherzones VALUES (1809, '27031', 'mnz021');
INSERT INTO nuke_weatherzones VALUES (1810, '27033', 'mnz081');
INSERT INTO nuke_weatherzones VALUES (1811, '27035', 'mnz034');
INSERT INTO nuke_weatherzones VALUES (1812, '27037', 'mnz070');
INSERT INTO nuke_weatherzones VALUES (1813, '27039', 'mnz086');
INSERT INTO nuke_weatherzones VALUES (1814, '27041', 'mnz041');
INSERT INTO nuke_weatherzones VALUES (1815, '27043', 'mnz092');
INSERT INTO nuke_weatherzones VALUES (1816, '27045', 'mnz095');
INSERT INTO nuke_weatherzones VALUES (1817, '27047', 'mnz093');
INSERT INTO nuke_weatherzones VALUES (1818, '27049', 'mnz078');
INSERT INTO nuke_weatherzones VALUES (1819, '27051', 'mnz040');
INSERT INTO nuke_weatherzones VALUES (1820, '27053', 'mnz060');
INSERT INTO nuke_weatherzones VALUES (1821, '27055', 'mnz096');
INSERT INTO nuke_weatherzones VALUES (1822, '27057', 'mnz024');
INSERT INTO nuke_weatherzones VALUES (1823, '27059', 'mnz052');
INSERT INTO nuke_weatherzones VALUES (1824, '27061', 'mnz018');
INSERT INTO nuke_weatherzones VALUES (1825, '27061', 'mnz026');
INSERT INTO nuke_weatherzones VALUES (1826, '27063', 'mnz090');
INSERT INTO nuke_weatherzones VALUES (1827, '27065', 'mnz045');
INSERT INTO nuke_weatherzones VALUES (1828, '27067', 'mnz057');
INSERT INTO nuke_weatherzones VALUES (1829, '27069', 'mnz004');
INSERT INTO nuke_weatherzones VALUES (1830, '27071', 'mnz010');
INSERT INTO nuke_weatherzones VALUES (1831, '27073', 'mnz054');
INSERT INTO nuke_weatherzones VALUES (1832, '27075', 'mnz012');
INSERT INTO nuke_weatherzones VALUES (1833, '27075', 'mnz020');
INSERT INTO nuke_weatherzones VALUES (1834, '27077', 'mnz006');
INSERT INTO nuke_weatherzones VALUES (1835, '27079', 'mnz076');
INSERT INTO nuke_weatherzones VALUES (1836, '27081', 'mnz071');
INSERT INTO nuke_weatherzones VALUES (1837, '27083', 'mnz072');
INSERT INTO nuke_weatherzones VALUES (1838, '27085', 'mnz066');
INSERT INTO nuke_weatherzones VALUES (1839, '27087', 'mnz022');
INSERT INTO nuke_weatherzones VALUES (1840, '27089', 'mnz007');
INSERT INTO nuke_weatherzones VALUES (1841, '27089', 'mnz008');
INSERT INTO nuke_weatherzones VALUES (1842, '27091', 'mnz091');
INSERT INTO nuke_weatherzones VALUES (1843, '27093', 'mnz058');
INSERT INTO nuke_weatherzones VALUES (1844, '27095', 'mnz044');
INSERT INTO nuke_weatherzones VALUES (1845, '27097', 'mnz043');
INSERT INTO nuke_weatherzones VALUES (1846, '27099', 'mnz094');
INSERT INTO nuke_weatherzones VALUES (1847, '27101', 'mnz080');
INSERT INTO nuke_weatherzones VALUES (1848, '27103', 'mnz075');
INSERT INTO nuke_weatherzones VALUES (1849, '27105', 'mnz089');
INSERT INTO nuke_weatherzones VALUES (1850, '27107', 'mnz002');
INSERT INTO nuke_weatherzones VALUES (1851, '27109', 'mnz087');
INSERT INTO nuke_weatherzones VALUES (1852, '27111', 'mnz030');
INSERT INTO nuke_weatherzones VALUES (1853, '27111', 'mnz031');
INSERT INTO nuke_weatherzones VALUES (1854, '27113', 'mnz013');
INSERT INTO nuke_weatherzones VALUES (1855, '27115', 'mnz038');
INSERT INTO nuke_weatherzones VALUES (1856, '27117', 'mnz097');
INSERT INTO nuke_weatherzones VALUES (1857, '27119', 'mnz001');
INSERT INTO nuke_weatherzones VALUES (1858, '27119', 'mnz015');
INSERT INTO nuke_weatherzones VALUES (1859, '27121', 'mnz048');
INSERT INTO nuke_weatherzones VALUES (1860, '27123', 'mnz062');
INSERT INTO nuke_weatherzones VALUES (1861, '27125', 'mnz014');
INSERT INTO nuke_weatherzones VALUES (1862, '27127', 'mnz073');
INSERT INTO nuke_weatherzones VALUES (1863, '27129', 'mnz065');
INSERT INTO nuke_weatherzones VALUES (1864, '27131', 'mnz077');
INSERT INTO nuke_weatherzones VALUES (1865, '27133', 'mnz098');
INSERT INTO nuke_weatherzones VALUES (1866, '27135', 'mnz005');
INSERT INTO nuke_weatherzones VALUES (1867, '27137', 'mnz011');
INSERT INTO nuke_weatherzones VALUES (1868, '27137', 'mnz019');
INSERT INTO nuke_weatherzones VALUES (1869, '27137', 'mnz020');
INSERT INTO nuke_weatherzones VALUES (1870, '27137', 'mnz037');
INSERT INTO nuke_weatherzones VALUES (1871, '27139', 'mnz069');
INSERT INTO nuke_weatherzones VALUES (1872, '27141', 'mnz051');
INSERT INTO nuke_weatherzones VALUES (1873, '27143', 'mnz067');
INSERT INTO nuke_weatherzones VALUES (1874, '27145', 'mnz049');
INSERT INTO nuke_weatherzones VALUES (1875, '27147', 'mnz085');
INSERT INTO nuke_weatherzones VALUES (1876, '27149', 'mnz047');
INSERT INTO nuke_weatherzones VALUES (1877, '27151', 'mnz055');
INSERT INTO nuke_weatherzones VALUES (1878, '27153', 'mnz042');
INSERT INTO nuke_weatherzones VALUES (1879, '27155', 'mnz039');
INSERT INTO nuke_weatherzones VALUES (1880, '27157', 'mnz079');
INSERT INTO nuke_weatherzones VALUES (1881, '27159', 'mnz032');
INSERT INTO nuke_weatherzones VALUES (1882, '27161', 'mnz084');
INSERT INTO nuke_weatherzones VALUES (1883, '27163', 'mnz063');
INSERT INTO nuke_weatherzones VALUES (1884, '27165', 'mnz082');
INSERT INTO nuke_weatherzones VALUES (1885, '27167', 'mnz029');
INSERT INTO nuke_weatherzones VALUES (1886, '27169', 'mnz088');
INSERT INTO nuke_weatherzones VALUES (1887, '27171', 'mnz059');
INSERT INTO nuke_weatherzones VALUES (1888, '27173', 'mnz064');
INSERT INTO nuke_weatherzones VALUES (1889, '28001', 'msz060');
INSERT INTO nuke_weatherzones VALUES (1890, '28003', 'msz005');
INSERT INTO nuke_weatherzones VALUES (1891, '28005', 'msz069');
INSERT INTO nuke_weatherzones VALUES (1892, '28007', 'msz037');
INSERT INTO nuke_weatherzones VALUES (1893, '28009', 'msz003');
INSERT INTO nuke_weatherzones VALUES (1894, '28011', 'msz018');
INSERT INTO nuke_weatherzones VALUES (1895, '28013', 'msz022');
INSERT INTO nuke_weatherzones VALUES (1896, '28015', 'msz027');
INSERT INTO nuke_weatherzones VALUES (1897, '28017', 'msz023');
INSERT INTO nuke_weatherzones VALUES (1898, '28019', 'msz032');
INSERT INTO nuke_weatherzones VALUES (1899, '28021', 'msz053');
INSERT INTO nuke_weatherzones VALUES (1900, '28023', 'msz058');
INSERT INTO nuke_weatherzones VALUES (1901, '28025', 'msz030');
INSERT INTO nuke_weatherzones VALUES (1902, '28027', 'msz010');
INSERT INTO nuke_weatherzones VALUES (1903, '28029', 'msz054');
INSERT INTO nuke_weatherzones VALUES (1904, '28031', 'msz065');
INSERT INTO nuke_weatherzones VALUES (1905, '28033', 'msz001');
INSERT INTO nuke_weatherzones VALUES (1906, '28035', 'msz074');
INSERT INTO nuke_weatherzones VALUES (1907, '28037', 'msz061');
INSERT INTO nuke_weatherzones VALUES (1908, '28039', 'msz079');
INSERT INTO nuke_weatherzones VALUES (1909, '28041', 'msz076');
INSERT INTO nuke_weatherzones VALUES (1910, '28043', 'msz026');
INSERT INTO nuke_weatherzones VALUES (1911, '28045', 'msz080');
INSERT INTO nuke_weatherzones VALUES (1912, '28047', 'msz081');
INSERT INTO nuke_weatherzones VALUES (1913, '28049', 'msz048');
INSERT INTO nuke_weatherzones VALUES (1914, '28051', 'msz036');
INSERT INTO nuke_weatherzones VALUES (1915, '28053', 'msz035');
INSERT INTO nuke_weatherzones VALUES (1916, '28055', 'msz040');
INSERT INTO nuke_weatherzones VALUES (1917, '28057', 'msz017');
INSERT INTO nuke_weatherzones VALUES (1918, '28059', 'msz082');
INSERT INTO nuke_weatherzones VALUES (1919, '28061', 'msz057');
INSERT INTO nuke_weatherzones VALUES (1920, '28063', 'msz059');
INSERT INTO nuke_weatherzones VALUES (1921, '28065', 'msz064');
INSERT INTO nuke_weatherzones VALUES (1922, '28067', 'msz066');
INSERT INTO nuke_weatherzones VALUES (1923, '28069', 'msz046');
INSERT INTO nuke_weatherzones VALUES (1924, '28071', 'msz013');
INSERT INTO nuke_weatherzones VALUES (1925, '28073', 'msz073');
INSERT INTO nuke_weatherzones VALUES (1926, '28075', 'msz052');
INSERT INTO nuke_weatherzones VALUES (1927, '28077', 'msz063');
INSERT INTO nuke_weatherzones VALUES (1928, '28079', 'msz044');
INSERT INTO nuke_weatherzones VALUES (1929, '28081', 'msz016');
INSERT INTO nuke_weatherzones VALUES (1930, '28083', 'msz025');
INSERT INTO nuke_weatherzones VALUES (1931, '28085', 'msz062');
INSERT INTO nuke_weatherzones VALUES (1932, '28087', 'msz031');
INSERT INTO nuke_weatherzones VALUES (1933, '28089', 'msz043');
INSERT INTO nuke_weatherzones VALUES (1934, '28091', 'msz072');
INSERT INTO nuke_weatherzones VALUES (1935, '28093', 'msz002');
INSERT INTO nuke_weatherzones VALUES (1936, '28095', 'msz024');
INSERT INTO nuke_weatherzones VALUES (1937, '28097', 'msz028');
INSERT INTO nuke_weatherzones VALUES (1938, '28099', 'msz045');
INSERT INTO nuke_weatherzones VALUES (1939, '28101', 'msz051');
INSERT INTO nuke_weatherzones VALUES (1940, '28103', 'msz039');
INSERT INTO nuke_weatherzones VALUES (1941, '28105', 'msz033');
INSERT INTO nuke_weatherzones VALUES (1942, '28107', 'msz012');
INSERT INTO nuke_weatherzones VALUES (1943, '28109', 'msz077');
INSERT INTO nuke_weatherzones VALUES (1944, '28111', 'msz075');
INSERT INTO nuke_weatherzones VALUES (1945, '28113', 'msz070');
INSERT INTO nuke_weatherzones VALUES (1946, '28115', 'msz015');
INSERT INTO nuke_weatherzones VALUES (1947, '28117', 'msz009');
INSERT INTO nuke_weatherzones VALUES (1948, '28119', 'msz011');
INSERT INTO nuke_weatherzones VALUES (1949, '28121', 'msz049');
INSERT INTO nuke_weatherzones VALUES (1950, '28123', 'msz050');
INSERT INTO nuke_weatherzones VALUES (1951, '28125', 'msz041');
INSERT INTO nuke_weatherzones VALUES (1952, '28127', 'msz055');
INSERT INTO nuke_weatherzones VALUES (1953, '28129', 'msz056');
INSERT INTO nuke_weatherzones VALUES (1954, '28131', 'msz078');
INSERT INTO nuke_weatherzones VALUES (1955, '28133', 'msz019');
INSERT INTO nuke_weatherzones VALUES (1956, '28135', 'msz020');
INSERT INTO nuke_weatherzones VALUES (1957, '28137', 'msz008');
INSERT INTO nuke_weatherzones VALUES (1958, '28139', 'msz004');
INSERT INTO nuke_weatherzones VALUES (1959, '28141', 'msz006');
INSERT INTO nuke_weatherzones VALUES (1960, '28143', 'msz007');
INSERT INTO nuke_weatherzones VALUES (1961, '28145', 'msz014');
INSERT INTO nuke_weatherzones VALUES (1962, '28147', 'msz071');
INSERT INTO nuke_weatherzones VALUES (1963, '28149', 'msz047');
INSERT INTO nuke_weatherzones VALUES (1964, '28151', 'msz034');
INSERT INTO nuke_weatherzones VALUES (1965, '28153', 'msz067');
INSERT INTO nuke_weatherzones VALUES (1966, '28155', 'msz029');
INSERT INTO nuke_weatherzones VALUES (1967, '28157', 'msz068');
INSERT INTO nuke_weatherzones VALUES (1968, '28159', 'msz038');
INSERT INTO nuke_weatherzones VALUES (1969, '28161', 'msz021');
INSERT INTO nuke_weatherzones VALUES (1970, '28163', 'msz042');
INSERT INTO nuke_weatherzones VALUES (1971, '29001', 'moz017');
INSERT INTO nuke_weatherzones VALUES (1972, '29003', 'moz012');
INSERT INTO nuke_weatherzones VALUES (1973, '29005', 'moz001');
INSERT INTO nuke_weatherzones VALUES (1974, '29007', 'moz042');
INSERT INTO nuke_weatherzones VALUES (1975, '29009', 'moz102');
INSERT INTO nuke_weatherzones VALUES (1976, '29011', 'moz077');
INSERT INTO nuke_weatherzones VALUES (1977, '29013', 'moz053');
INSERT INTO nuke_weatherzones VALUES (1978, '29015', 'moz055');
INSERT INTO nuke_weatherzones VALUES (1979, '29017', 'moz086');
INSERT INTO nuke_weatherzones VALUES (1980, '29019', 'moz041');
INSERT INTO nuke_weatherzones VALUES (1981, '29021', 'moz020');
INSERT INTO nuke_weatherzones VALUES (1982, '29023', 'moz109');
INSERT INTO nuke_weatherzones VALUES (1983, '29025', 'moz022');
INSERT INTO nuke_weatherzones VALUES (1984, '29027', 'moz050');
INSERT INTO nuke_weatherzones VALUES (1985, '29029', 'moz069');
INSERT INTO nuke_weatherzones VALUES (1986, '29031', 'moz087');
INSERT INTO nuke_weatherzones VALUES (1987, '29033', 'moz031');
INSERT INTO nuke_weatherzones VALUES (1988, '29035', 'moz107');
INSERT INTO nuke_weatherzones VALUES (1989, '29037', 'moz043');
INSERT INTO nuke_weatherzones VALUES (1990, '29039', 'moz078');
INSERT INTO nuke_weatherzones VALUES (1991, '29041', 'moz032');
INSERT INTO nuke_weatherzones VALUES (1992, '29043', 'moz095');
INSERT INTO nuke_weatherzones VALUES (1993, '29045', 'moz010');
INSERT INTO nuke_weatherzones VALUES (1994, '29047', 'moz029');
INSERT INTO nuke_weatherzones VALUES (1995, '29049', 'moz021');
INSERT INTO nuke_weatherzones VALUES (1996, '29051', 'moz048');
INSERT INTO nuke_weatherzones VALUES (1997, '29053', 'moz046');
INSERT INTO nuke_weatherzones VALUES (1998, '29055', 'moz072');
INSERT INTO nuke_weatherzones VALUES (1999, '29057', 'moz089');
INSERT INTO nuke_weatherzones VALUES (2000, '29059', 'moz080');
INSERT INTO nuke_weatherzones VALUES (2001, '29061', 'moz014');
INSERT INTO nuke_weatherzones VALUES (2002, '29063', 'moz013');
INSERT INTO nuke_weatherzones VALUES (2003, '29065', 'moz083');
INSERT INTO nuke_weatherzones VALUES (2004, '29067', 'moz096');
INSERT INTO nuke_weatherzones VALUES (2005, '29069', 'moz113');
INSERT INTO nuke_weatherzones VALUES (2006, '29071', 'moz062');
INSERT INTO nuke_weatherzones VALUES (2007, '29073', 'moz059');
INSERT INTO nuke_weatherzones VALUES (2008, '29075', 'moz004');
INSERT INTO nuke_weatherzones VALUES (2009, '29077', 'moz090');
INSERT INTO nuke_weatherzones VALUES (2010, '29079', 'moz015');
INSERT INTO nuke_weatherzones VALUES (2011, '29081', 'moz005');
INSERT INTO nuke_weatherzones VALUES (2012, '29083', 'moz054');
INSERT INTO nuke_weatherzones VALUES (2013, '29085', 'moz068');
INSERT INTO nuke_weatherzones VALUES (2014, '29087', 'moz011');
INSERT INTO nuke_weatherzones VALUES (2015, '29089', 'moz040');
INSERT INTO nuke_weatherzones VALUES (2016, '29091', 'moz097');
INSERT INTO nuke_weatherzones VALUES (2017, '29093', 'moz084');
INSERT INTO nuke_weatherzones VALUES (2018, '29095', 'moz037');
INSERT INTO nuke_weatherzones VALUES (2019, '29097', 'moz088');
INSERT INTO nuke_weatherzones VALUES (2020, '29099', 'moz065');
INSERT INTO nuke_weatherzones VALUES (2021, '29101', 'moz044');
INSERT INTO nuke_weatherzones VALUES (2022, '29103', 'moz018');
INSERT INTO nuke_weatherzones VALUES (2023, '29105', 'moz081');
INSERT INTO nuke_weatherzones VALUES (2024, '29107', 'moz038');
INSERT INTO nuke_weatherzones VALUES (2025, '29109', 'moz094');
INSERT INTO nuke_weatherzones VALUES (2026, '29111', 'moz019');
INSERT INTO nuke_weatherzones VALUES (2027, '29113', 'moz052');
INSERT INTO nuke_weatherzones VALUES (2028, '29115', 'moz024');
INSERT INTO nuke_weatherzones VALUES (2029, '29117', 'moz023');
INSERT INTO nuke_weatherzones VALUES (2030, '29119', 'moz101');
INSERT INTO nuke_weatherzones VALUES (2031, '29121', 'moz025');
INSERT INTO nuke_weatherzones VALUES (2032, '29123', 'moz085');
INSERT INTO nuke_weatherzones VALUES (2033, '29125', 'moz058');
INSERT INTO nuke_weatherzones VALUES (2034, '29127', 'moz027');
INSERT INTO nuke_weatherzones VALUES (2035, '29129', 'moz006');
INSERT INTO nuke_weatherzones VALUES (2036, '29131', 'moz057');
INSERT INTO nuke_weatherzones VALUES (2037, '29133', 'moz112');
INSERT INTO nuke_weatherzones VALUES (2038, '29135', 'moz047');
INSERT INTO nuke_weatherzones VALUES (2039, '29137', 'moz034');
INSERT INTO nuke_weatherzones VALUES (2040, '29139', 'moz051');
INSERT INTO nuke_weatherzones VALUES (2041, '29141', 'moz056');
INSERT INTO nuke_weatherzones VALUES (2042, '29143', 'moz114');
INSERT INTO nuke_weatherzones VALUES (2043, '29145', 'moz093');
INSERT INTO nuke_weatherzones VALUES (2044, '29147', 'moz002');
INSERT INTO nuke_weatherzones VALUES (2045, '29149', 'moz106');
INSERT INTO nuke_weatherzones VALUES (2046, '29151', 'moz049');
INSERT INTO nuke_weatherzones VALUES (2047, '29153', 'moz105');
INSERT INTO nuke_weatherzones VALUES (2048, '29155', 'moz115');
INSERT INTO nuke_weatherzones VALUES (2049, '29157', 'moz076');
INSERT INTO nuke_weatherzones VALUES (2050, '29159', 'moz045');
INSERT INTO nuke_weatherzones VALUES (2051, '29161', 'moz071');
INSERT INTO nuke_weatherzones VALUES (2052, '29163', 'moz036');
INSERT INTO nuke_weatherzones VALUES (2053, '29165', 'moz028');
INSERT INTO nuke_weatherzones VALUES (2054, '29167', 'moz079');
INSERT INTO nuke_weatherzones VALUES (2055, '29169', 'moz070');
INSERT INTO nuke_weatherzones VALUES (2056, '29171', 'moz007');
INSERT INTO nuke_weatherzones VALUES (2057, '29173', 'moz035');
INSERT INTO nuke_weatherzones VALUES (2058, '29175', 'moz033');
INSERT INTO nuke_weatherzones VALUES (2059, '29177', 'moz030');
INSERT INTO nuke_weatherzones VALUES (2060, '29179', 'moz099');
INSERT INTO nuke_weatherzones VALUES (2061, '29181', 'moz108');
INSERT INTO nuke_weatherzones VALUES (2062, '29183', 'moz061');
INSERT INTO nuke_weatherzones VALUES (2063, '29185', 'moz067');
INSERT INTO nuke_weatherzones VALUES (2064, '29186', 'moz075');
INSERT INTO nuke_weatherzones VALUES (2065, '29187', 'moz074');
INSERT INTO nuke_weatherzones VALUES (2066, '29189', 'moz063');
INSERT INTO nuke_weatherzones VALUES (2067, '29195', 'moz039');
INSERT INTO nuke_weatherzones VALUES (2068, '29197', 'moz008');
INSERT INTO nuke_weatherzones VALUES (2069, '29199', 'moz009');
INSERT INTO nuke_weatherzones VALUES (2070, '29201', 'moz111');
INSERT INTO nuke_weatherzones VALUES (2071, '29203', 'moz098');
INSERT INTO nuke_weatherzones VALUES (2072, '29205', 'moz026');
INSERT INTO nuke_weatherzones VALUES (2073, '29207', 'moz110');
INSERT INTO nuke_weatherzones VALUES (2074, '29209', 'moz103');
INSERT INTO nuke_weatherzones VALUES (2075, '29211', 'moz016');
INSERT INTO nuke_weatherzones VALUES (2076, '29213', 'moz104');
INSERT INTO nuke_weatherzones VALUES (2077, '29215', 'moz082');
INSERT INTO nuke_weatherzones VALUES (2078, '29217', 'moz066');
INSERT INTO nuke_weatherzones VALUES (2079, '29219', 'moz060');
INSERT INTO nuke_weatherzones VALUES (2080, '29221', 'moz073');
INSERT INTO nuke_weatherzones VALUES (2081, '29223', 'moz100');
INSERT INTO nuke_weatherzones VALUES (2082, '29225', 'moz091');
INSERT INTO nuke_weatherzones VALUES (2083, '29227', 'moz003');
INSERT INTO nuke_weatherzones VALUES (2084, '29229', 'moz092');
INSERT INTO nuke_weatherzones VALUES (2085, '29510', 'moz064');
INSERT INTO nuke_weatherzones VALUES (2086, '30001', 'mtz008');
INSERT INTO nuke_weatherzones VALUES (2087, '30003', 'mtz038');
INSERT INTO nuke_weatherzones VALUES (2088, '30003', 'mtz057');
INSERT INTO nuke_weatherzones VALUES (2089, '30005', 'mtz047');
INSERT INTO nuke_weatherzones VALUES (2090, '30007', 'mtz053');
INSERT INTO nuke_weatherzones VALUES (2091, '30009', 'mtz039');
INSERT INTO nuke_weatherzones VALUES (2092, '30009', 'mtz056');
INSERT INTO nuke_weatherzones VALUES (2093, '30011', 'mtz037');
INSERT INTO nuke_weatherzones VALUES (2094, '30013', 'mtz012');
INSERT INTO nuke_weatherzones VALUES (2095, '30015', 'mtz013');
INSERT INTO nuke_weatherzones VALUES (2096, '30017', 'mtz032');
INSERT INTO nuke_weatherzones VALUES (2097, '30019', 'mtz018');
INSERT INTO nuke_weatherzones VALUES (2098, '30021', 'mtz025');
INSERT INTO nuke_weatherzones VALUES (2099, '30023', 'mtz007');
INSERT INTO nuke_weatherzones VALUES (2100, '30025', 'mtz033');
INSERT INTO nuke_weatherzones VALUES (2101, '30027', 'mtz051');
INSERT INTO nuke_weatherzones VALUES (2102, '30029', 'mtz001');
INSERT INTO nuke_weatherzones VALUES (2103, '30029', 'mtz002');
INSERT INTO nuke_weatherzones VALUES (2104, '30029', 'mtz003');
INSERT INTO nuke_weatherzones VALUES (2105, '30031', 'mtz055');
INSERT INTO nuke_weatherzones VALUES (2106, '30033', 'mtz022');
INSERT INTO nuke_weatherzones VALUES (2107, '30035', 'mtz009');
INSERT INTO nuke_weatherzones VALUES (2108, '30035', 'mtz010');
INSERT INTO nuke_weatherzones VALUES (2109, '30037', 'mtz042');
INSERT INTO nuke_weatherzones VALUES (2110, '30039', 'mtz006');
INSERT INTO nuke_weatherzones VALUES (2111, '30039', 'mtz007');
INSERT INTO nuke_weatherzones VALUES (2112, '30039', 'mtz043');
INSERT INTO nuke_weatherzones VALUES (2113, '30041', 'mtz011');
INSERT INTO nuke_weatherzones VALUES (2114, '30043', 'mtz052');
INSERT INTO nuke_weatherzones VALUES (2115, '30045', 'mtz050');
INSERT INTO nuke_weatherzones VALUES (2116, '30047', 'mtz002');
INSERT INTO nuke_weatherzones VALUES (2117, '30047', 'mtz003');
INSERT INTO nuke_weatherzones VALUES (2118, '30047', 'mtz043');
INSERT INTO nuke_weatherzones VALUES (2119, '30049', 'mtz014');
INSERT INTO nuke_weatherzones VALUES (2120, '30049', 'mtz048');
INSERT INTO nuke_weatherzones VALUES (2121, '30051', 'mtz045');
INSERT INTO nuke_weatherzones VALUES (2122, '30053', 'mtz001');
INSERT INTO nuke_weatherzones VALUES (2123, '30053', 'mtz002');
INSERT INTO nuke_weatherzones VALUES (2124, '30055', 'mtz023');
INSERT INTO nuke_weatherzones VALUES (2125, '30057', 'mtz015');
INSERT INTO nuke_weatherzones VALUES (2126, '30059', 'mtz054');
INSERT INTO nuke_weatherzones VALUES (2127, '30061', 'mtz004');
INSERT INTO nuke_weatherzones VALUES (2128, '30063', 'mtz004');
INSERT INTO nuke_weatherzones VALUES (2129, '30063', 'mtz005');
INSERT INTO nuke_weatherzones VALUES (2130, '30063', 'mtz006');
INSERT INTO nuke_weatherzones VALUES (2131, '30063', 'mtz043');
INSERT INTO nuke_weatherzones VALUES (2132, '30065', 'mtz029');
INSERT INTO nuke_weatherzones VALUES (2133, '30067', 'mtz040');
INSERT INTO nuke_weatherzones VALUES (2134, '30069', 'mtz021');
INSERT INTO nuke_weatherzones VALUES (2135, '30071', 'mtz016');
INSERT INTO nuke_weatherzones VALUES (2136, '30071', 'mtz059');
INSERT INTO nuke_weatherzones VALUES (2137, '30071', 'mtz060');
INSERT INTO nuke_weatherzones VALUES (2138, '30073', 'mtz009');
INSERT INTO nuke_weatherzones VALUES (2139, '30073', 'mtz046');
INSERT INTO nuke_weatherzones VALUES (2140, '30075', 'mtz036');
INSERT INTO nuke_weatherzones VALUES (2141, '30077', 'mtz007');
INSERT INTO nuke_weatherzones VALUES (2142, '30077', 'mtz043');
INSERT INTO nuke_weatherzones VALUES (2143, '30079', 'mtz026');
INSERT INTO nuke_weatherzones VALUES (2144, '30081', 'mtz005');
INSERT INTO nuke_weatherzones VALUES (2145, '30081', 'mtz006');
INSERT INTO nuke_weatherzones VALUES (2146, '30083', 'mtz024');
INSERT INTO nuke_weatherzones VALUES (2147, '30085', 'mtz020');
INSERT INTO nuke_weatherzones VALUES (2148, '30085', 'mtz062');
INSERT INTO nuke_weatherzones VALUES (2149, '30087', 'mtz031');
INSERT INTO nuke_weatherzones VALUES (2150, '30087', 'mtz058');
INSERT INTO nuke_weatherzones VALUES (2151, '30089', 'mtz001');
INSERT INTO nuke_weatherzones VALUES (2152, '30089', 'mtz003');
INSERT INTO nuke_weatherzones VALUES (2153, '30089', 'mtz004');
INSERT INTO nuke_weatherzones VALUES (2154, '30091', 'mtz019');
INSERT INTO nuke_weatherzones VALUES (2155, '30093', 'mtz007');
INSERT INTO nuke_weatherzones VALUES (2156, '30095', 'mtz034');
INSERT INTO nuke_weatherzones VALUES (2157, '30097', 'mtz041');
INSERT INTO nuke_weatherzones VALUES (2158, '30099', 'mtz048');
INSERT INTO nuke_weatherzones VALUES (2159, '30099', 'mtz049');
INSERT INTO nuke_weatherzones VALUES (2160, '30101', 'mtz044');
INSERT INTO nuke_weatherzones VALUES (2161, '30103', 'mtz030');
INSERT INTO nuke_weatherzones VALUES (2162, '30105', 'mtz017');
INSERT INTO nuke_weatherzones VALUES (2163, '30105', 'mtz061');
INSERT INTO nuke_weatherzones VALUES (2164, '30107', 'mtz028');
INSERT INTO nuke_weatherzones VALUES (2165, '30109', 'mtz027');
INSERT INTO nuke_weatherzones VALUES (2166, '30111', 'mtz035');
INSERT INTO nuke_weatherzones VALUES (2167, '30113', 'mtz001');
INSERT INTO nuke_weatherzones VALUES (2168, '31001', 'nez075');
INSERT INTO nuke_weatherzones VALUES (2169, '31003', 'nez016');
INSERT INTO nuke_weatherzones VALUES (2170, '31005', 'nez035');
INSERT INTO nuke_weatherzones VALUES (2171, '31007', 'nez020');
INSERT INTO nuke_weatherzones VALUES (2172, '31009', 'nez026');
INSERT INTO nuke_weatherzones VALUES (2173, '31011', 'nez030');
INSERT INTO nuke_weatherzones VALUES (2174, '31013', 'nez003');
INSERT INTO nuke_weatherzones VALUES (2175, '31015', 'nez007');
INSERT INTO nuke_weatherzones VALUES (2176, '31017', 'nez008');
INSERT INTO nuke_weatherzones VALUES (2177, '31019', 'nez061');
INSERT INTO nuke_weatherzones VALUES (2178, '31021', 'nez034');
INSERT INTO nuke_weatherzones VALUES (2179, '31023', 'nez050');
INSERT INTO nuke_weatherzones VALUES (2180, '31025', 'nez067');
INSERT INTO nuke_weatherzones VALUES (2181, '31027', 'nez012');
INSERT INTO nuke_weatherzones VALUES (2182, '31029', 'nez069');
INSERT INTO nuke_weatherzones VALUES (2183, '31031', 'nez005');
INSERT INTO nuke_weatherzones VALUES (2184, '31031', 'nez094');
INSERT INTO nuke_weatherzones VALUES (2185, '31033', 'nez055');
INSERT INTO nuke_weatherzones VALUES (2186, '31035', 'nez076');
INSERT INTO nuke_weatherzones VALUES (2187, '31037', 'nez043');
INSERT INTO nuke_weatherzones VALUES (2188, '31039', 'nez033');
INSERT INTO nuke_weatherzones VALUES (2189, '31041', 'nez038');
INSERT INTO nuke_weatherzones VALUES (2190, '31043', 'nez014');
INSERT INTO nuke_weatherzones VALUES (2191, '31045', 'nez002');
INSERT INTO nuke_weatherzones VALUES (2192, '31047', 'nez060');
INSERT INTO nuke_weatherzones VALUES (2193, '31049', 'nez056');
INSERT INTO nuke_weatherzones VALUES (2194, '31051', 'nez013');
INSERT INTO nuke_weatherzones VALUES (2195, '31053', 'nez044');
INSERT INTO nuke_weatherzones VALUES (2196, '31055', 'nez052');
INSERT INTO nuke_weatherzones VALUES (2197, '31057', 'nez079');
INSERT INTO nuke_weatherzones VALUES (2198, '31059', 'nez077');
INSERT INTO nuke_weatherzones VALUES (2199, '31061', 'nez084');
INSERT INTO nuke_weatherzones VALUES (2200, '31063', 'nez071');
INSERT INTO nuke_weatherzones VALUES (2201, '31065', 'nez082');
INSERT INTO nuke_weatherzones VALUES (2202, '31067', 'nez089');
INSERT INTO nuke_weatherzones VALUES (2203, '31069', 'nez022');
INSERT INTO nuke_weatherzones VALUES (2204, '31071', 'nez028');
INSERT INTO nuke_weatherzones VALUES (2205, '31073', 'nez072');
INSERT INTO nuke_weatherzones VALUES (2206, '31075', 'nez023');
INSERT INTO nuke_weatherzones VALUES (2207, '31077', 'nez040');
INSERT INTO nuke_weatherzones VALUES (2208, '31079', 'nez062');
INSERT INTO nuke_weatherzones VALUES (2209, '31081', 'nez063');
INSERT INTO nuke_weatherzones VALUES (2210, '31083', 'nez083');
INSERT INTO nuke_weatherzones VALUES (2211, '31085', 'nez070');
INSERT INTO nuke_weatherzones VALUES (2212, '31087', 'nez080');
INSERT INTO nuke_weatherzones VALUES (2213, '31089', 'nez010');
INSERT INTO nuke_weatherzones VALUES (2214, '31091', 'nez024');
INSERT INTO nuke_weatherzones VALUES (2215, '31093', 'nez047');
INSERT INTO nuke_weatherzones VALUES (2216, '31095', 'nez088');
INSERT INTO nuke_weatherzones VALUES (2217, '31097', 'nez090');
INSERT INTO nuke_weatherzones VALUES (2218, '31099', 'nez074');
INSERT INTO nuke_weatherzones VALUES (2219, '31101', 'nez057');
INSERT INTO nuke_weatherzones VALUES (2220, '31103', 'nez006');
INSERT INTO nuke_weatherzones VALUES (2221, '31105', 'nez054');
INSERT INTO nuke_weatherzones VALUES (2222, '31107', 'nez011');
INSERT INTO nuke_weatherzones VALUES (2223, '31109', 'nez066');
INSERT INTO nuke_weatherzones VALUES (2224, '31111', 'nez059');
INSERT INTO nuke_weatherzones VALUES (2225, '31113', 'nez037');
INSERT INTO nuke_weatherzones VALUES (2226, '31115', 'nez027');
INSERT INTO nuke_weatherzones VALUES (2227, '31117', 'nez036');
INSERT INTO nuke_weatherzones VALUES (2228, '31119', 'nez031');
INSERT INTO nuke_weatherzones VALUES (2229, '31121', 'nez048');
INSERT INTO nuke_weatherzones VALUES (2230, '31123', 'nez021');
INSERT INTO nuke_weatherzones VALUES (2231, '31125', 'nez041');
INSERT INTO nuke_weatherzones VALUES (2232, '31127', 'nez091');
INSERT INTO nuke_weatherzones VALUES (2233, '31129', 'nez086');
INSERT INTO nuke_weatherzones VALUES (2234, '31131', 'nez068');
INSERT INTO nuke_weatherzones VALUES (2235, '31133', 'nez092');
INSERT INTO nuke_weatherzones VALUES (2236, '31135', 'nez058');
INSERT INTO nuke_weatherzones VALUES (2237, '31137', 'nez073');
INSERT INTO nuke_weatherzones VALUES (2238, '31139', 'nez017');
INSERT INTO nuke_weatherzones VALUES (2239, '31141', 'nez042');
INSERT INTO nuke_weatherzones VALUES (2240, '31143', 'nez049');
INSERT INTO nuke_weatherzones VALUES (2241, '31145', 'nez081');
INSERT INTO nuke_weatherzones VALUES (2242, '31147', 'nez093');
INSERT INTO nuke_weatherzones VALUES (2243, '31149', 'nez009');
INSERT INTO nuke_weatherzones VALUES (2244, '31151', 'nez078');
INSERT INTO nuke_weatherzones VALUES (2245, '31153', 'nez053');
INSERT INTO nuke_weatherzones VALUES (2246, '31155', 'nez051');
INSERT INTO nuke_weatherzones VALUES (2247, '31157', 'nez019');
INSERT INTO nuke_weatherzones VALUES (2248, '31159', 'nez065');
INSERT INTO nuke_weatherzones VALUES (2249, '31161', 'nez004');
INSERT INTO nuke_weatherzones VALUES (2250, '31163', 'nez046');
INSERT INTO nuke_weatherzones VALUES (2251, '31165', 'nez001');
INSERT INTO nuke_weatherzones VALUES (2252, '31167', 'nez032');
INSERT INTO nuke_weatherzones VALUES (2253, '31169', 'nez087');
INSERT INTO nuke_weatherzones VALUES (2254, '31171', 'nez025');
INSERT INTO nuke_weatherzones VALUES (2255, '31173', 'nez015');
INSERT INTO nuke_weatherzones VALUES (2256, '31175', 'nez039');
INSERT INTO nuke_weatherzones VALUES (2257, '31177', 'nez045');
INSERT INTO nuke_weatherzones VALUES (2258, '31179', 'nez018');
INSERT INTO nuke_weatherzones VALUES (2259, '31181', 'nez085');
INSERT INTO nuke_weatherzones VALUES (2260, '31183', 'nez029');
INSERT INTO nuke_weatherzones VALUES (2261, '31185', 'nez064');
INSERT INTO nuke_weatherzones VALUES (2262, '32001', 'nvz004');
INSERT INTO nuke_weatherzones VALUES (2263, '32003', 'nvz016');
INSERT INTO nuke_weatherzones VALUES (2264, '32003', 'nvz017');
INSERT INTO nuke_weatherzones VALUES (2265, '32003', 'nvz018');
INSERT INTO nuke_weatherzones VALUES (2266, '32003', 'nvz019');
INSERT INTO nuke_weatherzones VALUES (2267, '32003', 'nvz020');
INSERT INTO nuke_weatherzones VALUES (2268, '32003', 'nvz021');
INSERT INTO nuke_weatherzones VALUES (2269, '32003', 'nvz022');
INSERT INTO nuke_weatherzones VALUES (2270, '32005', 'nvz002');
INSERT INTO nuke_weatherzones VALUES (2271, '32005', 'nvz003');
INSERT INTO nuke_weatherzones VALUES (2272, '32007', 'nvz031');
INSERT INTO nuke_weatherzones VALUES (2273, '32007', 'nvz032');
INSERT INTO nuke_weatherzones VALUES (2274, '32007', 'nvz033');
INSERT INTO nuke_weatherzones VALUES (2275, '32007', 'nvz034');
INSERT INTO nuke_weatherzones VALUES (2276, '32009', 'nvz014');
INSERT INTO nuke_weatherzones VALUES (2277, '32011', 'nvz036');
INSERT INTO nuke_weatherzones VALUES (2278, '32011', 'nvz037');
INSERT INTO nuke_weatherzones VALUES (2279, '32013', 'nvz030');
INSERT INTO nuke_weatherzones VALUES (2280, '32015', 'nvz036');
INSERT INTO nuke_weatherzones VALUES (2281, '32015', 'nvz037');
INSERT INTO nuke_weatherzones VALUES (2282, '32017', 'nvz015');
INSERT INTO nuke_weatherzones VALUES (2283, '32017', 'nvz018');
INSERT INTO nuke_weatherzones VALUES (2284, '32019', 'nvz001');
INSERT INTO nuke_weatherzones VALUES (2285, '32019', 'nvz003');
INSERT INTO nuke_weatherzones VALUES (2286, '32019', 'nvz004');
INSERT INTO nuke_weatherzones VALUES (2287, '32021', 'nvz001');
INSERT INTO nuke_weatherzones VALUES (2288, '32023', 'nvz013');
INSERT INTO nuke_weatherzones VALUES (2289, '32023', 'nvz014');
INSERT INTO nuke_weatherzones VALUES (2290, '32023', 'nvz017');
INSERT INTO nuke_weatherzones VALUES (2291, '32023', 'nvz019');
INSERT INTO nuke_weatherzones VALUES (2292, '32027', 'nvz004');
INSERT INTO nuke_weatherzones VALUES (2293, '32029', 'nvz003');
INSERT INTO nuke_weatherzones VALUES (2294, '32031', 'nvz002');
INSERT INTO nuke_weatherzones VALUES (2295, '32031', 'nvz003');
INSERT INTO nuke_weatherzones VALUES (2296, '32031', 'nvz004');
INSERT INTO nuke_weatherzones VALUES (2297, '32031', 'nvz005');
INSERT INTO nuke_weatherzones VALUES (2298, '32033', 'nvz034');
INSERT INTO nuke_weatherzones VALUES (2299, '32033', 'nvz035');
INSERT INTO nuke_weatherzones VALUES (2300, '32510', 'nvz002');
INSERT INTO nuke_weatherzones VALUES (2301, '32510', 'nvz003');
INSERT INTO nuke_weatherzones VALUES (2302, '33001', 'nhz009');
INSERT INTO nuke_weatherzones VALUES (2303, '33003', 'nhz004');
INSERT INTO nuke_weatherzones VALUES (2304, '33003', 'nhz006');
INSERT INTO nuke_weatherzones VALUES (2305, '33005', 'nhz011');
INSERT INTO nuke_weatherzones VALUES (2306, '33007', 'nhz001');
INSERT INTO nuke_weatherzones VALUES (2307, '33007', 'nhz002');
INSERT INTO nuke_weatherzones VALUES (2308, '33009', 'nhz003');
INSERT INTO nuke_weatherzones VALUES (2309, '33009', 'nhz005');
INSERT INTO nuke_weatherzones VALUES (2310, '33011', 'nhz012');
INSERT INTO nuke_weatherzones VALUES (2311, '33011', 'nhz015');
INSERT INTO nuke_weatherzones VALUES (2312, '33013', 'nhz008');
INSERT INTO nuke_weatherzones VALUES (2313, '33015', 'nhz013');
INSERT INTO nuke_weatherzones VALUES (2314, '33015', 'nhz014');
INSERT INTO nuke_weatherzones VALUES (2315, '33017', 'nhz010');
INSERT INTO nuke_weatherzones VALUES (2316, '33019', 'nhz007');
INSERT INTO nuke_weatherzones VALUES (2317, '34001', 'njz022');
INSERT INTO nuke_weatherzones VALUES (2318, '34001', 'njz025');
INSERT INTO nuke_weatherzones VALUES (2319, '34003', 'njz003');
INSERT INTO nuke_weatherzones VALUES (2320, '34005', 'njz019');
INSERT INTO nuke_weatherzones VALUES (2321, '34005', 'njz027');
INSERT INTO nuke_weatherzones VALUES (2322, '34007', 'njz018');
INSERT INTO nuke_weatherzones VALUES (2323, '34009', 'njz023');
INSERT INTO nuke_weatherzones VALUES (2324, '34009', 'njz024');
INSERT INTO nuke_weatherzones VALUES (2325, '34011', 'njz021');
INSERT INTO nuke_weatherzones VALUES (2326, '34013', 'njz005');
INSERT INTO nuke_weatherzones VALUES (2327, '34015', 'njz017');
INSERT INTO nuke_weatherzones VALUES (2328, '34017', 'njz006');
INSERT INTO nuke_weatherzones VALUES (2329, '34019', 'njz009');
INSERT INTO nuke_weatherzones VALUES (2330, '34021', 'njz015');
INSERT INTO nuke_weatherzones VALUES (2331, '34023', 'njz012');
INSERT INTO nuke_weatherzones VALUES (2332, '34025', 'njz013');
INSERT INTO nuke_weatherzones VALUES (2333, '34025', 'njz014');
INSERT INTO nuke_weatherzones VALUES (2334, '34027', 'njz008');
INSERT INTO nuke_weatherzones VALUES (2335, '34029', 'njz020');
INSERT INTO nuke_weatherzones VALUES (2336, '34029', 'njz026');
INSERT INTO nuke_weatherzones VALUES (2337, '34031', 'njz002');
INSERT INTO nuke_weatherzones VALUES (2338, '34031', 'njz004');
INSERT INTO nuke_weatherzones VALUES (2339, '34033', 'njz016');
INSERT INTO nuke_weatherzones VALUES (2340, '34035', 'njz010');
INSERT INTO nuke_weatherzones VALUES (2341, '34037', 'njz001');
INSERT INTO nuke_weatherzones VALUES (2342, '34039', 'njz011');
INSERT INTO nuke_weatherzones VALUES (2343, '34041', 'njz007');
INSERT INTO nuke_weatherzones VALUES (2344, '35001', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2345, '35001', 'nmz009');
INSERT INTO nuke_weatherzones VALUES (2346, '35001', 'nmz010');
INSERT INTO nuke_weatherzones VALUES (2347, '35003', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2348, '35003', 'nmz014');
INSERT INTO nuke_weatherzones VALUES (2349, '35005', 'nmz019');
INSERT INTO nuke_weatherzones VALUES (2350, '35005', 'nmz026');
INSERT INTO nuke_weatherzones VALUES (2351, '35006', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2352, '35006', 'nmz009');
INSERT INTO nuke_weatherzones VALUES (2353, '35007', 'nmz004');
INSERT INTO nuke_weatherzones VALUES (2354, '35007', 'nmz005');
INSERT INTO nuke_weatherzones VALUES (2355, '35007', 'nmz007');
INSERT INTO nuke_weatherzones VALUES (2356, '35009', 'nmz021');
INSERT INTO nuke_weatherzones VALUES (2357, '35011', 'nmz018');
INSERT INTO nuke_weatherzones VALUES (2358, '35013', 'nmz024');
INSERT INTO nuke_weatherzones VALUES (2359, '35013', 'nmz032');
INSERT INTO nuke_weatherzones VALUES (2360, '35015', 'nmz027');
INSERT INTO nuke_weatherzones VALUES (2361, '35015', 'nmz028');
INSERT INTO nuke_weatherzones VALUES (2362, '35017', 'nmz022');
INSERT INTO nuke_weatherzones VALUES (2363, '35017', 'nmz030');
INSERT INTO nuke_weatherzones VALUES (2364, '35019', 'nmz012');
INSERT INTO nuke_weatherzones VALUES (2365, '35021', 'nmz006');
INSERT INTO nuke_weatherzones VALUES (2366, '35023', 'nmz022');
INSERT INTO nuke_weatherzones VALUES (2367, '35023', 'nmz030');
INSERT INTO nuke_weatherzones VALUES (2368, '35025', 'nmz029');
INSERT INTO nuke_weatherzones VALUES (2369, '35025', 'nmz033');
INSERT INTO nuke_weatherzones VALUES (2370, '35025', 'nmz034');
INSERT INTO nuke_weatherzones VALUES (2371, '35027', 'nmz016');
INSERT INTO nuke_weatherzones VALUES (2372, '35027', 'nmz017');
INSERT INTO nuke_weatherzones VALUES (2373, '35028', 'nmz002');
INSERT INTO nuke_weatherzones VALUES (2374, '35028', 'nmz003');
INSERT INTO nuke_weatherzones VALUES (2375, '35029', 'nmz031');
INSERT INTO nuke_weatherzones VALUES (2376, '35031', 'nmz001');
INSERT INTO nuke_weatherzones VALUES (2377, '35031', 'nmz002');
INSERT INTO nuke_weatherzones VALUES (2378, '35031', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2379, '35033', 'nmz004');
INSERT INTO nuke_weatherzones VALUES (2380, '35033', 'nmz005');
INSERT INTO nuke_weatherzones VALUES (2381, '35035', 'nmz024');
INSERT INTO nuke_weatherzones VALUES (2382, '35035', 'nmz025');
INSERT INTO nuke_weatherzones VALUES (2383, '35037', 'nmz013');
INSERT INTO nuke_weatherzones VALUES (2384, '35039', 'nmz002');
INSERT INTO nuke_weatherzones VALUES (2385, '35039', 'nmz003');
INSERT INTO nuke_weatherzones VALUES (2386, '35039', 'nmz004');
INSERT INTO nuke_weatherzones VALUES (2387, '35041', 'nmz020');
INSERT INTO nuke_weatherzones VALUES (2388, '35043', 'nmz002');
INSERT INTO nuke_weatherzones VALUES (2389, '35043', 'nmz003');
INSERT INTO nuke_weatherzones VALUES (2390, '35043', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2391, '35043', 'nmz010');
INSERT INTO nuke_weatherzones VALUES (2392, '35045', 'nmz001');
INSERT INTO nuke_weatherzones VALUES (2393, '35045', 'nmz002');
INSERT INTO nuke_weatherzones VALUES (2394, '35045', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2395, '35047', 'nmz004');
INSERT INTO nuke_weatherzones VALUES (2396, '35047', 'nmz005');
INSERT INTO nuke_weatherzones VALUES (2397, '35047', 'nmz011');
INSERT INTO nuke_weatherzones VALUES (2398, '35047', 'nmz012');
INSERT INTO nuke_weatherzones VALUES (2399, '35049', 'nmz002');
INSERT INTO nuke_weatherzones VALUES (2400, '35049', 'nmz003');
INSERT INTO nuke_weatherzones VALUES (2401, '35049', 'nmz004');
INSERT INTO nuke_weatherzones VALUES (2402, '35049', 'nmz010');
INSERT INTO nuke_weatherzones VALUES (2403, '35049', 'nmz011');
INSERT INTO nuke_weatherzones VALUES (2404, '35051', 'nmz022');
INSERT INTO nuke_weatherzones VALUES (2405, '35051', 'nmz023');
INSERT INTO nuke_weatherzones VALUES (2406, '35053', 'nmz008');
INSERT INTO nuke_weatherzones VALUES (2407, '35053', 'nmz010');
INSERT INTO nuke_weatherzones VALUES (2408, '35053', 'nmz011');
INSERT INTO nuke_weatherzones VALUES (2409, '35053', 'nmz014');
INSERT INTO nuke_weatherzones VALUES (2410, '35053', 'nmz015');
INSERT INTO nuke_weatherzones VALUES (2411, '35055', 'nmz004');
INSERT INTO nuke_weatherzones VALUES (2412, '35057', 'nmz010');
INSERT INTO nuke_weatherzones VALUES (2413, '35057', 'nmz011');
INSERT INTO nuke_weatherzones VALUES (2414, '35059', 'nmz005');
INSERT INTO nuke_weatherzones VALUES (2415, '35059', 'nmz007');
INSERT INTO nuke_weatherzones VALUES (2416, '35061', 'nmz009');
INSERT INTO nuke_weatherzones VALUES (2417, '35061', 'nmz010');
INSERT INTO nuke_weatherzones VALUES (2418, '36001', 'nyz051');
INSERT INTO nuke_weatherzones VALUES (2419, '36001', 'nyz052');
INSERT INTO nuke_weatherzones VALUES (2420, '36003', 'nyz021');
INSERT INTO nuke_weatherzones VALUES (2421, '36005', 'nyz073');
INSERT INTO nuke_weatherzones VALUES (2422, '36007', 'nyz056');
INSERT INTO nuke_weatherzones VALUES (2423, '36009', 'nyz020');
INSERT INTO nuke_weatherzones VALUES (2424, '36011', 'nyz005');
INSERT INTO nuke_weatherzones VALUES (2425, '36011', 'nyz017');
INSERT INTO nuke_weatherzones VALUES (2426, '36013', 'nyz019');
INSERT INTO nuke_weatherzones VALUES (2427, '36015', 'nyz024');
INSERT INTO nuke_weatherzones VALUES (2428, '36017', 'nyz045');
INSERT INTO nuke_weatherzones VALUES (2429, '36019', 'nyz028');
INSERT INTO nuke_weatherzones VALUES (2430, '36019', 'nyz031');
INSERT INTO nuke_weatherzones VALUES (2431, '36021', 'nyz060');
INSERT INTO nuke_weatherzones VALUES (2432, '36021', 'nyz061');
INSERT INTO nuke_weatherzones VALUES (2433, '36023', 'nyz044');
INSERT INTO nuke_weatherzones VALUES (2434, '36025', 'nyz057');
INSERT INTO nuke_weatherzones VALUES (2435, '36027', 'nyz065');
INSERT INTO nuke_weatherzones VALUES (2436, '36027', 'nyz066');
INSERT INTO nuke_weatherzones VALUES (2437, '36029', 'nyz010');
INSERT INTO nuke_weatherzones VALUES (2438, '36029', 'nyz085');
INSERT INTO nuke_weatherzones VALUES (2439, '36031', 'nyz034');
INSERT INTO nuke_weatherzones VALUES (2440, '36031', 'nyz035');
INSERT INTO nuke_weatherzones VALUES (2441, '36033', 'nyz027');
INSERT INTO nuke_weatherzones VALUES (2442, '36033', 'nyz030');
INSERT INTO nuke_weatherzones VALUES (2443, '36035', 'nyz039');
INSERT INTO nuke_weatherzones VALUES (2444, '36035', 'nyz082');
INSERT INTO nuke_weatherzones VALUES (2445, '36037', 'nyz011');
INSERT INTO nuke_weatherzones VALUES (2446, '36039', 'nyz058');
INSERT INTO nuke_weatherzones VALUES (2447, '36039', 'nyz059');
INSERT INTO nuke_weatherzones VALUES (2448, '36041', 'nyz033');
INSERT INTO nuke_weatherzones VALUES (2449, '36043', 'nyz032');
INSERT INTO nuke_weatherzones VALUES (2450, '36043', 'nyz038');
INSERT INTO nuke_weatherzones VALUES (2451, '36045', 'nyz007');
INSERT INTO nuke_weatherzones VALUES (2452, '36047', 'nyz075');
INSERT INTO nuke_weatherzones VALUES (2453, '36049', 'nyz008');
INSERT INTO nuke_weatherzones VALUES (2454, '36051', 'nyz013');
INSERT INTO nuke_weatherzones VALUES (2455, '36053', 'nyz036');
INSERT INTO nuke_weatherzones VALUES (2456, '36055', 'nyz003');
INSERT INTO nuke_weatherzones VALUES (2457, '36057', 'nyz040');
INSERT INTO nuke_weatherzones VALUES (2458, '36059', 'nyz077');
INSERT INTO nuke_weatherzones VALUES (2459, '36061', 'nyz072');
INSERT INTO nuke_weatherzones VALUES (2460, '36063', 'nyz001');
INSERT INTO nuke_weatherzones VALUES (2461, '36065', 'nyz009');
INSERT INTO nuke_weatherzones VALUES (2462, '36065', 'nyz037');
INSERT INTO nuke_weatherzones VALUES (2463, '36067', 'nyz018');
INSERT INTO nuke_weatherzones VALUES (2464, '36069', 'nyz014');
INSERT INTO nuke_weatherzones VALUES (2465, '36071', 'nyz067');
INSERT INTO nuke_weatherzones VALUES (2466, '36073', 'nyz002');
INSERT INTO nuke_weatherzones VALUES (2467, '36075', 'nyz006');
INSERT INTO nuke_weatherzones VALUES (2468, '36077', 'nyz046');
INSERT INTO nuke_weatherzones VALUES (2469, '36079', 'nyz068');
INSERT INTO nuke_weatherzones VALUES (2470, '36081', 'nyz076');
INSERT INTO nuke_weatherzones VALUES (2471, '36083', 'nyz053');
INSERT INTO nuke_weatherzones VALUES (2472, '36083', 'nyz054');
INSERT INTO nuke_weatherzones VALUES (2473, '36085', 'nyz074');
INSERT INTO nuke_weatherzones VALUES (2474, '36087', 'nyz069');
INSERT INTO nuke_weatherzones VALUES (2475, '36089', 'nyz026');
INSERT INTO nuke_weatherzones VALUES (2476, '36089', 'nyz029');
INSERT INTO nuke_weatherzones VALUES (2477, '36089', 'nyz087');
INSERT INTO nuke_weatherzones VALUES (2478, '36091', 'nyz041');
INSERT INTO nuke_weatherzones VALUES (2479, '36091', 'nyz050');
INSERT INTO nuke_weatherzones VALUES (2480, '36093', 'nyz048');
INSERT INTO nuke_weatherzones VALUES (2481, '36093', 'nyz049');
INSERT INTO nuke_weatherzones VALUES (2482, '36095', 'nyz047');
INSERT INTO nuke_weatherzones VALUES (2483, '36097', 'nyz023');
INSERT INTO nuke_weatherzones VALUES (2484, '36099', 'nyz016');
INSERT INTO nuke_weatherzones VALUES (2485, '36101', 'nyz022');
INSERT INTO nuke_weatherzones VALUES (2486, '36103', 'nyz078');
INSERT INTO nuke_weatherzones VALUES (2487, '36103', 'nyz079');
INSERT INTO nuke_weatherzones VALUES (2488, '36103', 'nyz080');
INSERT INTO nuke_weatherzones VALUES (2489, '36103', 'nyz081');
INSERT INTO nuke_weatherzones VALUES (2490, '36105', 'nyz062');
INSERT INTO nuke_weatherzones VALUES (2491, '36107', 'nyz055');
INSERT INTO nuke_weatherzones VALUES (2492, '36109', 'nyz025');
INSERT INTO nuke_weatherzones VALUES (2493, '36111', 'nyz063');
INSERT INTO nuke_weatherzones VALUES (2494, '36111', 'nyz064');
INSERT INTO nuke_weatherzones VALUES (2495, '36113', 'nyz042');
INSERT INTO nuke_weatherzones VALUES (2496, '36113', 'nyz083');
INSERT INTO nuke_weatherzones VALUES (2497, '36115', 'nyz043');
INSERT INTO nuke_weatherzones VALUES (2498, '36115', 'nyz084');
INSERT INTO nuke_weatherzones VALUES (2499, '36117', 'nyz004');
INSERT INTO nuke_weatherzones VALUES (2500, '36119', 'nyz070');
INSERT INTO nuke_weatherzones VALUES (2501, '36119', 'nyz071');
INSERT INTO nuke_weatherzones VALUES (2502, '36121', 'nyz012');
INSERT INTO nuke_weatherzones VALUES (2503, '36123', 'nyz015');
INSERT INTO nuke_weatherzones VALUES (2504, '37001', 'ncz023');
INSERT INTO nuke_weatherzones VALUES (2505, '37003', 'ncz035');
INSERT INTO nuke_weatherzones VALUES (2506, '37005', 'ncz002');
INSERT INTO nuke_weatherzones VALUES (2507, '37007', 'ncz083');
INSERT INTO nuke_weatherzones VALUES (2508, '37009', 'ncz001');
INSERT INTO nuke_weatherzones VALUES (2509, '37011', 'ncz033');
INSERT INTO nuke_weatherzones VALUES (2510, '37013', 'ncz080');
INSERT INTO nuke_weatherzones VALUES (2511, '37015', 'ncz030');
INSERT INTO nuke_weatherzones VALUES (2512, '37017', 'ncz096');
INSERT INTO nuke_weatherzones VALUES (2513, '37019', 'ncz100');
INSERT INTO nuke_weatherzones VALUES (2514, '37021', 'ncz053');
INSERT INTO nuke_weatherzones VALUES (2515, '37023', 'ncz055');
INSERT INTO nuke_weatherzones VALUES (2516, '37025', 'ncz072');
INSERT INTO nuke_weatherzones VALUES (2517, '37027', 'ncz034');
INSERT INTO nuke_weatherzones VALUES (2518, '37029', 'ncz016');
INSERT INTO nuke_weatherzones VALUES (2519, '37031', 'ncz095');
INSERT INTO nuke_weatherzones VALUES (2520, '37033', 'ncz006');
INSERT INTO nuke_weatherzones VALUES (2521, '37035', 'ncz056');
INSERT INTO nuke_weatherzones VALUES (2522, '37037', 'ncz040');
INSERT INTO nuke_weatherzones VALUES (2523, '37039', 'ncz060');
INSERT INTO nuke_weatherzones VALUES (2524, '37041', 'ncz031');
INSERT INTO nuke_weatherzones VALUES (2525, '37043', 'ncz061');
INSERT INTO nuke_weatherzones VALUES (2526, '37045', 'ncz068');
INSERT INTO nuke_weatherzones VALUES (2527, '37047', 'ncz099');
INSERT INTO nuke_weatherzones VALUES (2528, '37049', 'ncz093');
INSERT INTO nuke_weatherzones VALUES (2529, '37051', 'ncz088');
INSERT INTO nuke_weatherzones VALUES (2530, '37053', 'ncz017');
INSERT INTO nuke_weatherzones VALUES (2531, '37053', 'ncz102');
INSERT INTO nuke_weatherzones VALUES (2532, '37055', 'ncz047');
INSERT INTO nuke_weatherzones VALUES (2533, '37055', 'ncz103');
INSERT INTO nuke_weatherzones VALUES (2534, '37057', 'ncz038');
INSERT INTO nuke_weatherzones VALUES (2535, '37059', 'ncz037');
INSERT INTO nuke_weatherzones VALUES (2536, '37061', 'ncz090');
INSERT INTO nuke_weatherzones VALUES (2537, '37063', 'ncz025');
INSERT INTO nuke_weatherzones VALUES (2538, '37065', 'ncz028');
INSERT INTO nuke_weatherzones VALUES (2539, '37067', 'ncz021');
INSERT INTO nuke_weatherzones VALUES (2540, '37069', 'ncz026');
INSERT INTO nuke_weatherzones VALUES (2541, '37071', 'ncz070');
INSERT INTO nuke_weatherzones VALUES (2542, '37073', 'ncz014');
INSERT INTO nuke_weatherzones VALUES (2543, '37075', 'ncz058');
INSERT INTO nuke_weatherzones VALUES (2544, '37077', 'ncz008');
INSERT INTO nuke_weatherzones VALUES (2545, '37079', 'ncz079');
INSERT INTO nuke_weatherzones VALUES (2546, '37081', 'ncz022');
INSERT INTO nuke_weatherzones VALUES (2547, '37083', 'ncz011');
INSERT INTO nuke_weatherzones VALUES (2548, '37085', 'ncz077');
INSERT INTO nuke_weatherzones VALUES (2549, '37087', 'ncz052');
INSERT INTO nuke_weatherzones VALUES (2550, '37089', 'ncz065');
INSERT INTO nuke_weatherzones VALUES (2551, '37091', 'ncz013');
INSERT INTO nuke_weatherzones VALUES (2552, '37093', 'ncz086');
INSERT INTO nuke_weatherzones VALUES (2553, '37095', 'ncz081');
INSERT INTO nuke_weatherzones VALUES (2554, '37095', 'ncz104');
INSERT INTO nuke_weatherzones VALUES (2555, '37097', 'ncz036');
INSERT INTO nuke_weatherzones VALUES (2556, '37099', 'ncz059');
INSERT INTO nuke_weatherzones VALUES (2557, '37099', 'ncz063');
INSERT INTO nuke_weatherzones VALUES (2558, '37101', 'ncz042');
INSERT INTO nuke_weatherzones VALUES (2559, '37103', 'ncz092');
INSERT INTO nuke_weatherzones VALUES (2560, '37105', 'ncz076');
INSERT INTO nuke_weatherzones VALUES (2561, '37107', 'ncz091');
INSERT INTO nuke_weatherzones VALUES (2562, '37109', 'ncz069');
INSERT INTO nuke_weatherzones VALUES (2563, '37111', 'ncz054');
INSERT INTO nuke_weatherzones VALUES (2564, '37113', 'ncz062');
INSERT INTO nuke_weatherzones VALUES (2565, '37115', 'ncz048');
INSERT INTO nuke_weatherzones VALUES (2566, '37117', 'ncz029');
INSERT INTO nuke_weatherzones VALUES (2567, '37119', 'ncz071');
INSERT INTO nuke_weatherzones VALUES (2568, '37121', 'ncz050');
INSERT INTO nuke_weatherzones VALUES (2569, '37123', 'ncz074');
INSERT INTO nuke_weatherzones VALUES (2570, '37125', 'ncz075');
INSERT INTO nuke_weatherzones VALUES (2571, '37127', 'ncz027');
INSERT INTO nuke_weatherzones VALUES (2572, '37129', 'ncz101');
INSERT INTO nuke_weatherzones VALUES (2573, '37131', 'ncz012');
INSERT INTO nuke_weatherzones VALUES (2574, '37133', 'ncz098');
INSERT INTO nuke_weatherzones VALUES (2575, '37135', 'ncz024');
INSERT INTO nuke_weatherzones VALUES (2576, '37137', 'ncz094');
INSERT INTO nuke_weatherzones VALUES (2577, '37139', 'ncz015');
INSERT INTO nuke_weatherzones VALUES (2578, '37141', 'ncz097');
INSERT INTO nuke_weatherzones VALUES (2579, '37143', 'ncz032');
INSERT INTO nuke_weatherzones VALUES (2580, '37145', 'ncz007');
INSERT INTO nuke_weatherzones VALUES (2581, '37147', 'ncz044');
INSERT INTO nuke_weatherzones VALUES (2582, '37149', 'ncz066');
INSERT INTO nuke_weatherzones VALUES (2583, '37151', 'ncz039');
INSERT INTO nuke_weatherzones VALUES (2584, '37153', 'ncz084');
INSERT INTO nuke_weatherzones VALUES (2585, '37155', 'ncz087');
INSERT INTO nuke_weatherzones VALUES (2586, '37157', 'ncz005');
INSERT INTO nuke_weatherzones VALUES (2587, '37159', 'ncz057');
INSERT INTO nuke_weatherzones VALUES (2588, '37161', 'ncz067');
INSERT INTO nuke_weatherzones VALUES (2589, '37163', 'ncz089');
INSERT INTO nuke_weatherzones VALUES (2590, '37165', 'ncz085');
INSERT INTO nuke_weatherzones VALUES (2591, '37167', 'ncz073');
INSERT INTO nuke_weatherzones VALUES (2592, '37169', 'ncz004');
INSERT INTO nuke_weatherzones VALUES (2593, '37171', 'ncz003');
INSERT INTO nuke_weatherzones VALUES (2594, '37173', 'ncz051');
INSERT INTO nuke_weatherzones VALUES (2595, '37175', 'ncz064');
INSERT INTO nuke_weatherzones VALUES (2596, '37177', 'ncz046');
INSERT INTO nuke_weatherzones VALUES (2597, '37179', 'ncz082');
INSERT INTO nuke_weatherzones VALUES (2598, '37181', 'ncz009');
INSERT INTO nuke_weatherzones VALUES (2599, '37183', 'ncz041');
INSERT INTO nuke_weatherzones VALUES (2600, '37185', 'ncz010');
INSERT INTO nuke_weatherzones VALUES (2601, '37187', 'ncz045');
INSERT INTO nuke_weatherzones VALUES (2602, '37189', 'ncz018');
INSERT INTO nuke_weatherzones VALUES (2603, '37191', 'ncz078');
INSERT INTO nuke_weatherzones VALUES (2604, '37193', 'ncz019');
INSERT INTO nuke_weatherzones VALUES (2605, '37195', 'ncz043');
INSERT INTO nuke_weatherzones VALUES (2606, '37197', 'ncz020');
INSERT INTO nuke_weatherzones VALUES (2607, '37199', 'ncz049');
INSERT INTO nuke_weatherzones VALUES (2608, '38001', 'ndz044');
INSERT INTO nuke_weatherzones VALUES (2609, '38003', 'ndz038');
INSERT INTO nuke_weatherzones VALUES (2610, '38005', 'ndz014');
INSERT INTO nuke_weatherzones VALUES (2611, '38007', 'ndz032');
INSERT INTO nuke_weatherzones VALUES (2612, '38009', 'ndz004');
INSERT INTO nuke_weatherzones VALUES (2613, '38011', 'ndz043');
INSERT INTO nuke_weatherzones VALUES (2614, '38013', 'ndz002');
INSERT INTO nuke_weatherzones VALUES (2615, '38015', 'ndz035');
INSERT INTO nuke_weatherzones VALUES (2616, '38017', 'ndz039');
INSERT INTO nuke_weatherzones VALUES (2617, '38019', 'ndz007');
INSERT INTO nuke_weatherzones VALUES (2618, '38021', 'ndz051');
INSERT INTO nuke_weatherzones VALUES (2619, '38023', 'ndz001');
INSERT INTO nuke_weatherzones VALUES (2620, '38025', 'ndz018');
INSERT INTO nuke_weatherzones VALUES (2621, '38027', 'ndz024');
INSERT INTO nuke_weatherzones VALUES (2622, '38029', 'ndz046');
INSERT INTO nuke_weatherzones VALUES (2623, '38031', 'ndz025');
INSERT INTO nuke_weatherzones VALUES (2624, '38033', 'ndz031');
INSERT INTO nuke_weatherzones VALUES (2625, '38035', 'ndz027');
INSERT INTO nuke_weatherzones VALUES (2626, '38037', 'ndz042');
INSERT INTO nuke_weatherzones VALUES (2627, '38039', 'ndz028');
INSERT INTO nuke_weatherzones VALUES (2628, '38041', 'ndz041');
INSERT INTO nuke_weatherzones VALUES (2629, '38043', 'ndz036');
INSERT INTO nuke_weatherzones VALUES (2630, '38045', 'ndz048');
INSERT INTO nuke_weatherzones VALUES (2631, '38047', 'ndz047');
INSERT INTO nuke_weatherzones VALUES (2632, '38049', 'ndz012');
INSERT INTO nuke_weatherzones VALUES (2633, '38051', 'ndz050');
INSERT INTO nuke_weatherzones VALUES (2634, '38053', 'ndz017');
INSERT INTO nuke_weatherzones VALUES (2635, '38055', 'ndz021');
INSERT INTO nuke_weatherzones VALUES (2636, '38057', 'ndz019');
INSERT INTO nuke_weatherzones VALUES (2637, '38059', 'ndz034');
INSERT INTO nuke_weatherzones VALUES (2638, '38061', 'ndz010');
INSERT INTO nuke_weatherzones VALUES (2639, '38063', 'ndz026');
INSERT INTO nuke_weatherzones VALUES (2640, '38065', 'ndz020');
INSERT INTO nuke_weatherzones VALUES (2641, '38067', 'ndz008');
INSERT INTO nuke_weatherzones VALUES (2642, '38069', 'ndz013');
INSERT INTO nuke_weatherzones VALUES (2643, '38071', 'ndz015');
INSERT INTO nuke_weatherzones VALUES (2644, '38073', 'ndz049');
INSERT INTO nuke_weatherzones VALUES (2645, '38075', 'ndz003');
INSERT INTO nuke_weatherzones VALUES (2646, '38077', 'ndz053');
INSERT INTO nuke_weatherzones VALUES (2647, '38079', 'ndz005');
INSERT INTO nuke_weatherzones VALUES (2648, '38081', 'ndz052');
INSERT INTO nuke_weatherzones VALUES (2649, '38083', 'ndz022');
INSERT INTO nuke_weatherzones VALUES (2650, '38085', 'ndz045');
INSERT INTO nuke_weatherzones VALUES (2651, '38087', 'ndz040');
INSERT INTO nuke_weatherzones VALUES (2652, '38089', 'ndz033');
INSERT INTO nuke_weatherzones VALUES (2653, '38091', 'ndz029');
INSERT INTO nuke_weatherzones VALUES (2654, '38093', 'ndz037');
INSERT INTO nuke_weatherzones VALUES (2655, '38095', 'ndz006');
INSERT INTO nuke_weatherzones VALUES (2656, '38097', 'ndz030');
INSERT INTO nuke_weatherzones VALUES (2657, '38099', 'ndz016');
INSERT INTO nuke_weatherzones VALUES (2658, '38099', 'ndz054');
INSERT INTO nuke_weatherzones VALUES (2659, '38101', 'ndz011');
INSERT INTO nuke_weatherzones VALUES (2660, '38103', 'ndz023');
INSERT INTO nuke_weatherzones VALUES (2661, '38105', 'ndz009');
INSERT INTO nuke_weatherzones VALUES (2662, '39001', 'ohz081');
INSERT INTO nuke_weatherzones VALUES (2663, '39003', 'ohz025');
INSERT INTO nuke_weatherzones VALUES (2664, '39005', 'ohz030');
INSERT INTO nuke_weatherzones VALUES (2665, '39007', 'ohz014');
INSERT INTO nuke_weatherzones VALUES (2666, '39007', 'ohz089');
INSERT INTO nuke_weatherzones VALUES (2667, '39009', 'ohz075');
INSERT INTO nuke_weatherzones VALUES (2668, '39011', 'ohz035');
INSERT INTO nuke_weatherzones VALUES (2669, '39013', 'ohz059');
INSERT INTO nuke_weatherzones VALUES (2670, '39015', 'ohz079');
INSERT INTO nuke_weatherzones VALUES (2671, '39017', 'ohz070');
INSERT INTO nuke_weatherzones VALUES (2672, '39019', 'ohz040');
INSERT INTO nuke_weatherzones VALUES (2673, '39021', 'ohz052');
INSERT INTO nuke_weatherzones VALUES (2674, '39023', 'ohz053');
INSERT INTO nuke_weatherzones VALUES (2675, '39025', 'ohz078');
INSERT INTO nuke_weatherzones VALUES (2676, '39027', 'ohz072');
INSERT INTO nuke_weatherzones VALUES (2677, '39029', 'ohz041');
INSERT INTO nuke_weatherzones VALUES (2678, '39031', 'ohz048');
INSERT INTO nuke_weatherzones VALUES (2679, '39033', 'ohz028');
INSERT INTO nuke_weatherzones VALUES (2680, '39035', 'ohz011');
INSERT INTO nuke_weatherzones VALUES (2681, '39037', 'ohz042');
INSERT INTO nuke_weatherzones VALUES (2682, '39039', 'ohz004');
INSERT INTO nuke_weatherzones VALUES (2683, '39041', 'ohz046');
INSERT INTO nuke_weatherzones VALUES (2684, '39043', 'ohz009');
INSERT INTO nuke_weatherzones VALUES (2685, '39045', 'ohz065');
INSERT INTO nuke_weatherzones VALUES (2686, '39047', 'ohz063');
INSERT INTO nuke_weatherzones VALUES (2687, '39049', 'ohz055');
INSERT INTO nuke_weatherzones VALUES (2688, '39051', 'ohz002');
INSERT INTO nuke_weatherzones VALUES (2689, '39053', 'ohz086');
INSERT INTO nuke_weatherzones VALUES (2690, '39055', 'ohz013');
INSERT INTO nuke_weatherzones VALUES (2691, '39057', 'ohz062');
INSERT INTO nuke_weatherzones VALUES (2692, '39059', 'ohz058');
INSERT INTO nuke_weatherzones VALUES (2693, '39061', 'ohz077');
INSERT INTO nuke_weatherzones VALUES (2694, '39063', 'ohz017');
INSERT INTO nuke_weatherzones VALUES (2695, '39065', 'ohz026');
INSERT INTO nuke_weatherzones VALUES (2696, '39067', 'ohz049');
INSERT INTO nuke_weatherzones VALUES (2697, '39069', 'ohz005');
INSERT INTO nuke_weatherzones VALUES (2698, '39071', 'ohz080');
INSERT INTO nuke_weatherzones VALUES (2699, '39073', 'ohz074');
INSERT INTO nuke_weatherzones VALUES (2700, '39075', 'ohz038');
INSERT INTO nuke_weatherzones VALUES (2701, '39077', 'ohz019');
INSERT INTO nuke_weatherzones VALUES (2702, '39079', 'ohz083');
INSERT INTO nuke_weatherzones VALUES (2703, '39081', 'ohz050');
INSERT INTO nuke_weatherzones VALUES (2704, '39083', 'ohz047');
INSERT INTO nuke_weatherzones VALUES (2705, '39085', 'ohz012');
INSERT INTO nuke_weatherzones VALUES (2706, '39087', 'ohz087');
INSERT INTO nuke_weatherzones VALUES (2707, '39089', 'ohz056');
INSERT INTO nuke_weatherzones VALUES (2708, '39091', 'ohz044');
INSERT INTO nuke_weatherzones VALUES (2709, '39093', 'ohz010');
INSERT INTO nuke_weatherzones VALUES (2710, '39095', 'ohz003');
INSERT INTO nuke_weatherzones VALUES (2711, '39097', 'ohz054');
INSERT INTO nuke_weatherzones VALUES (2712, '39099', 'ohz033');
INSERT INTO nuke_weatherzones VALUES (2713, '39101', 'ohz036');
INSERT INTO nuke_weatherzones VALUES (2714, '39103', 'ohz020');
INSERT INTO nuke_weatherzones VALUES (2715, '39105', 'ohz085');
INSERT INTO nuke_weatherzones VALUES (2716, '39107', 'ohz034');
INSERT INTO nuke_weatherzones VALUES (2717, '39109', 'ohz051');
INSERT INTO nuke_weatherzones VALUES (2718, '39111', 'ohz069');
INSERT INTO nuke_weatherzones VALUES (2719, '39113', 'ohz061');
INSERT INTO nuke_weatherzones VALUES (2720, '39115', 'ohz067');
INSERT INTO nuke_weatherzones VALUES (2721, '39117', 'ohz037');
INSERT INTO nuke_weatherzones VALUES (2722, '39119', 'ohz057');
INSERT INTO nuke_weatherzones VALUES (2723, '39121', 'ohz068');
INSERT INTO nuke_weatherzones VALUES (2724, '39123', 'ohz007');
INSERT INTO nuke_weatherzones VALUES (2725, '39125', 'ohz015');
INSERT INTO nuke_weatherzones VALUES (2726, '39127', 'ohz066');
INSERT INTO nuke_weatherzones VALUES (2727, '39129', 'ohz064');
INSERT INTO nuke_weatherzones VALUES (2728, '39131', 'ohz082');
INSERT INTO nuke_weatherzones VALUES (2729, '39133', 'ohz022');
INSERT INTO nuke_weatherzones VALUES (2730, '39135', 'ohz060');
INSERT INTO nuke_weatherzones VALUES (2731, '39137', 'ohz016');
INSERT INTO nuke_weatherzones VALUES (2732, '39139', 'ohz029');
INSERT INTO nuke_weatherzones VALUES (2733, '39141', 'ohz073');
INSERT INTO nuke_weatherzones VALUES (2734, '39143', 'ohz008');
INSERT INTO nuke_weatherzones VALUES (2735, '39145', 'ohz088');
INSERT INTO nuke_weatherzones VALUES (2736, '39147', 'ohz018');
INSERT INTO nuke_weatherzones VALUES (2737, '39149', 'ohz043');
INSERT INTO nuke_weatherzones VALUES (2738, '39151', 'ohz032');
INSERT INTO nuke_weatherzones VALUES (2739, '39153', 'ohz021');
INSERT INTO nuke_weatherzones VALUES (2740, '39155', 'ohz023');
INSERT INTO nuke_weatherzones VALUES (2741, '39157', 'ohz039');
INSERT INTO nuke_weatherzones VALUES (2742, '39159', 'ohz045');
INSERT INTO nuke_weatherzones VALUES (2743, '39161', 'ohz024');
INSERT INTO nuke_weatherzones VALUES (2744, '39163', 'ohz084');
INSERT INTO nuke_weatherzones VALUES (2745, '39165', 'ohz071');
INSERT INTO nuke_weatherzones VALUES (2746, '39167', 'ohz076');
INSERT INTO nuke_weatherzones VALUES (2747, '39169', 'ohz031');
INSERT INTO nuke_weatherzones VALUES (2748, '39171', 'ohz001');
INSERT INTO nuke_weatherzones VALUES (2749, '39173', 'ohz006');
INSERT INTO nuke_weatherzones VALUES (2750, '39175', 'ohz027');
INSERT INTO nuke_weatherzones VALUES (2751, '40001', 'okz069');
INSERT INTO nuke_weatherzones VALUES (2752, '40003', 'okz006');
INSERT INTO nuke_weatherzones VALUES (2753, '40005', 'okz048');
INSERT INTO nuke_weatherzones VALUES (2754, '40007', 'okz003');
INSERT INTO nuke_weatherzones VALUES (2755, '40009', 'okz021');
INSERT INTO nuke_weatherzones VALUES (2756, '40011', 'okz017');
INSERT INTO nuke_weatherzones VALUES (2757, '40013', 'okz052');
INSERT INTO nuke_weatherzones VALUES (2758, '40015', 'okz023');
INSERT INTO nuke_weatherzones VALUES (2759, '40017', 'okz024');
INSERT INTO nuke_weatherzones VALUES (2760, '40019', 'okz046');
INSERT INTO nuke_weatherzones VALUES (2761, '40021', 'okz068');
INSERT INTO nuke_weatherzones VALUES (2762, '40023', 'okz053');
INSERT INTO nuke_weatherzones VALUES (2763, '40025', 'okz001');
INSERT INTO nuke_weatherzones VALUES (2764, '40027', 'okz029');
INSERT INTO nuke_weatherzones VALUES (2765, '40029', 'okz043');
INSERT INTO nuke_weatherzones VALUES (2766, '40031', 'okz038');
INSERT INTO nuke_weatherzones VALUES (2767, '40033', 'okz044');
INSERT INTO nuke_weatherzones VALUES (2768, '40035', 'okz057');
INSERT INTO nuke_weatherzones VALUES (2769, '40037', 'okz064');
INSERT INTO nuke_weatherzones VALUES (2770, '40039', 'okz016');
INSERT INTO nuke_weatherzones VALUES (2771, '40041', 'okz063');
INSERT INTO nuke_weatherzones VALUES (2772, '40043', 'okz015');
INSERT INTO nuke_weatherzones VALUES (2773, '40045', 'okz009');
INSERT INTO nuke_weatherzones VALUES (2774, '40047', 'okz012');
INSERT INTO nuke_weatherzones VALUES (2775, '40049', 'okz040');
INSERT INTO nuke_weatherzones VALUES (2776, '40051', 'okz027');
INSERT INTO nuke_weatherzones VALUES (2777, '40053', 'okz007');
INSERT INTO nuke_weatherzones VALUES (2778, '40055', 'okz034');
INSERT INTO nuke_weatherzones VALUES (2779, '40057', 'okz033');
INSERT INTO nuke_weatherzones VALUES (2780, '40059', 'okz004');
INSERT INTO nuke_weatherzones VALUES (2781, '40061', 'okz074');
INSERT INTO nuke_weatherzones VALUES (2782, '40063', 'okz032');
INSERT INTO nuke_weatherzones VALUES (2783, '40065', 'okz036');
INSERT INTO nuke_weatherzones VALUES (2784, '40067', 'okz045');
INSERT INTO nuke_weatherzones VALUES (2785, '40069', 'okz047');
INSERT INTO nuke_weatherzones VALUES (2786, '40071', 'okz008');
INSERT INTO nuke_weatherzones VALUES (2787, '40073', 'okz018');
INSERT INTO nuke_weatherzones VALUES (2788, '40075', 'okz035');
INSERT INTO nuke_weatherzones VALUES (2789, '40077', 'okz075');
INSERT INTO nuke_weatherzones VALUES (2790, '40079', 'okz076');
INSERT INTO nuke_weatherzones VALUES (2791, '40081', 'okz026');
INSERT INTO nuke_weatherzones VALUES (2792, '40083', 'okz019');
INSERT INTO nuke_weatherzones VALUES (2793, '40085', 'okz050');
INSERT INTO nuke_weatherzones VALUES (2794, '40087', 'okz028');
INSERT INTO nuke_weatherzones VALUES (2795, '40089', 'okz077');
INSERT INTO nuke_weatherzones VALUES (2796, '40091', 'okz071');
INSERT INTO nuke_weatherzones VALUES (2797, '40093', 'okz011');
INSERT INTO nuke_weatherzones VALUES (2798, '40095', 'okz051');
INSERT INTO nuke_weatherzones VALUES (2799, '40097', 'okz062');
INSERT INTO nuke_weatherzones VALUES (2800, '40099', 'okz041');
INSERT INTO nuke_weatherzones VALUES (2801, '40101', 'okz070');
INSERT INTO nuke_weatherzones VALUES (2802, '40103', 'okz013');
INSERT INTO nuke_weatherzones VALUES (2803, '40105', 'okz056');
INSERT INTO nuke_weatherzones VALUES (2804, '40107', 'okz065');
INSERT INTO nuke_weatherzones VALUES (2805, '40109', 'okz025');
INSERT INTO nuke_weatherzones VALUES (2806, '40111', 'okz066');
INSERT INTO nuke_weatherzones VALUES (2807, '40113', 'okz054');
INSERT INTO nuke_weatherzones VALUES (2808, '40115', 'okz058');
INSERT INTO nuke_weatherzones VALUES (2809, '40117', 'okz059');
INSERT INTO nuke_weatherzones VALUES (2810, '40119', 'okz020');
INSERT INTO nuke_weatherzones VALUES (2811, '40121', 'okz073');
INSERT INTO nuke_weatherzones VALUES (2812, '40123', 'okz042');
INSERT INTO nuke_weatherzones VALUES (2813, '40125', 'okz030');
INSERT INTO nuke_weatherzones VALUES (2814, '40127', 'okz049');
INSERT INTO nuke_weatherzones VALUES (2815, '40129', 'okz014');
INSERT INTO nuke_weatherzones VALUES (2816, '40131', 'okz061');
INSERT INTO nuke_weatherzones VALUES (2817, '40133', 'okz031');
INSERT INTO nuke_weatherzones VALUES (2818, '40135', 'okz072');
INSERT INTO nuke_weatherzones VALUES (2819, '40137', 'okz039');
INSERT INTO nuke_weatherzones VALUES (2820, '40139', 'okz002');
INSERT INTO nuke_weatherzones VALUES (2821, '40141', 'okz037');
INSERT INTO nuke_weatherzones VALUES (2822, '40143', 'okz060');
INSERT INTO nuke_weatherzones VALUES (2823, '40145', 'okz067');
INSERT INTO nuke_weatherzones VALUES (2824, '40147', 'okz055');
INSERT INTO nuke_weatherzones VALUES (2825, '40149', 'okz022');
INSERT INTO nuke_weatherzones VALUES (2826, '40151', 'okz005');
INSERT INTO nuke_weatherzones VALUES (2827, '40153', 'okz010');
INSERT INTO nuke_weatherzones VALUES (2828, '41001', 'orz062');
INSERT INTO nuke_weatherzones VALUES (2829, '41003', 'orz004');
INSERT INTO nuke_weatherzones VALUES (2830, '41003', 'orz008');
INSERT INTO nuke_weatherzones VALUES (2831, '41005', 'orz006');
INSERT INTO nuke_weatherzones VALUES (2832, '41005', 'orz007');
INSERT INTO nuke_weatherzones VALUES (2833, '41005', 'orz010');
INSERT INTO nuke_weatherzones VALUES (2834, '41005', 'orz011');
INSERT INTO nuke_weatherzones VALUES (2835, '41007', 'orz001');
INSERT INTO nuke_weatherzones VALUES (2836, '41007', 'orz003');
INSERT INTO nuke_weatherzones VALUES (2837, '41009', 'orz003');
INSERT INTO nuke_weatherzones VALUES (2838, '41009', 'orz005');
INSERT INTO nuke_weatherzones VALUES (2839, '41009', 'orz006');
INSERT INTO nuke_weatherzones VALUES (2840, '41011', 'orz021');
INSERT INTO nuke_weatherzones VALUES (2841, '41011', 'orz023');
INSERT INTO nuke_weatherzones VALUES (2842, '41013', 'orz043');
INSERT INTO nuke_weatherzones VALUES (2843, '41013', 'orz048');
INSERT INTO nuke_weatherzones VALUES (2844, '41015', 'orz021');
INSERT INTO nuke_weatherzones VALUES (2845, '41015', 'orz022');
INSERT INTO nuke_weatherzones VALUES (2846, '41015', 'orz024');
INSERT INTO nuke_weatherzones VALUES (2847, '41017', 'orz043');
INSERT INTO nuke_weatherzones VALUES (2848, '41019', 'orz021');
INSERT INTO nuke_weatherzones VALUES (2849, '41019', 'orz023');
INSERT INTO nuke_weatherzones VALUES (2850, '41019', 'orz025');
INSERT INTO nuke_weatherzones VALUES (2851, '41019', 'orz027');
INSERT INTO nuke_weatherzones VALUES (2852, '41021', 'orz044');
INSERT INTO nuke_weatherzones VALUES (2853, '41021', 'orz045');
INSERT INTO nuke_weatherzones VALUES (2854, '41023', 'orz047');
INSERT INTO nuke_weatherzones VALUES (2855, '41023', 'orz048');
INSERT INTO nuke_weatherzones VALUES (2856, '41025', 'orz061');
INSERT INTO nuke_weatherzones VALUES (2857, '41027', 'orz009');
INSERT INTO nuke_weatherzones VALUES (2858, '41027', 'orz011');
INSERT INTO nuke_weatherzones VALUES (2859, '41029', 'orz026');
INSERT INTO nuke_weatherzones VALUES (2860, '41029', 'orz027');
INSERT INTO nuke_weatherzones VALUES (2861, '41029', 'orz028');
INSERT INTO nuke_weatherzones VALUES (2862, '41031', 'orz042');
INSERT INTO nuke_weatherzones VALUES (2863, '41033', 'orz024');
INSERT INTO nuke_weatherzones VALUES (2864, '41033', 'orz028');
INSERT INTO nuke_weatherzones VALUES (2865, '41035', 'orz027');
INSERT INTO nuke_weatherzones VALUES (2866, '41035', 'orz028');
INSERT INTO nuke_weatherzones VALUES (2867, '41035', 'orz029');
INSERT INTO nuke_weatherzones VALUES (2868, '41035', 'orz030');
INSERT INTO nuke_weatherzones VALUES (2869, '41037', 'orz030');
INSERT INTO nuke_weatherzones VALUES (2870, '41037', 'orz031');
INSERT INTO nuke_weatherzones VALUES (2871, '41039', 'orz002');
INSERT INTO nuke_weatherzones VALUES (2872, '41039', 'orz004');
INSERT INTO nuke_weatherzones VALUES (2873, '41039', 'orz008');
INSERT INTO nuke_weatherzones VALUES (2874, '41039', 'orz012');
INSERT INTO nuke_weatherzones VALUES (2875, '41039', 'orz013');
INSERT INTO nuke_weatherzones VALUES (2876, '41041', 'orz002');
INSERT INTO nuke_weatherzones VALUES (2877, '41041', 'orz004');
INSERT INTO nuke_weatherzones VALUES (2878, '41043', 'orz008');
INSERT INTO nuke_weatherzones VALUES (2879, '41043', 'orz010');
INSERT INTO nuke_weatherzones VALUES (2880, '41043', 'orz011');
INSERT INTO nuke_weatherzones VALUES (2881, '41045', 'orz063');
INSERT INTO nuke_weatherzones VALUES (2882, '41045', 'orz064');
INSERT INTO nuke_weatherzones VALUES (2883, '41047', 'orz007');
INSERT INTO nuke_weatherzones VALUES (2884, '41047', 'orz010');
INSERT INTO nuke_weatherzones VALUES (2885, '41047', 'orz011');
INSERT INTO nuke_weatherzones VALUES (2886, '41049', 'orz044');
INSERT INTO nuke_weatherzones VALUES (2887, '41049', 'orz045');
INSERT INTO nuke_weatherzones VALUES (2888, '41049', 'orz046');
INSERT INTO nuke_weatherzones VALUES (2889, '41051', 'orz006');
INSERT INTO nuke_weatherzones VALUES (2890, '41051', 'orz009');
INSERT INTO nuke_weatherzones VALUES (2891, '41051', 'orz010');
INSERT INTO nuke_weatherzones VALUES (2892, '41051', 'orz011');
INSERT INTO nuke_weatherzones VALUES (2893, '41053', 'orz004');
INSERT INTO nuke_weatherzones VALUES (2894, '41053', 'orz007');
INSERT INTO nuke_weatherzones VALUES (2895, '41055', 'orz041');
INSERT INTO nuke_weatherzones VALUES (2896, '41055', 'orz042');
INSERT INTO nuke_weatherzones VALUES (2897, '41057', 'orz001');
INSERT INTO nuke_weatherzones VALUES (2898, '41057', 'orz003');
INSERT INTO nuke_weatherzones VALUES (2899, '41059', 'orz044');
INSERT INTO nuke_weatherzones VALUES (2900, '41059', 'orz045');
INSERT INTO nuke_weatherzones VALUES (2901, '41059', 'orz046');
INSERT INTO nuke_weatherzones VALUES (2902, '41061', 'orz046');
INSERT INTO nuke_weatherzones VALUES (2903, '41061', 'orz049');
INSERT INTO nuke_weatherzones VALUES (2904, '41061', 'orz050');
INSERT INTO nuke_weatherzones VALUES (2905, '41063', 'orz046');
INSERT INTO nuke_weatherzones VALUES (2906, '41063', 'orz050');
INSERT INTO nuke_weatherzones VALUES (2907, '41065', 'orz041');
INSERT INTO nuke_weatherzones VALUES (2908, '41065', 'orz042');
INSERT INTO nuke_weatherzones VALUES (2909, '41067', 'orz003');
INSERT INTO nuke_weatherzones VALUES (2910, '41067', 'orz006');
INSERT INTO nuke_weatherzones VALUES (2911, '41069', 'orz047');
INSERT INTO nuke_weatherzones VALUES (2912, '41069', 'orz048');
INSERT INTO nuke_weatherzones VALUES (2913, '41071', 'orz003');
INSERT INTO nuke_weatherzones VALUES (2914, '41071', 'orz007');
INSERT INTO nuke_weatherzones VALUES (2915, '42001', 'paz064');
INSERT INTO nuke_weatherzones VALUES (2916, '42003', 'paz021');
INSERT INTO nuke_weatherzones VALUES (2917, '42005', 'paz022');
INSERT INTO nuke_weatherzones VALUES (2918, '42007', 'paz020');
INSERT INTO nuke_weatherzones VALUES (2919, '42009', 'paz034');
INSERT INTO nuke_weatherzones VALUES (2920, '42011', 'paz060');
INSERT INTO nuke_weatherzones VALUES (2921, '42013', 'paz025');
INSERT INTO nuke_weatherzones VALUES (2922, '42015', 'paz038');
INSERT INTO nuke_weatherzones VALUES (2923, '42017', 'paz069');
INSERT INTO nuke_weatherzones VALUES (2924, '42019', 'paz014');
INSERT INTO nuke_weatherzones VALUES (2925, '42021', 'paz024');
INSERT INTO nuke_weatherzones VALUES (2926, '42023', 'paz011');
INSERT INTO nuke_weatherzones VALUES (2927, '42025', 'paz054');
INSERT INTO nuke_weatherzones VALUES (2928, '42027', 'paz018');
INSERT INTO nuke_weatherzones VALUES (2929, '42027', 'paz019');
INSERT INTO nuke_weatherzones VALUES (2930, '42029', 'paz067');
INSERT INTO nuke_weatherzones VALUES (2931, '42031', 'paz015');
INSERT INTO nuke_weatherzones VALUES (2932, '42033', 'paz017');
INSERT INTO nuke_weatherzones VALUES (2933, '42035', 'paz012');
INSERT INTO nuke_weatherzones VALUES (2934, '42035', 'paz045');
INSERT INTO nuke_weatherzones VALUES (2935, '42037', 'paz053');
INSERT INTO nuke_weatherzones VALUES (2936, '42039', 'paz003');
INSERT INTO nuke_weatherzones VALUES (2937, '42041', 'paz063');
INSERT INTO nuke_weatherzones VALUES (2938, '42043', 'paz057');
INSERT INTO nuke_weatherzones VALUES (2939, '42045', 'paz070');
INSERT INTO nuke_weatherzones VALUES (2940, '42047', 'paz010');
INSERT INTO nuke_weatherzones VALUES (2941, '42049', 'paz001');
INSERT INTO nuke_weatherzones VALUES (2942, '42049', 'paz002');
INSERT INTO nuke_weatherzones VALUES (2943, '42051', 'paz032');
INSERT INTO nuke_weatherzones VALUES (2944, '42053', 'paz009');
INSERT INTO nuke_weatherzones VALUES (2945, '42055', 'paz036');
INSERT INTO nuke_weatherzones VALUES (2946, '42057', 'paz035');
INSERT INTO nuke_weatherzones VALUES (2947, '42059', 'paz031');
INSERT INTO nuke_weatherzones VALUES (2948, '42061', 'paz026');
INSERT INTO nuke_weatherzones VALUES (2949, '42063', 'paz023');
INSERT INTO nuke_weatherzones VALUES (2950, '42065', 'paz016');
INSERT INTO nuke_weatherzones VALUES (2951, '42067', 'paz028');
INSERT INTO nuke_weatherzones VALUES (2952, '42069', 'paz044');
INSERT INTO nuke_weatherzones VALUES (2953, '42071', 'paz066');
INSERT INTO nuke_weatherzones VALUES (2954, '42073', 'paz013');
INSERT INTO nuke_weatherzones VALUES (2955, '42075', 'paz059');
INSERT INTO nuke_weatherzones VALUES (2956, '42077', 'paz061');
INSERT INTO nuke_weatherzones VALUES (2957, '42079', 'paz047');
INSERT INTO nuke_weatherzones VALUES (2958, '42081', 'paz041');
INSERT INTO nuke_weatherzones VALUES (2959, '42081', 'paz046');
INSERT INTO nuke_weatherzones VALUES (2960, '42083', 'paz005');
INSERT INTO nuke_weatherzones VALUES (2961, '42085', 'paz007');
INSERT INTO nuke_weatherzones VALUES (2962, '42087', 'paz027');
INSERT INTO nuke_weatherzones VALUES (2963, '42089', 'paz055');
INSERT INTO nuke_weatherzones VALUES (2964, '42091', 'paz068');
INSERT INTO nuke_weatherzones VALUES (2965, '42093', 'paz051');
INSERT INTO nuke_weatherzones VALUES (2966, '42095', 'paz062');
INSERT INTO nuke_weatherzones VALUES (2967, '42097', 'paz052');
INSERT INTO nuke_weatherzones VALUES (2968, '42099', 'paz056');
INSERT INTO nuke_weatherzones VALUES (2969, '42101', 'paz071');
INSERT INTO nuke_weatherzones VALUES (2970, '42103', 'paz048');
INSERT INTO nuke_weatherzones VALUES (2971, '42105', 'paz006');
INSERT INTO nuke_weatherzones VALUES (2972, '42107', 'paz058');
INSERT INTO nuke_weatherzones VALUES (2973, '42109', 'paz050');
INSERT INTO nuke_weatherzones VALUES (2974, '42111', 'paz033');
INSERT INTO nuke_weatherzones VALUES (2975, '42113', 'paz042');
INSERT INTO nuke_weatherzones VALUES (2976, '42115', 'paz039');
INSERT INTO nuke_weatherzones VALUES (2977, '42117', 'paz037');
INSERT INTO nuke_weatherzones VALUES (2978, '42119', 'paz049');
INSERT INTO nuke_weatherzones VALUES (2979, '42121', 'paz008');
INSERT INTO nuke_weatherzones VALUES (2980, '42123', 'paz004');
INSERT INTO nuke_weatherzones VALUES (2981, '42125', 'paz029');
INSERT INTO nuke_weatherzones VALUES (2982, '42127', 'paz040');
INSERT INTO nuke_weatherzones VALUES (2983, '42127', 'paz072');
INSERT INTO nuke_weatherzones VALUES (2984, '42129', 'paz030');
INSERT INTO nuke_weatherzones VALUES (2985, '42131', 'paz043');
INSERT INTO nuke_weatherzones VALUES (2986, '42133', 'paz065');
INSERT INTO nuke_weatherzones VALUES (2987, '44001', 'riz005');
INSERT INTO nuke_weatherzones VALUES (2988, '44003', 'riz003');
INSERT INTO nuke_weatherzones VALUES (2989, '44003', 'riz004');
INSERT INTO nuke_weatherzones VALUES (2990, '44005', 'riz007');
INSERT INTO nuke_weatherzones VALUES (2991, '44007', 'riz001');
INSERT INTO nuke_weatherzones VALUES (2992, '44007', 'riz002');
INSERT INTO nuke_weatherzones VALUES (2993, '44009', 'riz006');
INSERT INTO nuke_weatherzones VALUES (2994, '44009', 'riz008');
INSERT INTO nuke_weatherzones VALUES (2995, '45001', 'scz011');
INSERT INTO nuke_weatherzones VALUES (2996, '45003', 'scz030');
INSERT INTO nuke_weatherzones VALUES (2997, '45005', 'scz040');
INSERT INTO nuke_weatherzones VALUES (2998, '45007', 'scz010');
INSERT INTO nuke_weatherzones VALUES (2999, '45009', 'scz041');
INSERT INTO nuke_weatherzones VALUES (3000, '45011', 'scz035');
INSERT INTO nuke_weatherzones VALUES (3001, '45013', 'scz048');
INSERT INTO nuke_weatherzones VALUES (3002, '45015', 'scz045');
INSERT INTO nuke_weatherzones VALUES (3003, '45017', 'scz037');
INSERT INTO nuke_weatherzones VALUES (3004, '45019', 'scz050');
INSERT INTO nuke_weatherzones VALUES (3005, '45021', 'scz008');
INSERT INTO nuke_weatherzones VALUES (3006, '45023', 'scz014');
INSERT INTO nuke_weatherzones VALUES (3007, '45025', 'scz016');
INSERT INTO nuke_weatherzones VALUES (3008, '45027', 'scz038');
INSERT INTO nuke_weatherzones VALUES (3009, '45029', 'scz043');
INSERT INTO nuke_weatherzones VALUES (3010, '45029', 'scz049');
INSERT INTO nuke_weatherzones VALUES (3011, '45031', 'scz023');
INSERT INTO nuke_weatherzones VALUES (3012, '45033', 'scz024');
INSERT INTO nuke_weatherzones VALUES (3013, '45035', 'scz044');
INSERT INTO nuke_weatherzones VALUES (3014, '45037', 'scz025');
INSERT INTO nuke_weatherzones VALUES (3015, '45039', 'scz021');
INSERT INTO nuke_weatherzones VALUES (3016, '45041', 'scz032');
INSERT INTO nuke_weatherzones VALUES (3017, '45043', 'scz046');
INSERT INTO nuke_weatherzones VALUES (3018, '45045', 'scz003');
INSERT INTO nuke_weatherzones VALUES (3019, '45045', 'scz006');
INSERT INTO nuke_weatherzones VALUES (3020, '45047', 'scz019');
INSERT INTO nuke_weatherzones VALUES (3021, '45049', 'scz042');
INSERT INTO nuke_weatherzones VALUES (3022, '45051', 'scz034');
INSERT INTO nuke_weatherzones VALUES (3023, '45053', 'scz047');
INSERT INTO nuke_weatherzones VALUES (3024, '45053', 'scz051');
INSERT INTO nuke_weatherzones VALUES (3025, '45055', 'scz022');
INSERT INTO nuke_weatherzones VALUES (3026, '45057', 'scz015');
INSERT INTO nuke_weatherzones VALUES (3027, '45059', 'scz012');
INSERT INTO nuke_weatherzones VALUES (3028, '45061', 'scz029');
INSERT INTO nuke_weatherzones VALUES (3029, '45063', 'scz027');
INSERT INTO nuke_weatherzones VALUES (3030, '45065', 'scz018');
INSERT INTO nuke_weatherzones VALUES (3031, '45067', 'scz033');
INSERT INTO nuke_weatherzones VALUES (3032, '45069', 'scz017');
INSERT INTO nuke_weatherzones VALUES (3033, '45071', 'scz020');
INSERT INTO nuke_weatherzones VALUES (3034, '45073', 'scz001');
INSERT INTO nuke_weatherzones VALUES (3035, '45073', 'scz004');
INSERT INTO nuke_weatherzones VALUES (3036, '45075', 'scz036');
INSERT INTO nuke_weatherzones VALUES (3037, '45077', 'scz002');
INSERT INTO nuke_weatherzones VALUES (3038, '45077', 'scz005');
INSERT INTO nuke_weatherzones VALUES (3039, '45079', 'scz028');
INSERT INTO nuke_weatherzones VALUES (3040, '45081', 'scz026');
INSERT INTO nuke_weatherzones VALUES (3041, '45083', 'scz007');
INSERT INTO nuke_weatherzones VALUES (3042, '45085', 'scz031');
INSERT INTO nuke_weatherzones VALUES (3043, '45087', 'scz013');
INSERT INTO nuke_weatherzones VALUES (3044, '45089', 'scz039');
INSERT INTO nuke_weatherzones VALUES (3045, '45091', 'scz009');
INSERT INTO nuke_weatherzones VALUES (3046, '46003', 'sdz058');
INSERT INTO nuke_weatherzones VALUES (3047, '46005', 'sdz038');
INSERT INTO nuke_weatherzones VALUES (3048, '46007', 'sdz044');
INSERT INTO nuke_weatherzones VALUES (3049, '46009', 'sdz068');
INSERT INTO nuke_weatherzones VALUES (3050, '46011', 'sdz040');
INSERT INTO nuke_weatherzones VALUES (3051, '46013', 'sdz006');
INSERT INTO nuke_weatherzones VALUES (3052, '46015', 'sdz057');
INSERT INTO nuke_weatherzones VALUES (3053, '46017', 'sdz051');
INSERT INTO nuke_weatherzones VALUES (3054, '46019', 'sdz012');
INSERT INTO nuke_weatherzones VALUES (3055, '46019', 'sdz025');
INSERT INTO nuke_weatherzones VALUES (3056, '46021', 'sdz004');
INSERT INTO nuke_weatherzones VALUES (3057, '46023', 'sdz063');
INSERT INTO nuke_weatherzones VALUES (3058, '46025', 'sdz019');
INSERT INTO nuke_weatherzones VALUES (3059, '46027', 'sdz070');
INSERT INTO nuke_weatherzones VALUES (3060, '46029', 'sdz020');
INSERT INTO nuke_weatherzones VALUES (3061, '46031', 'sdz003');
INSERT INTO nuke_weatherzones VALUES (3062, '46033', 'sdz029');
INSERT INTO nuke_weatherzones VALUES (3063, '46033', 'sdz030');
INSERT INTO nuke_weatherzones VALUES (3064, '46033', 'sdz074');
INSERT INTO nuke_weatherzones VALUES (3065, '46035', 'sdz059');
INSERT INTO nuke_weatherzones VALUES (3066, '46037', 'sdz011');
INSERT INTO nuke_weatherzones VALUES (3067, '46039', 'sdz023');
INSERT INTO nuke_weatherzones VALUES (3068, '46041', 'sdz015');
INSERT INTO nuke_weatherzones VALUES (3069, '46043', 'sdz064');
INSERT INTO nuke_weatherzones VALUES (3070, '46045', 'sdz010');
INSERT INTO nuke_weatherzones VALUES (3071, '46047', 'sdz027');
INSERT INTO nuke_weatherzones VALUES (3072, '46047', 'sdz041');
INSERT INTO nuke_weatherzones VALUES (3073, '46049', 'sdz017');
INSERT INTO nuke_weatherzones VALUES (3074, '46051', 'sdz021');
INSERT INTO nuke_weatherzones VALUES (3075, '46053', 'sdz050');
INSERT INTO nuke_weatherzones VALUES (3076, '46055', 'sdz032');
INSERT INTO nuke_weatherzones VALUES (3077, '46057', 'sdz022');
INSERT INTO nuke_weatherzones VALUES (3078, '46059', 'sdz037');
INSERT INTO nuke_weatherzones VALUES (3079, '46061', 'sdz060');
INSERT INTO nuke_weatherzones VALUES (3080, '46063', 'sdz001');
INSERT INTO nuke_weatherzones VALUES (3081, '46065', 'sdz035');
INSERT INTO nuke_weatherzones VALUES (3082, '46067', 'sdz065');
INSERT INTO nuke_weatherzones VALUES (3083, '46069', 'sdz036');
INSERT INTO nuke_weatherzones VALUES (3084, '46071', 'sdz043');
INSERT INTO nuke_weatherzones VALUES (3085, '46073', 'sdz052');
INSERT INTO nuke_weatherzones VALUES (3086, '46075', 'sdz045');
INSERT INTO nuke_weatherzones VALUES (3087, '46077', 'sdz039');
INSERT INTO nuke_weatherzones VALUES (3088, '46079', 'sdz055');
INSERT INTO nuke_weatherzones VALUES (3089, '46081', 'sdz024');
INSERT INTO nuke_weatherzones VALUES (3090, '46081', 'sdz025');
INSERT INTO nuke_weatherzones VALUES (3091, '46083', 'sdz067');
INSERT INTO nuke_weatherzones VALUES (3092, '46085', 'sdz048');
INSERT INTO nuke_weatherzones VALUES (3093, '46087', 'sdz061');
INSERT INTO nuke_weatherzones VALUES (3094, '46089', 'sdz005');
INSERT INTO nuke_weatherzones VALUES (3095, '46091', 'sdz007');
INSERT INTO nuke_weatherzones VALUES (3096, '46093', 'sdz013');
INSERT INTO nuke_weatherzones VALUES (3097, '46093', 'sdz024');
INSERT INTO nuke_weatherzones VALUES (3098, '46093', 'sdz025');
INSERT INTO nuke_weatherzones VALUES (3099, '46093', 'sdz072');
INSERT INTO nuke_weatherzones VALUES (3100, '46093', 'sdz073');
INSERT INTO nuke_weatherzones VALUES (3101, '46095', 'sdz046');
INSERT INTO nuke_weatherzones VALUES (3102, '46097', 'sdz054');
INSERT INTO nuke_weatherzones VALUES (3103, '46099', 'sdz062');
INSERT INTO nuke_weatherzones VALUES (3104, '46101', 'sdz056');
INSERT INTO nuke_weatherzones VALUES (3105, '46103', 'sdz026');
INSERT INTO nuke_weatherzones VALUES (3106, '46103', 'sdz028');
INSERT INTO nuke_weatherzones VALUES (3107, '46103', 'sdz031');
INSERT INTO nuke_weatherzones VALUES (3108, '46105', 'sdz002');
INSERT INTO nuke_weatherzones VALUES (3109, '46107', 'sdz016');
INSERT INTO nuke_weatherzones VALUES (3110, '46109', 'sdz008');
INSERT INTO nuke_weatherzones VALUES (3111, '46111', 'sdz053');
INSERT INTO nuke_weatherzones VALUES (3112, '46113', 'sdz042');
INSERT INTO nuke_weatherzones VALUES (3113, '46115', 'sdz018');
INSERT INTO nuke_weatherzones VALUES (3114, '46117', 'sdz033');
INSERT INTO nuke_weatherzones VALUES (3115, '46119', 'sdz034');
INSERT INTO nuke_weatherzones VALUES (3116, '46121', 'sdz047');
INSERT INTO nuke_weatherzones VALUES (3117, '46123', 'sdz049');
INSERT INTO nuke_weatherzones VALUES (3118, '46125', 'sdz066');
INSERT INTO nuke_weatherzones VALUES (3119, '46127', 'sdz071');
INSERT INTO nuke_weatherzones VALUES (3120, '46129', 'sdz009');
INSERT INTO nuke_weatherzones VALUES (3121, '46135', 'sdz069');
INSERT INTO nuke_weatherzones VALUES (3122, '46137', 'sdz014');
INSERT INTO nuke_weatherzones VALUES (3123, '47001', 'tnz036');
INSERT INTO nuke_weatherzones VALUES (3124, '47003', 'tnz075');
INSERT INTO nuke_weatherzones VALUES (3125, '47005', 'tnz022');
INSERT INTO nuke_weatherzones VALUES (3126, '47007', 'tnz082');
INSERT INTO nuke_weatherzones VALUES (3127, '47009', 'tnz071');
INSERT INTO nuke_weatherzones VALUES (3128, '47009', 'tnz072');
INSERT INTO nuke_weatherzones VALUES (3129, '47011', 'tnz100');
INSERT INTO nuke_weatherzones VALUES (3130, '47013', 'tnz013');
INSERT INTO nuke_weatherzones VALUES (3131, '47015', 'tnz063');
INSERT INTO nuke_weatherzones VALUES (3132, '47017', 'tnz021');
INSERT INTO nuke_weatherzones VALUES (3133, '47019', 'tnz046');
INSERT INTO nuke_weatherzones VALUES (3134, '47019', 'tnz047');
INSERT INTO nuke_weatherzones VALUES (3135, '47021', 'tnz026');
INSERT INTO nuke_weatherzones VALUES (3136, '47023', 'tnz053');
INSERT INTO nuke_weatherzones VALUES (3137, '47025', 'tnz014');
INSERT INTO nuke_weatherzones VALUES (3138, '47027', 'tnz010');
INSERT INTO nuke_weatherzones VALUES (3139, '47029', 'tnz040');
INSERT INTO nuke_weatherzones VALUES (3140, '47029', 'tnz041');
INSERT INTO nuke_weatherzones VALUES (3141, '47031', 'tnz077');
INSERT INTO nuke_weatherzones VALUES (3142, '47033', 'tnz051');
INSERT INTO nuke_weatherzones VALUES (3143, '47035', 'tnz066');
INSERT INTO nuke_weatherzones VALUES (3144, '47037', 'tnz027');
INSERT INTO nuke_weatherzones VALUES (3145, '47039', 'tnz055');
INSERT INTO nuke_weatherzones VALUES (3146, '47041', 'tnz064');
INSERT INTO nuke_weatherzones VALUES (3147, '47043', 'tnz025');
INSERT INTO nuke_weatherzones VALUES (3148, '47045', 'tnz019');
INSERT INTO nuke_weatherzones VALUES (3149, '47047', 'tnz089');
INSERT INTO nuke_weatherzones VALUES (3150, '47049', 'tnz034');
INSERT INTO nuke_weatherzones VALUES (3151, '47051', 'tnz097');
INSERT INTO nuke_weatherzones VALUES (3152, '47053', 'tnz020');
INSERT INTO nuke_weatherzones VALUES (3153, '47055', 'tnz095');
INSERT INTO nuke_weatherzones VALUES (3154, '47057', 'tnz038');
INSERT INTO nuke_weatherzones VALUES (3155, '47059', 'tnz042');
INSERT INTO nuke_weatherzones VALUES (3156, '47059', 'tnz043');
INSERT INTO nuke_weatherzones VALUES (3157, '47061', 'tnz079');
INSERT INTO nuke_weatherzones VALUES (3158, '47063', 'tnz039');
INSERT INTO nuke_weatherzones VALUES (3159, '47065', 'tnz099');
INSERT INTO nuke_weatherzones VALUES (3160, '47067', 'tnz015');
INSERT INTO nuke_weatherzones VALUES (3161, '47069', 'tnz090');
INSERT INTO nuke_weatherzones VALUES (3162, '47071', 'tnz092');
INSERT INTO nuke_weatherzones VALUES (3163, '47073', 'tnz016');
INSERT INTO nuke_weatherzones VALUES (3164, '47075', 'tnz050');
INSERT INTO nuke_weatherzones VALUES (3165, '47077', 'tnz054');
INSERT INTO nuke_weatherzones VALUES (3166, '47079', 'tnz004');
INSERT INTO nuke_weatherzones VALUES (3167, '47081', 'tnz057');
INSERT INTO nuke_weatherzones VALUES (3168, '47083', 'tnz023');
INSERT INTO nuke_weatherzones VALUES (3169, '47085', 'tnz024');
INSERT INTO nuke_weatherzones VALUES (3170, '47087', 'tnz031');
INSERT INTO nuke_weatherzones VALUES (3171, '47089', 'tnz070');
INSERT INTO nuke_weatherzones VALUES (3172, '47091', 'tnz018');
INSERT INTO nuke_weatherzones VALUES (3173, '47093', 'tnz069');
INSERT INTO nuke_weatherzones VALUES (3174, '47095', 'tnz001');
INSERT INTO nuke_weatherzones VALUES (3175, '47097', 'tnz048');
INSERT INTO nuke_weatherzones VALUES (3176, '47099', 'tnz094');
INSERT INTO nuke_weatherzones VALUES (3177, '47101', 'tnz058');
INSERT INTO nuke_weatherzones VALUES (3178, '47103', 'tnz096');
INSERT INTO nuke_weatherzones VALUES (3179, '47105', 'tnz068');
INSERT INTO nuke_weatherzones VALUES (3180, '47107', 'tnz085');
INSERT INTO nuke_weatherzones VALUES (3181, '47109', 'tnz091');
INSERT INTO nuke_weatherzones VALUES (3182, '47111', 'tnz009');
INSERT INTO nuke_weatherzones VALUES (3183, '47113', 'tnz052');
INSERT INTO nuke_weatherzones VALUES (3184, '47115', 'tnz098');
INSERT INTO nuke_weatherzones VALUES (3185, '47117', 'tnz061');
INSERT INTO nuke_weatherzones VALUES (3186, '47119', 'tnz060');
INSERT INTO nuke_weatherzones VALUES (3187, '47121', 'tnz084');
INSERT INTO nuke_weatherzones VALUES (3188, '47123', 'tnz086');
INSERT INTO nuke_weatherzones VALUES (3189, '47123', 'tnz087');
INSERT INTO nuke_weatherzones VALUES (3190, '47125', 'tnz006');
INSERT INTO nuke_weatherzones VALUES (3191, '47127', 'tnz076');
INSERT INTO nuke_weatherzones VALUES (3192, '47129', 'tnz035');
INSERT INTO nuke_weatherzones VALUES (3193, '47131', 'tnz002');
INSERT INTO nuke_weatherzones VALUES (3194, '47133', 'tnz033');
INSERT INTO nuke_weatherzones VALUES (3195, '47135', 'tnz056');
INSERT INTO nuke_weatherzones VALUES (3196, '47137', 'tnz011');
INSERT INTO nuke_weatherzones VALUES (3197, '47139', 'tnz101');
INSERT INTO nuke_weatherzones VALUES (3198, '47139', 'tnz102');
INSERT INTO nuke_weatherzones VALUES (3199, '47141', 'tnz032');
INSERT INTO nuke_weatherzones VALUES (3200, '47143', 'tnz083');
INSERT INTO nuke_weatherzones VALUES (3201, '47145', 'tnz067');
INSERT INTO nuke_weatherzones VALUES (3202, '47147', 'tnz007');
INSERT INTO nuke_weatherzones VALUES (3203, '47149', 'tnz062');
INSERT INTO nuke_weatherzones VALUES (3204, '47151', 'tnz012');
INSERT INTO nuke_weatherzones VALUES (3205, '47153', 'tnz081');
INSERT INTO nuke_weatherzones VALUES (3206, '47155', 'tnz073');
INSERT INTO nuke_weatherzones VALUES (3207, '47155', 'tnz074');
INSERT INTO nuke_weatherzones VALUES (3208, '47157', 'tnz088');
INSERT INTO nuke_weatherzones VALUES (3209, '47159', 'tnz030');
INSERT INTO nuke_weatherzones VALUES (3210, '47161', 'tnz005');
INSERT INTO nuke_weatherzones VALUES (3211, '47163', 'tnz017');
INSERT INTO nuke_weatherzones VALUES (3212, '47165', 'tnz008');
INSERT INTO nuke_weatherzones VALUES (3213, '47167', 'tnz049');
INSERT INTO nuke_weatherzones VALUES (3214, '47169', 'tnz029');
INSERT INTO nuke_weatherzones VALUES (3215, '47171', 'tnz045');
INSERT INTO nuke_weatherzones VALUES (3216, '47173', 'tnz037');
INSERT INTO nuke_weatherzones VALUES (3217, '47175', 'tnz080');
INSERT INTO nuke_weatherzones VALUES (3218, '47177', 'tnz078');
INSERT INTO nuke_weatherzones VALUES (3219, '47179', 'tnz044');
INSERT INTO nuke_weatherzones VALUES (3220, '47181', 'tnz093');
INSERT INTO nuke_weatherzones VALUES (3221, '47183', 'tnz003');
INSERT INTO nuke_weatherzones VALUES (3222, '47185', 'tnz065');
INSERT INTO nuke_weatherzones VALUES (3223, '47187', 'tnz059');
INSERT INTO nuke_weatherzones VALUES (3224, '47189', 'tnz028');
INSERT INTO nuke_weatherzones VALUES (3225, '48001', 'txz148');
INSERT INTO nuke_weatherzones VALUES (3226, '48003', 'txz050');
INSERT INTO nuke_weatherzones VALUES (3227, '48005', 'txz165');
INSERT INTO nuke_weatherzones VALUES (3228, '48007', 'txz245');
INSERT INTO nuke_weatherzones VALUES (3229, '48009', 'txz089');
INSERT INTO nuke_weatherzones VALUES (3230, '48011', 'txz018');
INSERT INTO nuke_weatherzones VALUES (3231, '48013', 'txz220');
INSERT INTO nuke_weatherzones VALUES (3232, '48015', 'txz211');
INSERT INTO nuke_weatherzones VALUES (3233, '48017', 'txz027');
INSERT INTO nuke_weatherzones VALUES (3234, '48019', 'txz187');
INSERT INTO nuke_weatherzones VALUES (3235, '48021', 'txz193');
INSERT INTO nuke_weatherzones VALUES (3236, '48023', 'txz088');
INSERT INTO nuke_weatherzones VALUES (3237, '48025', 'txz232');
INSERT INTO nuke_weatherzones VALUES (3238, '48027', 'txz158');
INSERT INTO nuke_weatherzones VALUES (3239, '48029', 'txz205');
INSERT INTO nuke_weatherzones VALUES (3240, '48031', 'txz190');
INSERT INTO nuke_weatherzones VALUES (3241, '48033', 'txz047');
INSERT INTO nuke_weatherzones VALUES (3242, '48035', 'txz144');
INSERT INTO nuke_weatherzones VALUES (3243, '48037', 'txz097');
INSERT INTO nuke_weatherzones VALUES (3244, '48039', 'txz237');
INSERT INTO nuke_weatherzones VALUES (3245, '48041', 'txz196');
INSERT INTO nuke_weatherzones VALUES (3246, '48043', 'txz074');
INSERT INTO nuke_weatherzones VALUES (3247, '48043', 'txz081');
INSERT INTO nuke_weatherzones VALUES (3248, '48045', 'txz024');
INSERT INTO nuke_weatherzones VALUES (3249, '48047', 'txz250');
INSERT INTO nuke_weatherzones VALUES (3250, '48049', 'txz140');
INSERT INTO nuke_weatherzones VALUES (3251, '48051', 'txz195');
INSERT INTO nuke_weatherzones VALUES (3252, '48053', 'txz172');
INSERT INTO nuke_weatherzones VALUES (3253, '48055', 'txz208');
INSERT INTO nuke_weatherzones VALUES (3254, '48057', 'txz247');
INSERT INTO nuke_weatherzones VALUES (3255, '48059', 'txz128');
INSERT INTO nuke_weatherzones VALUES (3256, '48061', 'txz255');
INSERT INTO nuke_weatherzones VALUES (3257, '48061', 'txz257');
INSERT INTO nuke_weatherzones VALUES (3258, '48063', 'txz110');
INSERT INTO nuke_weatherzones VALUES (3259, '48065', 'txz013');
INSERT INTO nuke_weatherzones VALUES (3260, '48067', 'txz112');
INSERT INTO nuke_weatherzones VALUES (3261, '48069', 'txz022');
INSERT INTO nuke_weatherzones VALUES (3262, '48071', 'txz214');
INSERT INTO nuke_weatherzones VALUES (3263, '48073', 'txz149');
INSERT INTO nuke_weatherzones VALUES (3264, '48075', 'txz026');
INSERT INTO nuke_weatherzones VALUES (3265, '48077', 'txz090');
INSERT INTO nuke_weatherzones VALUES (3266, '48079', 'txz033');
INSERT INTO nuke_weatherzones VALUES (3267, '48081', 'txz065');
INSERT INTO nuke_weatherzones VALUES (3268, '48083', 'txz139');
INSERT INTO nuke_weatherzones VALUES (3269, '48085', 'txz104');
INSERT INTO nuke_weatherzones VALUES (3270, '48087', 'txz020');
INSERT INTO nuke_weatherzones VALUES (3271, '48089', 'txz210');
INSERT INTO nuke_weatherzones VALUES (3272, '48091', 'txz206');
INSERT INTO nuke_weatherzones VALUES (3273, '48093', 'txz141');
INSERT INTO nuke_weatherzones VALUES (3274, '48095', 'txz073');
INSERT INTO nuke_weatherzones VALUES (3275, '48097', 'txz092');
INSERT INTO nuke_weatherzones VALUES (3276, '48099', 'txz157');
INSERT INTO nuke_weatherzones VALUES (3277, '48101', 'txz032');
INSERT INTO nuke_weatherzones VALUES (3278, '48103', 'txz068');
INSERT INTO nuke_weatherzones VALUES (3279, '48105', 'txz076');
INSERT INTO nuke_weatherzones VALUES (3280, '48107', 'txz036');
INSERT INTO nuke_weatherzones VALUES (3281, '48109', 'txz057');
INSERT INTO nuke_weatherzones VALUES (3282, '48109', 'txz058');
INSERT INTO nuke_weatherzones VALUES (3283, '48109', 'txz074');
INSERT INTO nuke_weatherzones VALUES (3284, '48109', 'txz258');
INSERT INTO nuke_weatherzones VALUES (3285, '48111', 'txz001');
INSERT INTO nuke_weatherzones VALUES (3286, '48113', 'txz119');
INSERT INTO nuke_weatherzones VALUES (3287, '48115', 'txz046');
INSERT INTO nuke_weatherzones VALUES (3288, '48117', 'txz016');
INSERT INTO nuke_weatherzones VALUES (3289, '48119', 'txz106');
INSERT INTO nuke_weatherzones VALUES (3290, '48121', 'txz103');
INSERT INTO nuke_weatherzones VALUES (3291, '48123', 'txz224');
INSERT INTO nuke_weatherzones VALUES (3292, '48125', 'txz037');
INSERT INTO nuke_weatherzones VALUES (3293, '48127', 'txz228');
INSERT INTO nuke_weatherzones VALUES (3294, '48129', 'txz019');
INSERT INTO nuke_weatherzones VALUES (3295, '48131', 'txz240');
INSERT INTO nuke_weatherzones VALUES (3296, '48133', 'txz129');
INSERT INTO nuke_weatherzones VALUES (3297, '48135', 'txz061');
INSERT INTO nuke_weatherzones VALUES (3298, '48137', 'txz184');
INSERT INTO nuke_weatherzones VALUES (3299, '48139', 'txz134');
INSERT INTO nuke_weatherzones VALUES (3300, '48141', 'txz055');
INSERT INTO nuke_weatherzones VALUES (3301, '48143', 'txz130');
INSERT INTO nuke_weatherzones VALUES (3302, '48145', 'txz160');
INSERT INTO nuke_weatherzones VALUES (3303, '48147', 'txz094');
INSERT INTO nuke_weatherzones VALUES (3304, '48149', 'txz209');
INSERT INTO nuke_weatherzones VALUES (3305, '48151', 'txz049');
INSERT INTO nuke_weatherzones VALUES (3306, '48153', 'txz030');
INSERT INTO nuke_weatherzones VALUES (3307, '48155', 'txz084');
INSERT INTO nuke_weatherzones VALUES (3308, '48157', 'txz227');
INSERT INTO nuke_weatherzones VALUES (3309, '48159', 'txz108');
INSERT INTO nuke_weatherzones VALUES (3310, '48161', 'txz147');
INSERT INTO nuke_weatherzones VALUES (3311, '48163', 'txz219');
INSERT INTO nuke_weatherzones VALUES (3312, '48165', 'txz045');
INSERT INTO nuke_weatherzones VALUES (3313, '48167', 'txz238');
INSERT INTO nuke_weatherzones VALUES (3314, '48169', 'txz042');
INSERT INTO nuke_weatherzones VALUES (3315, '48171', 'txz188');
INSERT INTO nuke_weatherzones VALUES (3316, '48173', 'txz063');
INSERT INTO nuke_weatherzones VALUES (3317, '48175', 'txz233');
INSERT INTO nuke_weatherzones VALUES (3318, '48177', 'txz223');
INSERT INTO nuke_weatherzones VALUES (3319, '48179', 'txz014');
INSERT INTO nuke_weatherzones VALUES (3320, '48181', 'txz093');
INSERT INTO nuke_weatherzones VALUES (3321, '48183', 'txz137');
INSERT INTO nuke_weatherzones VALUES (3322, '48185', 'txz198');
INSERT INTO nuke_weatherzones VALUES (3323, '48187', 'txz207');
INSERT INTO nuke_weatherzones VALUES (3324, '48189', 'txz029');
INSERT INTO nuke_weatherzones VALUES (3325, '48191', 'txz025');
INSERT INTO nuke_weatherzones VALUES (3326, '48193', 'txz143');
INSERT INTO nuke_weatherzones VALUES (3327, '48195', 'txz003');
INSERT INTO nuke_weatherzones VALUES (3328, '48197', 'txz083');
INSERT INTO nuke_weatherzones VALUES (3329, '48199', 'txz201');
INSERT INTO nuke_weatherzones VALUES (3330, '48201', 'txz213');
INSERT INTO nuke_weatherzones VALUES (3331, '48203', 'txz138');
INSERT INTO nuke_weatherzones VALUES (3332, '48205', 'txz006');
INSERT INTO nuke_weatherzones VALUES (3333, '48207', 'txz098');
INSERT INTO nuke_weatherzones VALUES (3334, '48209', 'txz191');
INSERT INTO nuke_weatherzones VALUES (3335, '48211', 'txz010');
INSERT INTO nuke_weatherzones VALUES (3336, '48213', 'txz135');
INSERT INTO nuke_weatherzones VALUES (3337, '48215', 'txz253');
INSERT INTO nuke_weatherzones VALUES (3338, '48217', 'txz145');
INSERT INTO nuke_weatherzones VALUES (3339, '48219', 'txz034');
INSERT INTO nuke_weatherzones VALUES (3340, '48221', 'txz131');
INSERT INTO nuke_weatherzones VALUES (3341, '48223', 'txz107');
INSERT INTO nuke_weatherzones VALUES (3342, '48225', 'txz163');
INSERT INTO nuke_weatherzones VALUES (3343, '48227', 'txz052');
INSERT INTO nuke_weatherzones VALUES (3344, '48229', 'txz056');
INSERT INTO nuke_weatherzones VALUES (3345, '48231', 'txz105');
INSERT INTO nuke_weatherzones VALUES (3346, '48233', 'txz008');
INSERT INTO nuke_weatherzones VALUES (3347, '48235', 'txz071');
INSERT INTO nuke_weatherzones VALUES (3348, '48237', 'txz101');
INSERT INTO nuke_weatherzones VALUES (3349, '48239', 'txz235');
INSERT INTO nuke_weatherzones VALUES (3350, '48241', 'txz181');
INSERT INTO nuke_weatherzones VALUES (3351, '48243', 'txz074');
INSERT INTO nuke_weatherzones VALUES (3352, '48243', 'txz080');
INSERT INTO nuke_weatherzones VALUES (3353, '48245', 'txz215');
INSERT INTO nuke_weatherzones VALUES (3354, '48247', 'txz249');
INSERT INTO nuke_weatherzones VALUES (3355, '48249', 'txz241');
INSERT INTO nuke_weatherzones VALUES (3356, '48251', 'txz133');
INSERT INTO nuke_weatherzones VALUES (3357, '48253', 'txz113');
INSERT INTO nuke_weatherzones VALUES (3358, '48255', 'txz222');
INSERT INTO nuke_weatherzones VALUES (3359, '48257', 'txz121');
INSERT INTO nuke_weatherzones VALUES (3360, '48259', 'txz189');
INSERT INTO nuke_weatherzones VALUES (3361, '48261', 'txz251');
INSERT INTO nuke_weatherzones VALUES (3362, '48263', 'txz043');
INSERT INTO nuke_weatherzones VALUES (3363, '48265', 'txz186');
INSERT INTO nuke_weatherzones VALUES (3364, '48267', 'txz169');
INSERT INTO nuke_weatherzones VALUES (3365, '48269', 'txz038');
INSERT INTO nuke_weatherzones VALUES (3366, '48271', 'txz202');
INSERT INTO nuke_weatherzones VALUES (3367, '48273', 'txz242');
INSERT INTO nuke_weatherzones VALUES (3368, '48275', 'txz087');
INSERT INTO nuke_weatherzones VALUES (3369, '48277', 'txz095');
INSERT INTO nuke_weatherzones VALUES (3370, '48279', 'txz028');
INSERT INTO nuke_weatherzones VALUES (3371, '48281', 'txz156');
INSERT INTO nuke_weatherzones VALUES (3372, '48283', 'txz229');
INSERT INTO nuke_weatherzones VALUES (3373, '48285', 'txz225');
INSERT INTO nuke_weatherzones VALUES (3374, '48287', 'txz194');
INSERT INTO nuke_weatherzones VALUES (3375, '48289', 'txz162');
INSERT INTO nuke_weatherzones VALUES (3376, '48291', 'txz200');
INSERT INTO nuke_weatherzones VALUES (3377, '48293', 'txz161');
INSERT INTO nuke_weatherzones VALUES (3378, '48295', 'txz005');
INSERT INTO nuke_weatherzones VALUES (3379, '48297', 'txz231');
INSERT INTO nuke_weatherzones VALUES (3380, '48299', 'txz171');
INSERT INTO nuke_weatherzones VALUES (3381, '48301', 'txz059');
INSERT INTO nuke_weatherzones VALUES (3382, '48303', 'txz035');
INSERT INTO nuke_weatherzones VALUES (3383, '48305', 'txz041');
INSERT INTO nuke_weatherzones VALUES (3384, '48307', 'txz154');
INSERT INTO nuke_weatherzones VALUES (3385, '48309', 'txz159');
INSERT INTO nuke_weatherzones VALUES (3386, '48311', 'txz230');
INSERT INTO nuke_weatherzones VALUES (3387, '48313', 'txz176');
INSERT INTO nuke_weatherzones VALUES (3388, '48315', 'txz126');
INSERT INTO nuke_weatherzones VALUES (3389, '48317', 'txz051');
INSERT INTO nuke_weatherzones VALUES (3390, '48319', 'txz170');
INSERT INTO nuke_weatherzones VALUES (3391, '48321', 'txz236');
INSERT INTO nuke_weatherzones VALUES (3392, '48323', 'txz217');
INSERT INTO nuke_weatherzones VALUES (3393, '48325', 'txz204');
INSERT INTO nuke_weatherzones VALUES (3394, '48327', 'txz168');
INSERT INTO nuke_weatherzones VALUES (3395, '48329', 'txz062');
INSERT INTO nuke_weatherzones VALUES (3396, '48331', 'txz174');
INSERT INTO nuke_weatherzones VALUES (3397, '48333', 'txz142');
INSERT INTO nuke_weatherzones VALUES (3398, '48335', 'txz053');
INSERT INTO nuke_weatherzones VALUES (3399, '48337', 'txz091');
INSERT INTO nuke_weatherzones VALUES (3400, '48339', 'txz199');
INSERT INTO nuke_weatherzones VALUES (3401, '48341', 'txz007');
INSERT INTO nuke_weatherzones VALUES (3402, '48343', 'txz111');
INSERT INTO nuke_weatherzones VALUES (3403, '48345', 'txz031');
INSERT INTO nuke_weatherzones VALUES (3404, '48347', 'txz152');
INSERT INTO nuke_weatherzones VALUES (3405, '48349', 'txz146');
INSERT INTO nuke_weatherzones VALUES (3406, '48351', 'txz182');
INSERT INTO nuke_weatherzones VALUES (3407, '48353', 'txz054');
INSERT INTO nuke_weatherzones VALUES (3408, '48355', 'txz243');
INSERT INTO nuke_weatherzones VALUES (3409, '48357', 'txz004');
INSERT INTO nuke_weatherzones VALUES (3410, '48359', 'txz011');
INSERT INTO nuke_weatherzones VALUES (3411, '48361', 'txz216');
INSERT INTO nuke_weatherzones VALUES (3412, '48363', 'txz116');
INSERT INTO nuke_weatherzones VALUES (3413, '48365', 'txz151');
INSERT INTO nuke_weatherzones VALUES (3414, '48367', 'txz117');
INSERT INTO nuke_weatherzones VALUES (3415, '48369', 'txz021');
INSERT INTO nuke_weatherzones VALUES (3416, '48371', 'txz075');
INSERT INTO nuke_weatherzones VALUES (3417, '48373', 'txz179');
INSERT INTO nuke_weatherzones VALUES (3418, '48375', 'txz012');
INSERT INTO nuke_weatherzones VALUES (3419, '48377', 'txz079');
INSERT INTO nuke_weatherzones VALUES (3420, '48377', 'txz080');
INSERT INTO nuke_weatherzones VALUES (3421, '48379', 'txz123');
INSERT INTO nuke_weatherzones VALUES (3422, '48381', 'txz017');
INSERT INTO nuke_weatherzones VALUES (3423, '48383', 'txz070');
INSERT INTO nuke_weatherzones VALUES (3424, '48385', 'txz185');
INSERT INTO nuke_weatherzones VALUES (3425, '48387', 'txz096');
INSERT INTO nuke_weatherzones VALUES (3426, '48389', 'txz058');
INSERT INTO nuke_weatherzones VALUES (3427, '48389', 'txz074');
INSERT INTO nuke_weatherzones VALUES (3428, '48391', 'txz246');
INSERT INTO nuke_weatherzones VALUES (3429, '48393', 'txz009');
INSERT INTO nuke_weatherzones VALUES (3430, '48395', 'txz175');
INSERT INTO nuke_weatherzones VALUES (3431, '48397', 'txz120');
INSERT INTO nuke_weatherzones VALUES (3432, '48399', 'txz066');
INSERT INTO nuke_weatherzones VALUES (3433, '48401', 'txz150');
INSERT INTO nuke_weatherzones VALUES (3434, '48403', 'txz167');
INSERT INTO nuke_weatherzones VALUES (3435, '48405', 'txz166');
INSERT INTO nuke_weatherzones VALUES (3436, '48407', 'txz178');
INSERT INTO nuke_weatherzones VALUES (3437, '48409', 'txz244');
INSERT INTO nuke_weatherzones VALUES (3438, '48411', 'txz155');
INSERT INTO nuke_weatherzones VALUES (3439, '48413', 'txz077');
INSERT INTO nuke_weatherzones VALUES (3440, '48415', 'txz048');
INSERT INTO nuke_weatherzones VALUES (3441, '48417', 'txz114');
INSERT INTO nuke_weatherzones VALUES (3442, '48419', 'txz153');
INSERT INTO nuke_weatherzones VALUES (3443, '48421', 'txz002');
INSERT INTO nuke_weatherzones VALUES (3444, '48423', 'txz136');
INSERT INTO nuke_weatherzones VALUES (3445, '48425', 'txz132');
INSERT INTO nuke_weatherzones VALUES (3446, '48427', 'txz252');
INSERT INTO nuke_weatherzones VALUES (3447, '48429', 'txz115');
INSERT INTO nuke_weatherzones VALUES (3448, '48431', 'txz064');
INSERT INTO nuke_weatherzones VALUES (3449, '48433', 'txz044');
INSERT INTO nuke_weatherzones VALUES (3450, '48435', 'txz078');
INSERT INTO nuke_weatherzones VALUES (3451, '48437', 'txz023');
INSERT INTO nuke_weatherzones VALUES (3452, '48439', 'txz118');
INSERT INTO nuke_weatherzones VALUES (3453, '48441', 'txz127');
INSERT INTO nuke_weatherzones VALUES (3454, '48443', 'txz082');
INSERT INTO nuke_weatherzones VALUES (3455, '48445', 'txz040');
INSERT INTO nuke_weatherzones VALUES (3456, '48447', 'txz099');
INSERT INTO nuke_weatherzones VALUES (3457, '48449', 'txz109');
INSERT INTO nuke_weatherzones VALUES (3458, '48451', 'txz072');
INSERT INTO nuke_weatherzones VALUES (3459, '48453', 'txz192');
INSERT INTO nuke_weatherzones VALUES (3460, '48455', 'txz164');
INSERT INTO nuke_weatherzones VALUES (3461, '48457', 'txz180');
INSERT INTO nuke_weatherzones VALUES (3462, '48459', 'txz125');
INSERT INTO nuke_weatherzones VALUES (3463, '48461', 'txz069');
INSERT INTO nuke_weatherzones VALUES (3464, '48463', 'txz203');
INSERT INTO nuke_weatherzones VALUES (3465, '48465', 'txz183');
INSERT INTO nuke_weatherzones VALUES (3466, '48467', 'txz122');
INSERT INTO nuke_weatherzones VALUES (3467, '48469', 'txz234');
INSERT INTO nuke_weatherzones VALUES (3468, '48471', 'txz177');
INSERT INTO nuke_weatherzones VALUES (3469, '48473', 'txz212');
INSERT INTO nuke_weatherzones VALUES (3470, '48475', 'txz067');
INSERT INTO nuke_weatherzones VALUES (3471, '48477', 'txz197');
INSERT INTO nuke_weatherzones VALUES (3472, '48479', 'txz239');
INSERT INTO nuke_weatherzones VALUES (3473, '48481', 'txz226');
INSERT INTO nuke_weatherzones VALUES (3474, '48483', 'txz015');
INSERT INTO nuke_weatherzones VALUES (3475, '48485', 'txz086');
INSERT INTO nuke_weatherzones VALUES (3476, '48487', 'txz085');
INSERT INTO nuke_weatherzones VALUES (3477, '48489', 'txz254');
INSERT INTO nuke_weatherzones VALUES (3478, '48489', 'txz256');
INSERT INTO nuke_weatherzones VALUES (3479, '48491', 'txz173');
INSERT INTO nuke_weatherzones VALUES (3480, '48493', 'txz221');
INSERT INTO nuke_weatherzones VALUES (3481, '48495', 'txz060');
INSERT INTO nuke_weatherzones VALUES (3482, '48497', 'txz102');
INSERT INTO nuke_weatherzones VALUES (3483, '48499', 'txz124');
INSERT INTO nuke_weatherzones VALUES (3484, '48501', 'txz039');
INSERT INTO nuke_weatherzones VALUES (3485, '48503', 'txz100');
INSERT INTO nuke_weatherzones VALUES (3486, '48505', 'txz248');
INSERT INTO nuke_weatherzones VALUES (3487, '48507', 'txz218');
INSERT INTO nuke_weatherzones VALUES (3488, '49001', 'utz016');
INSERT INTO nuke_weatherzones VALUES (3489, '49001', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3490, '49003', 'utz002');
INSERT INTO nuke_weatherzones VALUES (3491, '49003', 'utz005');
INSERT INTO nuke_weatherzones VALUES (3492, '49003', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3493, '49005', 'utz001');
INSERT INTO nuke_weatherzones VALUES (3494, '49005', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3495, '49007', 'utz010');
INSERT INTO nuke_weatherzones VALUES (3496, '49007', 'utz012');
INSERT INTO nuke_weatherzones VALUES (3497, '49009', 'utz023');
INSERT INTO nuke_weatherzones VALUES (3498, '49011', 'utz002');
INSERT INTO nuke_weatherzones VALUES (3499, '49011', 'utz003');
INSERT INTO nuke_weatherzones VALUES (3500, '49011', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3501, '49013', 'utz009');
INSERT INTO nuke_weatherzones VALUES (3502, '49013', 'utz010');
INSERT INTO nuke_weatherzones VALUES (3503, '49013', 'utz011');
INSERT INTO nuke_weatherzones VALUES (3504, '49015', 'utz010');
INSERT INTO nuke_weatherzones VALUES (3505, '49015', 'utz012');
INSERT INTO nuke_weatherzones VALUES (3506, '49015', 'utz013');
INSERT INTO nuke_weatherzones VALUES (3507, '49015', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3508, '49017', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3509, '49017', 'utz018');
INSERT INTO nuke_weatherzones VALUES (3510, '49017', 'utz020');
INSERT INTO nuke_weatherzones VALUES (3511, '49017', 'utz021');
INSERT INTO nuke_weatherzones VALUES (3512, '49019', 'utz025');
INSERT INTO nuke_weatherzones VALUES (3513, '49019', 'utz027');
INSERT INTO nuke_weatherzones VALUES (3514, '49019', 'utz028');
INSERT INTO nuke_weatherzones VALUES (3515, '49021', 'utz016');
INSERT INTO nuke_weatherzones VALUES (3516, '49021', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3517, '49023', 'utz004');
INSERT INTO nuke_weatherzones VALUES (3518, '49023', 'utz008');
INSERT INTO nuke_weatherzones VALUES (3519, '49023', 'utz015');
INSERT INTO nuke_weatherzones VALUES (3520, '49023', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3521, '49025', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3522, '49025', 'utz020');
INSERT INTO nuke_weatherzones VALUES (3523, '49025', 'utz021');
INSERT INTO nuke_weatherzones VALUES (3524, '49027', 'utz015');
INSERT INTO nuke_weatherzones VALUES (3525, '49027', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3526, '49029', 'utz006');
INSERT INTO nuke_weatherzones VALUES (3527, '49029', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3528, '49031', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3529, '49033', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3530, '49035', 'utz003');
INSERT INTO nuke_weatherzones VALUES (3531, '49035', 'utz005');
INSERT INTO nuke_weatherzones VALUES (3532, '49035', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3533, '49035', 'utz008');
INSERT INTO nuke_weatherzones VALUES (3534, '49037', 'utz021');
INSERT INTO nuke_weatherzones VALUES (3535, '49037', 'utz022');
INSERT INTO nuke_weatherzones VALUES (3536, '49037', 'utz028');
INSERT INTO nuke_weatherzones VALUES (3537, '49037', 'utz029');
INSERT INTO nuke_weatherzones VALUES (3538, '49039', 'utz010');
INSERT INTO nuke_weatherzones VALUES (3539, '49039', 'utz014');
INSERT INTO nuke_weatherzones VALUES (3540, '49039', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3541, '49041', 'utz014');
INSERT INTO nuke_weatherzones VALUES (3542, '49041', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3543, '49043', 'utz006');
INSERT INTO nuke_weatherzones VALUES (3544, '49043', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3545, '49043', 'utz008');
INSERT INTO nuke_weatherzones VALUES (3546, '49043', 'utz009');
INSERT INTO nuke_weatherzones VALUES (3547, '49045', 'utz002');
INSERT INTO nuke_weatherzones VALUES (3548, '49045', 'utz003');
INSERT INTO nuke_weatherzones VALUES (3549, '49045', 'utz005');
INSERT INTO nuke_weatherzones VALUES (3550, '49047', 'utz023');
INSERT INTO nuke_weatherzones VALUES (3551, '49047', 'utz024');
INSERT INTO nuke_weatherzones VALUES (3552, '49047', 'utz025');
INSERT INTO nuke_weatherzones VALUES (3553, '49049', 'utz004');
INSERT INTO nuke_weatherzones VALUES (3554, '49049', 'utz005');
INSERT INTO nuke_weatherzones VALUES (3555, '49049', 'utz008');
INSERT INTO nuke_weatherzones VALUES (3556, '49051', 'utz006');
INSERT INTO nuke_weatherzones VALUES (3557, '49051', 'utz008');
INSERT INTO nuke_weatherzones VALUES (3558, '49051', 'utz009');
INSERT INTO nuke_weatherzones VALUES (3559, '49051', 'utz010');
INSERT INTO nuke_weatherzones VALUES (3560, '49053', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3561, '49053', 'utz019');
INSERT INTO nuke_weatherzones VALUES (3562, '49053', 'utz020');
INSERT INTO nuke_weatherzones VALUES (3563, '49055', 'utz013');
INSERT INTO nuke_weatherzones VALUES (3564, '49055', 'utz017');
INSERT INTO nuke_weatherzones VALUES (3565, '49057', 'utz002');
INSERT INTO nuke_weatherzones VALUES (3566, '49057', 'utz006');
INSERT INTO nuke_weatherzones VALUES (3567, '49057', 'utz007');
INSERT INTO nuke_weatherzones VALUES (3568, '50001', 'vtz009');
INSERT INTO nuke_weatherzones VALUES (3569, '50001', 'vtz018');
INSERT INTO nuke_weatherzones VALUES (3570, '50003', 'vtz013');
INSERT INTO nuke_weatherzones VALUES (3571, '50005', 'vtz007');
INSERT INTO nuke_weatherzones VALUES (3572, '50007', 'vtz005');
INSERT INTO nuke_weatherzones VALUES (3573, '50007', 'vtz017');
INSERT INTO nuke_weatherzones VALUES (3574, '50009', 'vtz004');
INSERT INTO nuke_weatherzones VALUES (3575, '50011', 'vtz002');
INSERT INTO nuke_weatherzones VALUES (3576, '50011', 'vtz016');
INSERT INTO nuke_weatherzones VALUES (3577, '50013', 'vtz001');
INSERT INTO nuke_weatherzones VALUES (3578, '50015', 'vtz006');
INSERT INTO nuke_weatherzones VALUES (3579, '50017', 'vtz010');
INSERT INTO nuke_weatherzones VALUES (3580, '50019', 'vtz003');
INSERT INTO nuke_weatherzones VALUES (3581, '50021', 'vtz011');
INSERT INTO nuke_weatherzones VALUES (3582, '50021', 'vtz019');
INSERT INTO nuke_weatherzones VALUES (3583, '50023', 'vtz008');
INSERT INTO nuke_weatherzones VALUES (3584, '50025', 'vtz014');
INSERT INTO nuke_weatherzones VALUES (3585, '50025', 'vtz015');
INSERT INTO nuke_weatherzones VALUES (3586, '50027', 'vtz012');
INSERT INTO nuke_weatherzones VALUES (3587, '51001', 'vaz099');
INSERT INTO nuke_weatherzones VALUES (3588, '51003', 'vaz037');
INSERT INTO nuke_weatherzones VALUES (3589, '51005', 'vaz019');
INSERT INTO nuke_weatherzones VALUES (3590, '51007', 'vaz068');
INSERT INTO nuke_weatherzones VALUES (3591, '51009', 'vaz035');
INSERT INTO nuke_weatherzones VALUES (3592, '51011', 'vaz046');
INSERT INTO nuke_weatherzones VALUES (3593, '51013', 'vaz054');
INSERT INTO nuke_weatherzones VALUES (3594, '51015', 'vaz025');
INSERT INTO nuke_weatherzones VALUES (3595, '51017', 'vaz020');
INSERT INTO nuke_weatherzones VALUES (3596, '51019', 'vaz034');
INSERT INTO nuke_weatherzones VALUES (3597, '51021', 'vaz010');
INSERT INTO nuke_weatherzones VALUES (3598, '51023', 'vaz023');
INSERT INTO nuke_weatherzones VALUES (3599, '51025', 'vaz079');
INSERT INTO nuke_weatherzones VALUES (3600, '51027', 'vaz004');
INSERT INTO nuke_weatherzones VALUES (3601, '51029', 'vaz047');
INSERT INTO nuke_weatherzones VALUES (3602, '51031', 'vaz045');
INSERT INTO nuke_weatherzones VALUES (3603, '51033', 'vaz064');
INSERT INTO nuke_weatherzones VALUES (3604, '51035', 'vaz016');
INSERT INTO nuke_weatherzones VALUES (3605, '51036', 'vaz082');
INSERT INTO nuke_weatherzones VALUES (3606, '51037', 'vaz059');
INSERT INTO nuke_weatherzones VALUES (3607, '51041', 'vaz070');
INSERT INTO nuke_weatherzones VALUES (3608, '51043', 'vaz031');
INSERT INTO nuke_weatherzones VALUES (3609, '51045', 'vaz018');
INSERT INTO nuke_weatherzones VALUES (3610, '51047', 'vaz051');
INSERT INTO nuke_weatherzones VALUES (3611, '51049', 'vaz061');
INSERT INTO nuke_weatherzones VALUES (3612, '51051', 'vaz003');
INSERT INTO nuke_weatherzones VALUES (3613, '51053', 'vaz080');
INSERT INTO nuke_weatherzones VALUES (3614, '51057', 'vaz074');
INSERT INTO nuke_weatherzones VALUES (3615, '51059', 'vaz053');
INSERT INTO nuke_weatherzones VALUES (3616, '51061', 'vaz041');
INSERT INTO nuke_weatherzones VALUES (3617, '51063', 'vaz017');
INSERT INTO nuke_weatherzones VALUES (3618, '51065', 'vaz048');
INSERT INTO nuke_weatherzones VALUES (3619, '51067', 'vaz033');
INSERT INTO nuke_weatherzones VALUES (3620, '51069', 'vaz028');
INSERT INTO nuke_weatherzones VALUES (3621, '51071', 'vaz011');
INSERT INTO nuke_weatherzones VALUES (3622, '51073', 'vaz084');
INSERT INTO nuke_weatherzones VALUES (3623, '51075', 'vaz062');
INSERT INTO nuke_weatherzones VALUES (3624, '51077', 'vaz015');
INSERT INTO nuke_weatherzones VALUES (3625, '51079', 'vaz038');
INSERT INTO nuke_weatherzones VALUES (3626, '51081', 'vaz087');
INSERT INTO nuke_weatherzones VALUES (3627, '51083', 'vaz058');
INSERT INTO nuke_weatherzones VALUES (3628, '51085', 'vaz063');
INSERT INTO nuke_weatherzones VALUES (3629, '51087', 'vaz071');
INSERT INTO nuke_weatherzones VALUES (3630, '51089', 'vaz043');
INSERT INTO nuke_weatherzones VALUES (3631, '51091', 'vaz021');
INSERT INTO nuke_weatherzones VALUES (3632, '51093', 'vaz093');
INSERT INTO nuke_weatherzones VALUES (3633, '51095', 'vaz090');
INSERT INTO nuke_weatherzones VALUES (3634, '51097', 'vaz073');
INSERT INTO nuke_weatherzones VALUES (3635, '51099', 'vaz057');
INSERT INTO nuke_weatherzones VALUES (3636, '51101', 'vaz072');
INSERT INTO nuke_weatherzones VALUES (3637, '51103', 'vaz078');
INSERT INTO nuke_weatherzones VALUES (3638, '51105', 'vaz001');
INSERT INTO nuke_weatherzones VALUES (3639, '51107', 'vaz042');
INSERT INTO nuke_weatherzones VALUES (3640, '51109', 'vaz049');
INSERT INTO nuke_weatherzones VALUES (3641, '51111', 'vaz066');
INSERT INTO nuke_weatherzones VALUES (3642, '51113', 'vaz039');
INSERT INTO nuke_weatherzones VALUES (3643, '51115', 'vaz086');
INSERT INTO nuke_weatherzones VALUES (3644, '51117', 'vaz065');
INSERT INTO nuke_weatherzones VALUES (3645, '51119', 'vaz085');
INSERT INTO nuke_weatherzones VALUES (3646, '51121', 'vaz014');
INSERT INTO nuke_weatherzones VALUES (3647, '51125', 'vaz036');
INSERT INTO nuke_weatherzones VALUES (3648, '51127', 'vaz083');
INSERT INTO nuke_weatherzones VALUES (3649, '51131', 'vaz100');
INSERT INTO nuke_weatherzones VALUES (3650, '51133', 'vaz077');
INSERT INTO nuke_weatherzones VALUES (3651, '51135', 'vaz067');
INSERT INTO nuke_weatherzones VALUES (3652, '51137', 'vaz050');
INSERT INTO nuke_weatherzones VALUES (3653, '51139', 'vaz029');
INSERT INTO nuke_weatherzones VALUES (3654, '51141', 'vaz032');
INSERT INTO nuke_weatherzones VALUES (3655, '51143', 'vaz044');
INSERT INTO nuke_weatherzones VALUES (3656, '51145', 'vaz069');
INSERT INTO nuke_weatherzones VALUES (3657, '51147', 'vaz060');
INSERT INTO nuke_weatherzones VALUES (3658, '51149', 'vaz081');
INSERT INTO nuke_weatherzones VALUES (3659, '51153', 'vaz052');
INSERT INTO nuke_weatherzones VALUES (3660, '51155', 'vaz013');
INSERT INTO nuke_weatherzones VALUES (3661, '51157', 'vaz040');
INSERT INTO nuke_weatherzones VALUES (3662, '51159', 'vaz076');
INSERT INTO nuke_weatherzones VALUES (3663, '51161', 'vaz022');
INSERT INTO nuke_weatherzones VALUES (3664, '51163', 'vaz024');
INSERT INTO nuke_weatherzones VALUES (3665, '51165', 'vaz026');
INSERT INTO nuke_weatherzones VALUES (3666, '51167', 'vaz006');
INSERT INTO nuke_weatherzones VALUES (3667, '51169', 'vaz005');
INSERT INTO nuke_weatherzones VALUES (3668, '51171', 'vaz027');
INSERT INTO nuke_weatherzones VALUES (3669, '51173', 'vaz009');
INSERT INTO nuke_weatherzones VALUES (3670, '51175', 'vaz092');
INSERT INTO nuke_weatherzones VALUES (3671, '51177', 'vaz056');
INSERT INTO nuke_weatherzones VALUES (3672, '51179', 'vaz055');
INSERT INTO nuke_weatherzones VALUES (3673, '51181', 'vaz089');
INSERT INTO nuke_weatherzones VALUES (3674, '51183', 'vaz088');
INSERT INTO nuke_weatherzones VALUES (3675, '51185', 'vaz007');
INSERT INTO nuke_weatherzones VALUES (3676, '51187', 'vaz030');
INSERT INTO nuke_weatherzones VALUES (3677, '51191', 'vaz008');
INSERT INTO nuke_weatherzones VALUES (3678, '51193', 'vaz075');
INSERT INTO nuke_weatherzones VALUES (3679, '51195', 'vaz002');
INSERT INTO nuke_weatherzones VALUES (3680, '51197', 'vaz012');
INSERT INTO nuke_weatherzones VALUES (3681, '51199', 'vaz091');
INSERT INTO nuke_weatherzones VALUES (3682, '51510', 'vaz054');
INSERT INTO nuke_weatherzones VALUES (3683, '51515', 'vaz034');
INSERT INTO nuke_weatherzones VALUES (3684, '51520', 'vaz008');
INSERT INTO nuke_weatherzones VALUES (3685, '51530', 'vaz024');
INSERT INTO nuke_weatherzones VALUES (3686, '51540', 'vaz037');
INSERT INTO nuke_weatherzones VALUES (3687, '51550', 'vaz097');
INSERT INTO nuke_weatherzones VALUES (3688, '51560', 'vaz019');
INSERT INTO nuke_weatherzones VALUES (3689, '51570', 'vaz070');
INSERT INTO nuke_weatherzones VALUES (3690, '51580', 'vaz019');
INSERT INTO nuke_weatherzones VALUES (3691, '51590', 'vaz044');
INSERT INTO nuke_weatherzones VALUES (3692, '51595', 'vaz087');
INSERT INTO nuke_weatherzones VALUES (3693, '51600', 'vaz053');
INSERT INTO nuke_weatherzones VALUES (3694, '51610', 'vaz054');
INSERT INTO nuke_weatherzones VALUES (3695, '51620', 'vaz092');
INSERT INTO nuke_weatherzones VALUES (3696, '51630', 'vaz056');
INSERT INTO nuke_weatherzones VALUES (3697, '51640', 'vaz016');
INSERT INTO nuke_weatherzones VALUES (3698, '51650', 'vaz094');
INSERT INTO nuke_weatherzones VALUES (3699, '51660', 'vaz026');
INSERT INTO nuke_weatherzones VALUES (3700, '51670', 'vaz081');
INSERT INTO nuke_weatherzones VALUES (3701, '51678', 'vaz024');
INSERT INTO nuke_weatherzones VALUES (3702, '51680', 'vaz045');
INSERT INTO nuke_weatherzones VALUES (3703, '51683', 'vaz052');
INSERT INTO nuke_weatherzones VALUES (3704, '51685', 'vaz052');
INSERT INTO nuke_weatherzones VALUES (3705, '51690', 'vaz043');
INSERT INTO nuke_weatherzones VALUES (3706, '51700', 'vaz094');
INSERT INTO nuke_weatherzones VALUES (3707, '51710', 'vaz095');
INSERT INTO nuke_weatherzones VALUES (3708, '51720', 'vaz002');
INSERT INTO nuke_weatherzones VALUES (3709, '51730', 'vaz081');
INSERT INTO nuke_weatherzones VALUES (3710, '51735', 'vaz091');
INSERT INTO nuke_weatherzones VALUES (3711, '51740', 'vaz095');
INSERT INTO nuke_weatherzones VALUES (3712, '51750', 'vaz013');
INSERT INTO nuke_weatherzones VALUES (3713, '51760', 'vaz071');
INSERT INTO nuke_weatherzones VALUES (3714, '51770', 'vaz022');
INSERT INTO nuke_weatherzones VALUES (3715, '51775', 'vaz022');
INSERT INTO nuke_weatherzones VALUES (3716, '51790', 'vaz025');
INSERT INTO nuke_weatherzones VALUES (3717, '51800', 'vaz096');
INSERT INTO nuke_weatherzones VALUES (3718, '51810', 'vaz098');
INSERT INTO nuke_weatherzones VALUES (3719, '51820', 'vaz025');
INSERT INTO nuke_weatherzones VALUES (3720, '51830', 'vaz090');
INSERT INTO nuke_weatherzones VALUES (3721, '51840', 'vaz028');
INSERT INTO nuke_weatherzones VALUES (3722, '53001', 'waz034');
INSERT INTO nuke_weatherzones VALUES (3723, '53001', 'waz035');
INSERT INTO nuke_weatherzones VALUES (3724, '53003', 'waz031');
INSERT INTO nuke_weatherzones VALUES (3725, '53003', 'waz032');
INSERT INTO nuke_weatherzones VALUES (3726, '53005', 'waz028');
INSERT INTO nuke_weatherzones VALUES (3727, '53007', 'waz041');
INSERT INTO nuke_weatherzones VALUES (3728, '53007', 'waz042');
INSERT INTO nuke_weatherzones VALUES (3729, '53009', 'waz012');
INSERT INTO nuke_weatherzones VALUES (3730, '53009', 'waz013');
INSERT INTO nuke_weatherzones VALUES (3731, '53009', 'waz014');
INSERT INTO nuke_weatherzones VALUES (3732, '53009', 'waz015');
INSERT INTO nuke_weatherzones VALUES (3733, '53011', 'waz019');
INSERT INTO nuke_weatherzones VALUES (3734, '53011', 'waz022');
INSERT INTO nuke_weatherzones VALUES (3735, '53011', 'waz023');
INSERT INTO nuke_weatherzones VALUES (3736, '53011', 'waz039');
INSERT INTO nuke_weatherzones VALUES (3737, '53011', 'waz040');
INSERT INTO nuke_weatherzones VALUES (3738, '53013', 'waz029');
INSERT INTO nuke_weatherzones VALUES (3739, '53013', 'waz030');
INSERT INTO nuke_weatherzones VALUES (3740, '53015', 'waz019');
INSERT INTO nuke_weatherzones VALUES (3741, '53015', 'waz020');
INSERT INTO nuke_weatherzones VALUES (3742, '53015', 'waz022');
INSERT INTO nuke_weatherzones VALUES (3743, '53015', 'waz040');
INSERT INTO nuke_weatherzones VALUES (3744, '53017', 'waz035');
INSERT INTO nuke_weatherzones VALUES (3745, '53017', 'waz041');
INSERT INTO nuke_weatherzones VALUES (3746, '53017', 'waz043');
INSERT INTO nuke_weatherzones VALUES (3747, '53017', 'waz044');
INSERT INTO nuke_weatherzones VALUES (3748, '53019', 'waz038');
INSERT INTO nuke_weatherzones VALUES (3749, '53021', 'waz028');
INSERT INTO nuke_weatherzones VALUES (3750, '53023', 'waz031');
INSERT INTO nuke_weatherzones VALUES (3751, '53023', 'waz032');
INSERT INTO nuke_weatherzones VALUES (3752, '53025', 'waz034');
INSERT INTO nuke_weatherzones VALUES (3753, '53025', 'waz035');
INSERT INTO nuke_weatherzones VALUES (3754, '53025', 'waz044');
INSERT INTO nuke_weatherzones VALUES (3755, '53027', 'waz011');
INSERT INTO nuke_weatherzones VALUES (3756, '53027', 'waz012');
INSERT INTO nuke_weatherzones VALUES (3757, '53027', 'waz016');
INSERT INTO nuke_weatherzones VALUES (3758, '53029', 'waz009');
INSERT INTO nuke_weatherzones VALUES (3759, '53031', 'waz009');
INSERT INTO nuke_weatherzones VALUES (3760, '53031', 'waz010');
INSERT INTO nuke_weatherzones VALUES (3761, '53031', 'waz012');
INSERT INTO nuke_weatherzones VALUES (3762, '53031', 'waz013');
INSERT INTO nuke_weatherzones VALUES (3763, '53031', 'waz015');
INSERT INTO nuke_weatherzones VALUES (3764, '53033', 'waz004');
INSERT INTO nuke_weatherzones VALUES (3765, '53033', 'waz007');
INSERT INTO nuke_weatherzones VALUES (3766, '53033', 'waz018');
INSERT INTO nuke_weatherzones VALUES (3767, '53035', 'waz010');
INSERT INTO nuke_weatherzones VALUES (3768, '53037', 'waz025');
INSERT INTO nuke_weatherzones VALUES (3769, '53037', 'waz026');
INSERT INTO nuke_weatherzones VALUES (3770, '53039', 'waz024');
INSERT INTO nuke_weatherzones VALUES (3771, '53039', 'waz025');
INSERT INTO nuke_weatherzones VALUES (3772, '53039', 'waz028');
INSERT INTO nuke_weatherzones VALUES (3773, '53041', 'waz004');
INSERT INTO nuke_weatherzones VALUES (3774, '53041', 'waz011');
INSERT INTO nuke_weatherzones VALUES (3775, '53041', 'waz018');
INSERT INTO nuke_weatherzones VALUES (3776, '53043', 'waz035');
INSERT INTO nuke_weatherzones VALUES (3777, '53043', 'waz036');
INSERT INTO nuke_weatherzones VALUES (3778, '53045', 'waz010');
INSERT INTO nuke_weatherzones VALUES (3779, '53045', 'waz011');
INSERT INTO nuke_weatherzones VALUES (3780, '53045', 'waz012');
INSERT INTO nuke_weatherzones VALUES (3781, '53047', 'waz035');
INSERT INTO nuke_weatherzones VALUES (3782, '53047', 'waz038');
INSERT INTO nuke_weatherzones VALUES (3783, '53047', 'waz042');
INSERT INTO nuke_weatherzones VALUES (3784, '53047', 'waz043');
INSERT INTO nuke_weatherzones VALUES (3785, '53049', 'waz020');
INSERT INTO nuke_weatherzones VALUES (3786, '53049', 'waz021');
INSERT INTO nuke_weatherzones VALUES (3787, '53051', 'waz037');
INSERT INTO nuke_weatherzones VALUES (3788, '53053', 'waz004');
INSERT INTO nuke_weatherzones VALUES (3789, '53053', 'waz008');
INSERT INTO nuke_weatherzones VALUES (3790, '53053', 'waz018');
INSERT INTO nuke_weatherzones VALUES (3791, '53055', 'waz001');
INSERT INTO nuke_weatherzones VALUES (3792, '53057', 'waz003');
INSERT INTO nuke_weatherzones VALUES (3793, '53057', 'waz005');
INSERT INTO nuke_weatherzones VALUES (3794, '53057', 'waz017');
INSERT INTO nuke_weatherzones VALUES (3795, '53059', 'waz019');
INSERT INTO nuke_weatherzones VALUES (3796, '53059', 'waz023');
INSERT INTO nuke_weatherzones VALUES (3797, '53059', 'waz040');
INSERT INTO nuke_weatherzones VALUES (3798, '53061', 'waz003');
INSERT INTO nuke_weatherzones VALUES (3799, '53061', 'waz005');
INSERT INTO nuke_weatherzones VALUES (3800, '53061', 'waz006');
INSERT INTO nuke_weatherzones VALUES (3801, '53061', 'waz017');
INSERT INTO nuke_weatherzones VALUES (3802, '53063', 'waz033');
INSERT INTO nuke_weatherzones VALUES (3803, '53063', 'waz036');
INSERT INTO nuke_weatherzones VALUES (3804, '53063', 'waz037');
INSERT INTO nuke_weatherzones VALUES (3805, '53065', 'waz037');
INSERT INTO nuke_weatherzones VALUES (3806, '53067', 'waz004');
INSERT INTO nuke_weatherzones VALUES (3807, '53067', 'waz011');
INSERT INTO nuke_weatherzones VALUES (3808, '53069', 'waz020');
INSERT INTO nuke_weatherzones VALUES (3809, '53069', 'waz021');
INSERT INTO nuke_weatherzones VALUES (3810, '53069', 'waz022');
INSERT INTO nuke_weatherzones VALUES (3811, '53071', 'waz028');
INSERT INTO nuke_weatherzones VALUES (3812, '53071', 'waz029');
INSERT INTO nuke_weatherzones VALUES (3813, '53071', 'waz030');
INSERT INTO nuke_weatherzones VALUES (3814, '53073', 'waz002');
INSERT INTO nuke_weatherzones VALUES (3815, '53073', 'waz017');
INSERT INTO nuke_weatherzones VALUES (3816, '53075', 'waz033');
INSERT INTO nuke_weatherzones VALUES (3817, '53077', 'waz025');
INSERT INTO nuke_weatherzones VALUES (3818, '53077', 'waz027');
INSERT INTO nuke_weatherzones VALUES (3819, '54001', 'wvz040');
INSERT INTO nuke_weatherzones VALUES (3820, '54003', 'wvz052');
INSERT INTO nuke_weatherzones VALUES (3821, '54005', 'wvz026');
INSERT INTO nuke_weatherzones VALUES (3822, '54007', 'wvz028');
INSERT INTO nuke_weatherzones VALUES (3823, '54009', 'wvz002');
INSERT INTO nuke_weatherzones VALUES (3824, '54011', 'wvz006');
INSERT INTO nuke_weatherzones VALUES (3825, '54013', 'wvz018');
INSERT INTO nuke_weatherzones VALUES (3826, '54015', 'wvz027');
INSERT INTO nuke_weatherzones VALUES (3827, '54017', 'wvz020');
INSERT INTO nuke_weatherzones VALUES (3828, '54019', 'wvz036');
INSERT INTO nuke_weatherzones VALUES (3829, '54021', 'wvz029');
INSERT INTO nuke_weatherzones VALUES (3830, '54023', 'wvz048');
INSERT INTO nuke_weatherzones VALUES (3831, '54025', 'wvz045');
INSERT INTO nuke_weatherzones VALUES (3832, '54027', 'wvz050');
INSERT INTO nuke_weatherzones VALUES (3833, '54029', 'wvz001');
INSERT INTO nuke_weatherzones VALUES (3834, '54031', 'wvz055');
INSERT INTO nuke_weatherzones VALUES (3835, '54033', 'wvz031');
INSERT INTO nuke_weatherzones VALUES (3836, '54035', 'wvz008');
INSERT INTO nuke_weatherzones VALUES (3837, '54037', 'wvz053');
INSERT INTO nuke_weatherzones VALUES (3838, '54039', 'wvz015');
INSERT INTO nuke_weatherzones VALUES (3839, '54041', 'wvz030');
INSERT INTO nuke_weatherzones VALUES (3840, '54043', 'wvz013');
INSERT INTO nuke_weatherzones VALUES (3841, '54045', 'wvz025');
INSERT INTO nuke_weatherzones VALUES (3842, '54047', 'wvz033');
INSERT INTO nuke_weatherzones VALUES (3843, '54049', 'wvz021');
INSERT INTO nuke_weatherzones VALUES (3844, '54051', 'wvz004');
INSERT INTO nuke_weatherzones VALUES (3845, '54053', 'wvz007');
INSERT INTO nuke_weatherzones VALUES (3846, '54055', 'wvz042');
INSERT INTO nuke_weatherzones VALUES (3847, '54057', 'wvz049');
INSERT INTO nuke_weatherzones VALUES (3848, '54059', 'wvz024');
INSERT INTO nuke_weatherzones VALUES (3849, '54061', 'wvz022');
INSERT INTO nuke_weatherzones VALUES (3850, '54063', 'wvz044');
INSERT INTO nuke_weatherzones VALUES (3851, '54065', 'wvz051');
INSERT INTO nuke_weatherzones VALUES (3852, '54067', 'wvz037');
INSERT INTO nuke_weatherzones VALUES (3853, '54069', 'wvz003');
INSERT INTO nuke_weatherzones VALUES (3854, '54071', 'wvz054');
INSERT INTO nuke_weatherzones VALUES (3855, '54073', 'wvz010');
INSERT INTO nuke_weatherzones VALUES (3856, '54075', 'wvz046');
INSERT INTO nuke_weatherzones VALUES (3857, '54077', 'wvz023');
INSERT INTO nuke_weatherzones VALUES (3858, '54079', 'wvz014');
INSERT INTO nuke_weatherzones VALUES (3859, '54081', 'wvz035');
INSERT INTO nuke_weatherzones VALUES (3860, '54083', 'wvz047');
INSERT INTO nuke_weatherzones VALUES (3861, '54085', 'wvz019');
INSERT INTO nuke_weatherzones VALUES (3862, '54087', 'wvz016');
INSERT INTO nuke_weatherzones VALUES (3863, '54089', 'wvz043');
INSERT INTO nuke_weatherzones VALUES (3864, '54091', 'wvz032');
INSERT INTO nuke_weatherzones VALUES (3865, '54093', 'wvz041');
INSERT INTO nuke_weatherzones VALUES (3866, '54095', 'wvz011');
INSERT INTO nuke_weatherzones VALUES (3867, '54097', 'wvz039');
INSERT INTO nuke_weatherzones VALUES (3868, '54099', 'wvz005');
INSERT INTO nuke_weatherzones VALUES (3869, '54101', 'wvz038');
INSERT INTO nuke_weatherzones VALUES (3870, '54103', 'wvz012');
INSERT INTO nuke_weatherzones VALUES (3871, '54105', 'wvz017');
INSERT INTO nuke_weatherzones VALUES (3872, '54107', 'wvz009');
INSERT INTO nuke_weatherzones VALUES (3873, '54109', 'wvz034');
INSERT INTO nuke_weatherzones VALUES (3874, '55001', 'wiz044');
INSERT INTO nuke_weatherzones VALUES (3875, '55003', 'wiz003');
INSERT INTO nuke_weatherzones VALUES (3876, '55005', 'wiz015');
INSERT INTO nuke_weatherzones VALUES (3877, '55007', 'wiz002');
INSERT INTO nuke_weatherzones VALUES (3878, '55009', 'wiz039');
INSERT INTO nuke_weatherzones VALUES (3879, '55011', 'wiz032');
INSERT INTO nuke_weatherzones VALUES (3880, '55013', 'wiz006');
INSERT INTO nuke_weatherzones VALUES (3881, '55015', 'wiz049');
INSERT INTO nuke_weatherzones VALUES (3882, '55017', 'wiz027');
INSERT INTO nuke_weatherzones VALUES (3883, '55019', 'wiz029');
INSERT INTO nuke_weatherzones VALUES (3884, '55021', 'wiz057');
INSERT INTO nuke_weatherzones VALUES (3885, '55023', 'wiz054');
INSERT INTO nuke_weatherzones VALUES (3886, '55025', 'wiz063');
INSERT INTO nuke_weatherzones VALUES (3887, '55027', 'wiz058');
INSERT INTO nuke_weatherzones VALUES (3888, '55029', 'wiz022');
INSERT INTO nuke_weatherzones VALUES (3889, '55031', 'wiz001');
INSERT INTO nuke_weatherzones VALUES (3890, '55033', 'wiz025');
INSERT INTO nuke_weatherzones VALUES (3891, '55035', 'wiz028');
INSERT INTO nuke_weatherzones VALUES (3892, '55037', 'wiz012');
INSERT INTO nuke_weatherzones VALUES (3893, '55039', 'wiz051');
INSERT INTO nuke_weatherzones VALUES (3894, '55041', 'wiz011');
INSERT INTO nuke_weatherzones VALUES (3895, '55043', 'wiz061');
INSERT INTO nuke_weatherzones VALUES (3896, '55045', 'wiz068');
INSERT INTO nuke_weatherzones VALUES (3897, '55047', 'wiz047');
INSERT INTO nuke_weatherzones VALUES (3898, '55049', 'wiz062');
INSERT INTO nuke_weatherzones VALUES (3899, '55051', 'wiz004');
INSERT INTO nuke_weatherzones VALUES (3900, '55053', 'wiz034');
INSERT INTO nuke_weatherzones VALUES (3901, '55055', 'wiz064');
INSERT INTO nuke_weatherzones VALUES (3902, '55057', 'wiz043');
INSERT INTO nuke_weatherzones VALUES (3903, '55059', 'wiz072');
INSERT INTO nuke_weatherzones VALUES (3904, '55061', 'wiz040');
INSERT INTO nuke_weatherzones VALUES (3905, '55063', 'wiz041');
INSERT INTO nuke_weatherzones VALUES (3906, '55065', 'wiz067');
INSERT INTO nuke_weatherzones VALUES (3907, '55067', 'wiz019');
INSERT INTO nuke_weatherzones VALUES (3908, '55069', 'wiz018');
INSERT INTO nuke_weatherzones VALUES (3909, '55071', 'wiz050');
INSERT INTO nuke_weatherzones VALUES (3910, '55073', 'wiz030');
INSERT INTO nuke_weatherzones VALUES (3911, '55075', 'wiz013');
INSERT INTO nuke_weatherzones VALUES (3912, '55075', 'wiz073');
INSERT INTO nuke_weatherzones VALUES (3913, '55077', 'wiz046');
INSERT INTO nuke_weatherzones VALUES (3914, '55078', 'wiz020');
INSERT INTO nuke_weatherzones VALUES (3915, '55079', 'wiz066');
INSERT INTO nuke_weatherzones VALUES (3916, '55081', 'wiz042');
INSERT INTO nuke_weatherzones VALUES (3917, '55083', 'wiz021');
INSERT INTO nuke_weatherzones VALUES (3918, '55083', 'wiz074');
INSERT INTO nuke_weatherzones VALUES (3919, '55085', 'wiz010');
INSERT INTO nuke_weatherzones VALUES (3920, '55087', 'wiz038');
INSERT INTO nuke_weatherzones VALUES (3921, '55089', 'wiz060');
INSERT INTO nuke_weatherzones VALUES (3922, '55091', 'wiz026');
INSERT INTO nuke_weatherzones VALUES (3923, '55093', 'wiz024');
INSERT INTO nuke_weatherzones VALUES (3924, '55095', 'wiz014');
INSERT INTO nuke_weatherzones VALUES (3925, '55097', 'wiz036');
INSERT INTO nuke_weatherzones VALUES (3926, '55099', 'wiz009');
INSERT INTO nuke_weatherzones VALUES (3927, '55101', 'wiz071');
INSERT INTO nuke_weatherzones VALUES (3928, '55103', 'wiz055');
INSERT INTO nuke_weatherzones VALUES (3929, '55105', 'wiz069');
INSERT INTO nuke_weatherzones VALUES (3930, '55107', 'wiz016');
INSERT INTO nuke_weatherzones VALUES (3931, '55109', 'wiz023');
INSERT INTO nuke_weatherzones VALUES (3932, '55111', 'wiz056');
INSERT INTO nuke_weatherzones VALUES (3933, '55113', 'wiz008');
INSERT INTO nuke_weatherzones VALUES (3934, '55115', 'wiz031');
INSERT INTO nuke_weatherzones VALUES (3935, '55117', 'wiz052');
INSERT INTO nuke_weatherzones VALUES (3936, '55119', 'wiz017');
INSERT INTO nuke_weatherzones VALUES (3937, '55121', 'wiz033');
INSERT INTO nuke_weatherzones VALUES (3938, '55123', 'wiz053');
INSERT INTO nuke_weatherzones VALUES (3939, '55125', 'wiz005');
INSERT INTO nuke_weatherzones VALUES (3940, '55127', 'wiz070');
INSERT INTO nuke_weatherzones VALUES (3941, '55129', 'wiz007');
INSERT INTO nuke_weatherzones VALUES (3942, '55131', 'wiz059');
INSERT INTO nuke_weatherzones VALUES (3943, '55133', 'wiz065');
INSERT INTO nuke_weatherzones VALUES (3944, '55135', 'wiz037');
INSERT INTO nuke_weatherzones VALUES (3945, '55137', 'wiz045');
INSERT INTO nuke_weatherzones VALUES (3946, '55139', 'wiz048');
INSERT INTO nuke_weatherzones VALUES (3947, '55141', 'wiz035');
INSERT INTO nuke_weatherzones VALUES (3948, '56001', 'wyz063');
INSERT INTO nuke_weatherzones VALUES (3949, '56001', 'wyz064');
INSERT INTO nuke_weatherzones VALUES (3950, '56001', 'wyz065');
INSERT INTO nuke_weatherzones VALUES (3951, '56001', 'wyz066');
INSERT INTO nuke_weatherzones VALUES (3952, '56003', 'wyz004');
INSERT INTO nuke_weatherzones VALUES (3953, '56003', 'wyz008');
INSERT INTO nuke_weatherzones VALUES (3954, '56003', 'wyz009');
INSERT INTO nuke_weatherzones VALUES (3955, '56005', 'wyz054');
INSERT INTO nuke_weatherzones VALUES (3956, '56005', 'wyz055');
INSERT INTO nuke_weatherzones VALUES (3957, '56007', 'wyz061');
INSERT INTO nuke_weatherzones VALUES (3958, '56007', 'wyz062');
INSERT INTO nuke_weatherzones VALUES (3959, '56007', 'wyz063');
INSERT INTO nuke_weatherzones VALUES (3960, '56009', 'wyz059');
INSERT INTO nuke_weatherzones VALUES (3961, '56009', 'wyz064');
INSERT INTO nuke_weatherzones VALUES (3962, '56011', 'wyz056');
INSERT INTO nuke_weatherzones VALUES (3963, '56011', 'wyz057');
INSERT INTO nuke_weatherzones VALUES (3964, '56011', 'wyz071');
INSERT INTO nuke_weatherzones VALUES (3965, '56013', 'wyz002');
INSERT INTO nuke_weatherzones VALUES (3966, '56013', 'wyz007');
INSERT INTO nuke_weatherzones VALUES (3967, '56013', 'wyz008');
INSERT INTO nuke_weatherzones VALUES (3968, '56013', 'wyz014');
INSERT INTO nuke_weatherzones VALUES (3969, '56013', 'wyz015');
INSERT INTO nuke_weatherzones VALUES (3970, '56013', 'wyz016');
INSERT INTO nuke_weatherzones VALUES (3971, '56013', 'wyz017');
INSERT INTO nuke_weatherzones VALUES (3972, '56013', 'wyz018');
INSERT INTO nuke_weatherzones VALUES (3973, '56013', 'wyz019');
INSERT INTO nuke_weatherzones VALUES (3974, '56013', 'wyz026');
INSERT INTO nuke_weatherzones VALUES (3975, '56015', 'wyz068');
INSERT INTO nuke_weatherzones VALUES (3976, '56017', 'wyz002');
INSERT INTO nuke_weatherzones VALUES (3977, '56017', 'wyz005');
INSERT INTO nuke_weatherzones VALUES (3978, '56017', 'wyz007');
INSERT INTO nuke_weatherzones VALUES (3979, '56019', 'wyz008');
INSERT INTO nuke_weatherzones VALUES (3980, '56019', 'wyz009');
INSERT INTO nuke_weatherzones VALUES (3981, '56019', 'wyz010');
INSERT INTO nuke_weatherzones VALUES (3982, '56019', 'wyz011');
INSERT INTO nuke_weatherzones VALUES (3983, '56021', 'wyz066');
INSERT INTO nuke_weatherzones VALUES (3984, '56021', 'wyz069');
INSERT INTO nuke_weatherzones VALUES (3985, '56021', 'wyz070');
INSERT INTO nuke_weatherzones VALUES (3986, '56023', 'wyz012');
INSERT INTO nuke_weatherzones VALUES (3987, '56023', 'wyz013');
INSERT INTO nuke_weatherzones VALUES (3988, '56023', 'wyz023');
INSERT INTO nuke_weatherzones VALUES (3989, '56023', 'wyz024');
INSERT INTO nuke_weatherzones VALUES (3990, '56023', 'wyz026');
INSERT INTO nuke_weatherzones VALUES (3991, '56023', 'wyz027');
INSERT INTO nuke_weatherzones VALUES (3992, '56025', 'wyz007');
INSERT INTO nuke_weatherzones VALUES (3993, '56025', 'wyz008');
INSERT INTO nuke_weatherzones VALUES (3994, '56025', 'wyz009');
INSERT INTO nuke_weatherzones VALUES (3995, '56025', 'wyz019');
INSERT INTO nuke_weatherzones VALUES (3996, '56025', 'wyz020');
INSERT INTO nuke_weatherzones VALUES (3997, '56025', 'wyz022');
INSERT INTO nuke_weatherzones VALUES (3998, '56027', 'wyz060');
INSERT INTO nuke_weatherzones VALUES (3999, '56029', 'wyz001');
INSERT INTO nuke_weatherzones VALUES (4000, '56029', 'wyz002');
INSERT INTO nuke_weatherzones VALUES (4001, '56029', 'wyz003');
INSERT INTO nuke_weatherzones VALUES (4002, '56029', 'wyz004');
INSERT INTO nuke_weatherzones VALUES (4003, '56031', 'wyz067');
INSERT INTO nuke_weatherzones VALUES (4004, '56033', 'wyz098');
INSERT INTO nuke_weatherzones VALUES (4005, '56033', 'wyz099');
INSERT INTO nuke_weatherzones VALUES (4006, '56035', 'wyz012');
INSERT INTO nuke_weatherzones VALUES (4007, '56035', 'wyz014');
INSERT INTO nuke_weatherzones VALUES (4008, '56035', 'wyz015');
INSERT INTO nuke_weatherzones VALUES (4009, '56035', 'wyz024');
INSERT INTO nuke_weatherzones VALUES (4010, '56035', 'wyz025');
INSERT INTO nuke_weatherzones VALUES (4011, '56035', 'wyz026');
INSERT INTO nuke_weatherzones VALUES (4012, '56037', 'wyz019');
INSERT INTO nuke_weatherzones VALUES (4013, '56037', 'wyz026');
INSERT INTO nuke_weatherzones VALUES (4014, '56037', 'wyz028');
INSERT INTO nuke_weatherzones VALUES (4015, '56037', 'wyz029');
INSERT INTO nuke_weatherzones VALUES (4016, '56037', 'wyz030');
INSERT INTO nuke_weatherzones VALUES (4017, '56039', 'wyz001');
INSERT INTO nuke_weatherzones VALUES (4018, '56039', 'wyz012');
INSERT INTO nuke_weatherzones VALUES (4019, '56039', 'wyz013');
INSERT INTO nuke_weatherzones VALUES (4020, '56039', 'wyz015');
INSERT INTO nuke_weatherzones VALUES (4021, '56041', 'wyz021');
INSERT INTO nuke_weatherzones VALUES (4022, '56043', 'wyz006');
INSERT INTO nuke_weatherzones VALUES (4023, '56043', 'wyz008');
INSERT INTO nuke_weatherzones VALUES (4024, '56043', 'wyz009');
INSERT INTO nuke_weatherzones VALUES (4025, '56045', 'wyz057');
INSERT INTO nuke_weatherzones VALUES (4026, '56045', 'wyz058');
INSERT INTO nuke_weatherzones VALUES (4027, '66010', 'guz001');
INSERT INTO nuke_weatherzones VALUES (4028, '69100', 'mpz002');
INSERT INTO nuke_weatherzones VALUES (4029, '69110', 'mpz004');
INSERT INTO nuke_weatherzones VALUES (4030, '69120', 'mpz003');
INSERT INTO nuke_weatherzones VALUES (4031, '72001', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4032, '72003', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4033, '72005', 'prz008');
INSERT INTO nuke_weatherzones VALUES (4034, '72007', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4035, '72009', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4036, '72011', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4037, '72013', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4038, '72015', 'prz003');
INSERT INTO nuke_weatherzones VALUES (4039, '72017', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4040, '72019', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4041, '72021', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4042, '72023', 'prz011');
INSERT INTO nuke_weatherzones VALUES (4043, '72025', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4044, '72027', 'prz008');
INSERT INTO nuke_weatherzones VALUES (4045, '72029', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4046, '72031', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4047, '72033', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4048, '72035', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4049, '72037', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4050, '72039', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4051, '72041', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4052, '72043', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4053, '72045', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4054, '72047', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4055, '72049', 'prz012');
INSERT INTO nuke_weatherzones VALUES (4056, '72051', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4057, '72053', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4058, '72054', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4059, '72055', 'prz011');
INSERT INTO nuke_weatherzones VALUES (4060, '72057', 'prz003');
INSERT INTO nuke_weatherzones VALUES (4061, '72059', 'prz007');
INSERT INTO nuke_weatherzones VALUES (4062, '72061', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4063, '72063', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4064, '72065', 'prz008');
INSERT INTO nuke_weatherzones VALUES (4065, '72067', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4066, '72069', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4067, '72071', 'prz008');
INSERT INTO nuke_weatherzones VALUES (4068, '72073', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4069, '72075', 'prz007');
INSERT INTO nuke_weatherzones VALUES (4070, '72077', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4071, '72079', 'prz011');
INSERT INTO nuke_weatherzones VALUES (4072, '72081', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4073, '72083', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4074, '72085', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4075, '72087', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4076, '72089', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4077, '72091', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4078, '72093', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4079, '72095', 'prz003');
INSERT INTO nuke_weatherzones VALUES (4080, '72097', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4081, '72099', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4082, '72101', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4083, '72103', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4084, '72105', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4085, '72107', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4086, '72109', 'prz003');
INSERT INTO nuke_weatherzones VALUES (4087, '72111', 'prz007');
INSERT INTO nuke_weatherzones VALUES (4088, '72113', 'prz007');
INSERT INTO nuke_weatherzones VALUES (4089, '72115', 'prz008');
INSERT INTO nuke_weatherzones VALUES (4090, '72117', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4091, '72119', 'prz002');
INSERT INTO nuke_weatherzones VALUES (4092, '72121', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4093, '72123', 'prz003');
INSERT INTO nuke_weatherzones VALUES (4094, '72125', 'prz010');
INSERT INTO nuke_weatherzones VALUES (4095, '72127', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4096, '72129', 'prz004');
INSERT INTO nuke_weatherzones VALUES (4097, '72131', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4098, '72133', 'prz007');
INSERT INTO nuke_weatherzones VALUES (4099, '72135', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4100, '72137', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4101, '72139', 'prz001');
INSERT INTO nuke_weatherzones VALUES (4102, '72141', 'prz009');
INSERT INTO nuke_weatherzones VALUES (4103, '72143', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4104, '72145', 'prz005');
INSERT INTO nuke_weatherzones VALUES (4105, '72147', 'prz013');
INSERT INTO nuke_weatherzones VALUES (4106, '72149', 'prz006');
INSERT INTO nuke_weatherzones VALUES (4107, '72151', 'prz003');
INSERT INTO nuke_weatherzones VALUES (4108, '72153', 'prz007');
INSERT INTO nuke_weatherzones VALUES (4109, '78010', 'viz002');
INSERT INTO nuke_weatherzones VALUES (4110, '78020', 'viz001');
INSERT INTO nuke_weatherzones VALUES (4111, '78030', 'viz001');

